Lockergnome's Daily Tips
Copyright © 2000, Chris Pirillo

www.lockergnome.com

Lockergnome
Get Lockergnome's FREE E-mail Newsletter:
Cool Windows 95/98/NT/2000 Information!

Lockergnome will do the work for you. Start putting the snap and crackle back into your POP3 -- for FREE! We'll send our e-mail newsletter to you every day -- packed with the latest Windows freeware, games, multimedia, fonts, Web sites, tips & tricks, updates, drivers, themes, computer industry news, and more.

Read Our Latest Daily Issue


3/1/2000

3.1.2000

Lockergnomie 'Fistorn' came up with a great idea for those of us who use multiple browsers on our systems. He wanted a way to open Internet shortcuts in either Netscape or IE (or Opera, for that matter) without changing his default browser. Open up the Windows Explorer, go to View, Folder Options, select the File Type tab, then find the Internet shortcut file type. Click on 'New' and add 'View with Netscape' (or whatever your non-default browser is) and set Netscape as the application for that option. Now, when you right-click on an Internet shortcut, you'll be able to open it up easily in IE, Netscape, Opera, etc.. Good call, Fistorn!


4/1/2000

4.1.2000

Having more than one e-mail address might be handy in certain situations. Instead of forwarding all of them to one central account, you could use different addresses for different applications. For instance, use a Hotmail account for all your e-mail newsletters, a Yahoo account for all your business correspondence, your ISP account for personal stuff, etc.. It's always wise to have more than one way to send e-mail; you never know when a mailbox might run into problems. Don't get a new account somewhere just for the sake of having another e-mail address. That's just silly.


5/1/2000

5.1.2000

Lockergnomie Davis Straub (co-author of the best-selling book, Windows 98 Secrets) told me about a killer trick for a major Outlook 98 & Outlook Express annoyance. Have you ever seen those solid lines to the left of your reply text in HTML formatted messages? Here's Davis's way to get rid of them: "after you click 'Reply' and get the vertical line(s) on the left, move your text cursor to the spot where you want to insert a response and press 'Enter'--this will extend the line. Next, click the 'Paragraph Style' button on the OE format bar (notice that there is a dot next to normal). Click 'Normal' and the lines will DISAPPEAR! Be sure to check out http://www.davisstraub.com/secrets/ for the entire OE chapter!


6/1/2000

6.1.2000

I informed y'all about a great utility to make e-mail form output easier to read a few weeks back; those of you who use e-mail forms on your Web pages will want to pay close attention to this tweak. Some Lockergnomies showed me an easier way to accomplish a cleaner message. In the FORM tag, be sure to have ENCTYPE="text/plain" as one of your attributes; this will set up the message to be text-based in nature, without those ugly codes. It's a killer time (and eye) saver.


7/1/2000

7.1.2000

Lockergnomie Jaron Hendrix reminded me of a killer command prompt utility that comes with Windows 9x: 'START.EXE'. When you find yourself at a Command Prompt (ya know, while you're still in Windows), you can use START.EXE to launch Windows programs. Imagine yourself sitting at the 'C:\' prompt and wanting to open a text file. You would type: "START FILENAME.TXT" (without the quotes). This will only work when you're still in Windows, gang. In fact, for more options, try: "START /?" (again, without the quotes). START using it more!


10/1/2000

10.1.2000

Lockergnomie Galah Nuga (from Indonesia) has solved a long-time annoyance of mine! If you use Microsoft Word 97, you may have noticed that when you peruse a document using the scroll bar, the visible page doesn't "change" until you let go of the scroll bar button. Well, if you apply this registry tweak, you can click & hold the scroll bar button and get "live updating" in the document window! WARNING: Registry hacking is NOT for novices (proceed with caution). Open Regedit, navigate to HKEY_CURRENT_USER > Software > Microsoft > Office > 8.0 > Word > Options. Create a new String value and name it "LiveScrolling" (without the quotes or any spaces). Then, modify it and enter "1" (without the quotes) as a value. The next time you use Word 97, it should work!


11/1/2000

11.1.2000

Where did I archive that file? You can use the Windows Find tool to locate files contained within "ZIP" files on your computer. Windows 95 users can hit F3, enter "*.ZIP" (without the quotes) in the 'Named' field, and then type the whole or partial file name in the 'Containing text' field under the Advanced tab. Windows 98 (or IE4) users do the same, except the 'Containing text' field is underneath the 'Named' field. Your search results should contain a list of ZIP files containing the file(s) for which you were looking.


12/1/2000

12.1.2000

There's a lot of white and wasted space in Windows 9x/NT4. Part of that has to do with the default icon spacing settings. One of the FIRST things I do after reinstalling Windows is set my icon spacing to a more appropriate level. Right-click on the Desktop, select Properties, click the Appearance tab, click on the Item drop-down list, look for Icon Spacing (Horizontal) and Icon Spacing (Vertical). NOTE: write down the original settings in case you want to reverse this later. I've (personally) found that setting both of these numbers to 32 works best. Be sure to refresh (or re-line up) your explorer windows, including the Desktop. It'll save some space.


13/1/2000

13.1.2000

In Windows 95, open/save dialog boxes cannot be resized (without the help of a third-party add-on). However, IE4 and Windows 98 users should be able to resize them instantaneously! Look at the lower right-hand corner of an open/save dialog box--if you see some diagonal lines, then you can easily resize your dialog boxes. Click on a corner and drag it to whatever size you want your dialog box to be--which will make it much easier to view the files within the current directory.


14/1/2000

14.1.2000

Notepad isn't as bad as everyone thinks it is. It's small, fast, and (for the most part) efficient. It also has a few hidden tricks up its sleeve. For instance, if you want to insert the time and date, simply hit F5. Or, if you want to "log" the times you edit a particular text file, be sure to type: ".LOG" (without the quotes) as the first line of that file and save it. Now every time you open it up, the current date/time will be automatically stamped into it. Lockergnomie "Ap.Muthu" also brings up a great tip for when you're trying to save textual files without the .TXT extension: when you 'Save' or 'Save As', be sure to put the filename in quotes with the extension you want it to have. Example: "thisdoc.html" (with the quotes).


17/1/2000

17.1.2000

Coming from the "My Mail Man" department, Lockergnomaster Jake Zoll sends a somewhat simple shortcut. You're browsing the newsgroups and want to blast a new e-mail message to a friend. Open up the Run applet (from the Start Menu) and enter "mailto:" (without the quotes, but with the colon). A new e-mail message window should appear. Now, here's the cool part: you can enter part of someone's name if it exists in your address book and your mail program should automatically recognize it (it works in Outlook and Outlook Express). So, I could enter: "mailto:gretchen" without typing her whole addy, and the message will automatically use to her proper contact info. You can also use this trick in your browser's 'URL' or 'Address' field.


18/1/2000

18.1.2000

Coming from the "Shifty Finger" department, a Lockergnomie finally gets what he wants. By default, the Windows Explorer opens with one pane. Some users prefer the two pane interface when shuffling through their system. To start with the 'two' view, you can right-click on a folder (or Explorer-based icon like 'My Computer') and select 'Explore' from the menu. Or, as this gnomie discovered, you can depress the SHIFT key and double-click the icon to open it. Or, if your mouse is out of reach for the moment, you can always rely on the tried-and-true keyboard shortcut: WinKey+E. Explore your options; find whichever method works best for you. And, for goodness sake, be versatile.


19/1/2000

19.1.2000

Coming from the "Drag Strip" department, Lockergnomaniac Patrick Jarrett has uncovered a great way to keep your favorite sites a click away. And the great thing is, this tip is for both Netscape and Internet Explorer users! You'll need to turn on the Links or Personal Toolbar for this one. Yeah, most of us ignore the feature or turn it off entirely. Think of these bars as the way to get to your favorite sites quickly. Well, if you need to add a link, simply drag & drop it onto the area! Don't like the order? Move them around (by dragging & dropping them). IE users can remove these shortcuts by right-clicking on them and selecting Delete. While you're at it, why not move the toolbars around to your liking as well? To do that... just drag & drop them. Gee, who'd have guessed?


20/1/2000

20.1.2000

Coming from the "You Get What You Pay For" department, Lockergnomie Brad Buffington has a warning for the world of Net newbies. Here's what he wrote to me the other day: "I was naive and listed my site with one of those FFA (Free For All) links pages and for the next several days I received 300 - 500 e-mail messages a day! That's CRAZY!" You're right. Getting a link on those kinds of pages isn't gonna do you a bit of good, gang; you could be selling your soul for half a click-thru. What you should be doing is concentrating on building relationships with complimentary services elsewhere on the Internet. That is to say, find sites related to yours, and set up reciprocal links. You'll get more qualified visitors that way.


21/1/2000

21.1.2000

Spring cleaning comes once a year (or, once a week if you're as obsessive as I am). We run into virtual dust bunnies sometimes. I receive e-mails from concerned gnomies regarding problems with the appearance of random Web pages. If they load fine on my end, I assume the problem exists on the other side. So, what does one do when the browser goes wiggy? Well, a quick flush of the disk cache (and a subsequent reboot) usually takes care of any quirk. If that doesn't work, then perhaps the PAGE is the problem. Or, you may try viewing it with another installed browser. If you're still not seeing what you believe you should be seeing, consider contacting a close confidant (online) and asking him/her to take a peek, too. Troubleshooting is the name of the game...


24/1/2000

24.1.2000

Even the most strong willed can't resist passing along interesting stuff to their friends and family members via e-mail. Yes, even I have blasted off a few frivolous messages now and again. If it's to one or two people I know (and if we all know one other), I usually enter my name in the 'To' field and every other address in the 'CC' field (Carbon Copy). When I'm mailing multiple users (virtual strangers to one another), I use the 'BCC' option (Blind Carbon Copy). This is a GOOD habit for you to develop. The message will still be delivered to every intended recipient, but their e-mail address won't be shared with everyone else. Do you want people to respect YOUR privacy? Respect theirs; use the BCC option. Not only is it polite, but it reduces clutter.


25/1/2000

25.1.2000

Coming from the "You Can't Escape My Clutches" department, Lockergnomaster Stéphane Robiolle beefs up security on Windows 95 PCs. When the login dialog first pops up in Windows, users can hit the ESC key and bypass the routine. I suppose that's a solid tip, but what if you don't want anyone to do that? It'll take a little registry hacking, my friend. Launch REGEDIT and navigate to the HKEY_LOCAL_MACHINE \ Network \ Logon key. Now, in the right-hand panel, look for a key labeled "MustBeValidated" (its contents will be in hexadecimal format). To stop any escape attempts, change the value to "01 00 00 00" (sans quotes). To enable the escape "bug," simply delete that particular key. Be careful not to forget your Windows password!


26/1/2000

26.1.2000

Moving to the other side of town is bad enough; I can only imagine what it's like to move from one country to another. They say that you're supposed to leave a paper trail. Good idea; when you change e-mail addresses or get a new URL for your Web page, be sure to let people know. I'll concede that it's not always easy to keep everybody in the loop. This is why it's good to keep many lines of communication open at all times; multiple e-mail addresses, Web mail accounts, instant messaging installations. Rule of thumb: share with your contacts at least THREE different ways to find you (electronically). As far as Web site relocations are concerned, you can upload a change of address page to your old URL. Simply create a hyperlink and tell your visitors where your new Web home happens to be. It's common courtesy; who likes hitting a 404?


27/1/2000

27.1.2000

Coming from the "Larger Than Large" department, Lockergnomaniac Vadim Schnoll helps eliminate wasted space. Some of us rely on Microsoft's Office applications to get us through the day. I'm hooked on Outlook 2000 (Internet only), and Word is always a shortcut away. I've got more DOCs on my hard drive than I'd care to count. Have you ever noticed that many Word documents edited with O97 or O2k are (perceivably unnecessarily) bloated? Yeah, take a look. That's what happens when you have the "fast save" feature enabled. With each revision, the file size increases (no matter how much of it you delete). To put a DOC on a diet, open it, then use the 'Save As' option. A new document is created, and its size may shrink considerably.


28/1/2000

28.1.2000

HTML e-mail messages are all the rage, but not everyone uses an HTML capable e-mail client. Remember that before you click the send button. Now, all formalities aside, let's have some fun! Sure, you could bog the message down with heavy graphics and sounds that will most likely annoy the recipient, but what about making the message a bit more personal? Allow me to illustrate. Type out your name in Notepad. Okay, now autograph a piece of paper. See the difference? Great! Now, take that signature and throw it into your scanner (or use your friend's). Save the output as a tiny GIF image (legible, not too large), and use it in your default HTML mail signature. It's just one more way of putting a bit more of yourself into your electronic communications.


31/1/2000

31.1.2000

Coming from the "Where Did It Go" department, Lockergnomaster Chris Douglas found another way to find stuff. Admittedly, Lockergnome's current 'search' script isn't that robust. Never fear, we're working on an upgrade. Until that happens, however, you may wish to use this method to peruse the archives. Fly on over to ALTAVISTA.COM and enter the term as follows (without the quotes): "host:lockergnome.com +1999 +weekly" -- on the same line, type a plus sign before each of your keywords (+mavica, +silicorn, +farmer, etc.). The results will be more promising than what I can offer you directly at this point. NOTE: the four-digit year (1996 or later) may be used, and the term 'weekly' may be interchanged with 'daily' as well. Play with it; see what works best for you.


1/2/2000

1.2.2000

The world of Windows is wacky. Some say it stinks, and others can't give it enough praise. Most of us fall somewhere in the middle. When it's doing what we want it to do, we're happy. But the moment something crashes, we're screaming bloody murder. Outdated applications may be causing more problems than you think. Windows programs can be divided into two classes: 16-bit (older) and 32-bit. How can you tell the difference between the two types? If you're not adept at interpreting the UI, you've got a program that'll help you ascertain a 'bit' of info. Use Quick View lately? Try using it on an EXE file. Immediately, you'll see the program's designation (plus the calls it makes to other system components). A 16-bitter? See if there's an update available, or perhaps a 32-bit alternative. Just wait until 64 hits the mainstream market!


2/2/2000

2.2.2000

You may not know this, but you're in a rut. Do you visit the same sites every time you get online? That's not really a problem, but you're not maximizing your Internet experience. Newer browser versions have this nifty little built-in tool that will allow you to explore 'related' sites. So, the next time you visit an interesting Web page, use the 'What's Related' button (option) in your browser. IE will go through a souped-down version of Alexa, and Navigator will default to the Open Directory project (and a few others). Most people never use (or even look at) this feature. Sounds like a simple enough trick, but you'd be surprised what a little serendipitous surfing will do for ya. You never know what's hiding behind the next URL.


3/2/2000

3.2.2000

Coming from the "Custom Built Clicks" department, Lockergnomaniac David McDonald picks apart some pixels. There's nothing wrong with being a PC purist. Some of us want things done to our specifications, or we'd rather have them not done at all. Microsoft made the Windows Explorer 'Web view' look a certain way, but there's a simple way to change those graphics. Backup your Web folder (which sits within the Windows folder) before doing anything. Now, go into the Web folder and you'll see a hidden BMP file named: WVLEFT. Edit it to your liking (without altering the dimensions) and after you save it, you'll see the results immediately. Feeling adventurous? Take a peek at what else is in the 'Web' folder. Don't change anything if you don't know what you're changing, though.


4/2/2000

4.2.2000

Internet Explorer isn't the end-all be-all browser; it still gives me a headache every once in a while (although I haven't gotten to the point where I'm ready to uninstall it). Sometimes I need to see the true URL for a download (so I know what to pass along to you). JavaScript and server side redirects don't always make it easy for me. The only [non-third party] workaround I've found for uncovering the true location for a 'hidden address' file is via the Autocomplete feature. Go to the Address bar, cut off everything past the TLD extension (.com, .net, .org, etc.), and wait a few seconds. Press the 'down' cursor key, and previously explored pages from that site should start appearing (they're in your history, though not always accessible). You may have to type letters or numbers to get the ball rolling in some cases, but you'll find what you're looking for eventually.


7/2/2000

7.2.2000

Upgrades are inevitable. So what do you do with the old parts? Sell 'em? Trade 'em? Give 'em to friends? Sure, or you could install a few of them into your new system. Did you get a new monitor and video card? Don't lose the old ones yet. Start operating with two screens; in Windows 98, you can install a second (PCI) video card and attach a monitor to it. Although newer units (with fresh, solid drivers) shouldn't have problems, be sure to check with the hardware manufacturers beforehand. What can you do with that second screen? Plenty! I love having a Web browser maximized over there. I can launch links from my main monitor, and they'll pop up in the auxiliary one. Programmers and Web designers love this kind of setup, too. The more space, the quicker you can finish the race.


8/2/2000

8.2.2000

Now that I've got two Webcams running on my site (an Intel PC Camera Pro and a 3Com Homeconnect), I'm having to watch what I do in front of my computers. Of course, they're really there so that YOU can watch what I'm doing. My life (honestly) is not that exciting. So what good is having a Webcam? Good question. Let's say you're trying to sell a grotesque goblet via the Internet. A picture's worth a thousand words; a streaming video is worth a million. Connect with potential buyers and showcase your product(s) in front of your Webcam. They can ask specific questions and see exactly what they need (or want) to see before moving forward with a transaction. On another level, the buyer may be more likely to trust you (now that you've show him/her your ugly mug).


9/2/2000

9.2.2000

Coming from the "Just Because You Can't See It" department, Lockergnomie Andrew Guyton found a 'hidden' gem on his hard drive. "If you use Microsoft Word 2000 to work on any Web pages, you'll notice it opens up a separate program to edit the source code. To use ALL the features of this program, which is called Microsoft Script Editor, navigate to Program Files / Microsoft Visual Studio / Common / IDE / IDE98 and look for the program: MSE.EXE. Sure, it's just another text editor, but it was designed especially for those of us who love working on code in a non-WYSIWYG environment. Notepad may be too simple, and Word may be too much. This makes a decent in-between solution.


10/2/2000

10.2.2000

This trick is truly going to be tricky, so pay attention; it's easier shown than explained. You'll need to be using a text editor with a single-level undo feature for this to work. By now, you've mastered the art of cutting, copying, and pasting. You ain't Yoda yet. Try this: copy text selection A and paste it over selection B. Undo that operation, and while that text is still selected, copy it to the clipboard. Now, undo THAT operation and you'll have the changed the text (from B to A) as well as copied a new string (B) to the clipboard. Effectively, this allows you to overwrite text (B) and allow you to copy it (B) with the minimum amount of hassle. Where is this practical? When you've got to flip-flop passages without skipping a beat (between two fields, pages, etc.).


11/2/2000

11.2.2000

That background image looks pathetic. Don't you want something better than those familiar 'windows' clouds for your Desktop? Removing the wallpaper graphic may actually increase speed in certain instances (especially in older video cards with limited memory). They're just for looks, anyway. Or are they? Open up your favorite graphics editor and create a new image the same size as your Desktop (640x480, 800x600, et al). Now, draw designated sections for the icons you're already keeping on your Desktop. Make a blue sector for your Internet stuff, red for documents, yellow for temporary objects, etc.. Save that image as a BMP file, put it in your Windows folder, then use it for your wallpaper. See, you can have fun and be functional at the same time!


14/2/2000

14.2.2000

I can't count how many times I've reinstalled Windows in my life. Of course, with this, there comes reinstalling every program (I always do clean installs from outside the Windows shell -- at the DOS command line). Microsoft Office is one of the first things to come aboard the fresh installation. However, I used to forget to copy over user-defined files -- like 'CUSTOM.DIC' (which contains personal words to be skipped by the spell checker). I put that file into 'My Documents' and haven't had a problem. Ever inadvertently added a misspelled word to your custom dictionary? It's easy to remove; again, find the CUSTOM.DIC file and throw it into Notepad. Then, delete the line containing the word you no longer want your autocorrecting Office apps to ignore.


15/2/2000

15.2.2000

The great thing about having geeky friends is that they may know something you don't; while you may have mastered Napster, good ol' Christine may have TCP/IP under her thumb. Lucky for me, David did something I wasn't expecting while he was visiting; he put an older CD-ROM into Mr. Bigglesworth to make CD burning more efficient. Before putting the case back together, he removed a couple of metal tabs (once covering separate PCI slots). Being the curious sort, I asked why. "Cooling," he answered. "Oh." That makes sense, actually. Yes, ya gotta keep your internal hardware clean, but when you have too much of it, heat becomes an issue. Random OS lockups and irregular program crashes will ensue if things get too hot in the kitchen. Before buying another heatsink or fan, try removing a couple of tabs. Or, if you're CAREFUL, keep the cover off your case to keep it cool.


16/2/2000

16.2.2000

As you recall, we blasted off to Chicago the other week. We packed our socks, dress pants, and a few toiletries. But what about our Internet connection? None of us had a national ISP, and we really didn't want to get one. Hrm... perhaps we could borrow a friend's? Nah, that's always a pain to coordinate (and I hate to impose). Wait a second... there are free ISPs popping up left and right nowadays! Within minutes, I had downloaded and installed a client that had free dial-up access in the Chicago area. It worked perfectly. If you're on-the-go in the states, or you need an alternative way to get online (for troubleshooting or otherwise), check out one of those free Internet services. DOTNOW.COM, NETZERO.COM, FREEI.NET, ALTAVISTA.NET, and even THESIMPSONS.COM will most likely fit the bill. Or, lack thereof (as the case may be).


17/2/2000

17.2.2000

The system registry is most certainly not a toy; one wrong move and you can effectively break Windows. It's a calculated risk, but one worth taking at times. Launch REGEDIT.EXE to take a look at your OS's innards; it has more keys than the average custodian. You should always make a backup of the SYSTEM.DAT and USER.DAT files before doing any diving. There's another way which may be quicker (and slightly more efficient). You can delete any component in the registry, but you can also save it beforehand. Select a branch you're thinking of removing, but before you do -- export it into an appropriately-named REG file. Upon completing that operation, you're in the clear. If your hack doesn't work, simply 'Merge' the REG file back into the Registry. Of course, it may take a reboot or two for Windows to run properly again, but without this additional safeguard, you're playing with fire.


18/2/2000

18.2.2000

Everybody's trying to make money with their Internet property. However, there's a right and a not-so-right way to do it. Banner exchange programs are great, but I don't suggest putting fifteen of them in a row on any given page. One or two MAX! And for goodness sakes, don't slap 'em up against one another. Same goes for Web rings; how many do you really need? Now, the easiest way to generate revenue online is through affiliate programs. The idea is somewhat of an electronic finder's fee. However, this doesn't mean you should cram your codes down everybody's throat. There are times when you won't want to use an affiliate link. When communicating via e-mail, think twice before passing along a traceable URL; don't get greedy. It's not very professional. Again, there's a time and place for everything.


21/2/2000

21.2.2000

The Canadians are gone, but that doesn't mean I haven't stopped needing the home network. Thanks to the Aviator wireless devices (using radio waves, they're safe), we've got the ability to access the Internet anywhere in our house -- without a cord. In the summertime, I'll be able to... sit right next to the air conditioner. Gretchen's PC sits upstairs; when she's there and I need to get ahold of her, instead of yelling or asking her to launch an instant messaging app, I simply create a new shortcut on her Desktop and rename it to my short message. "Let's go out to eat tonight.txt" may not contain anything inside, but she gets the message loud and clear. Providing her Desktop is clean, of course. To make this process simpler, you can create shortcuts to the respective Desktops on your network. This makes it easier for transferring files back and forth. Heck, throw another one in the SendTo menu while you're at it.


22/2/2000

22.2.2000

Coming from the "Aren't You a Little Short for a Shortcut" department, Lockergnomaster Bill Davis has outsmarted his system. When trying to save a file from any given program (like IE, OE, or Word), the 'Save File' dialog usually opens in a default folder (like Windows, My Documents, or the Desktop). If you always save files in another folder [Folder X] put a shortcut to that folder [Folder X] in the folder that opens up in the program by default. To make the shortcuts easier to find in the dialog, start out the file name with an exclamation mark; these folder shortcuts will always be at the top of an alphabetically sorted listing. When prompted, double-click on one to be transported to the desired folder in a instant -- even if it's on another drive or networked computer.


23/2/2000

23.2.2000

In case you hadn't noticed, the "bubblejet" ink in your cartridge(s) isn't abundant. Refill packs are available, but they're not always practical. You don't have to curb your printing habits, but you should at least tweak your printing options before spooling jobs. Use 'Economy Mode' when it's not a 'final' draft, lighten the black intensity (saturation), but most importantly -- don't print in color if you don't need to do so. If your printer can't handle two cartridges at the same time (black and color), be sure to use the black one unless you NEED color. Remember, color ink is more expensive. Having a dual-cartridge peripheral can save you time, energy, and money. Print more often than you leave your house? It may be smart to invest in a laser printer (the smartest hardware upgrade I ever made).


24/2/2000

24.2.2000

Coming from the "Duplicate Checks" department, Lockergnomaniac Kent Kolstad uncovers yet another installed application. I bet you've updated a system file or two since installing your OS (whether knowingly or not). Nobody's stopping you from checking to see what's changed; isn't there an easier way to interpret log files for service pack installations? Dating back to the first SP for Windows 95, here's a utility that offers insight (for troubleshooting purposes). Open the Run command in the Start Menu (or use the keyboard combo WinKey+R) and enter the following: "QFECHECK" (without the quotes). Don't expect to learn much more than file version info from this puppy. If installed, the Update Information Tool will launch; you'll immediately see the registered updates, but that may not be a comprehensive list. To add more, flip to the second tab and press the 'Search' button.


25/2/2000

25.2.2000

When was the last time you registered a piece of shareware? Be honest -- I just installed a lie detector on my laptop. Okay, so you don't register everything you download -- that's okay. But I bet you have a pile of LEGITIMATE serial numbers and codes sitting somewhere in your closet. Or, perhaps they're scattered across your system? Captain Obvious to the rescue! Have one file sitting in your 'My Documents' folder -- name it CODES.TXT (or the like, as long as it's a text file). Now, go ahead and put "everything" in there. This way, you won't have to go hunting for numbers when you do a reinstall. As the file grows bigger, you'll have to rely on the 'Find' feature in Notepad (or your favorite text viewing app). I'd suggest writing down the program name, version, Web site, e-mail contact, and (the obligatory) serial number.


28/2/2000

28.2.2000

Coming Attractions for the PC? Well, kinda. Before you hit that print button, you better make sure you know what that document is gonna look like. For this reason, I always suggest using the 'Print Preview' option whenever it's available. This may save you more than a few sheets of paper; your time, sanity, and resources will not be wasted. The editing environment may give you the option of seeing the document in a true formatted (WYSIWYG) fashion, but it never hurts to go through that extra previewing step. This applies to printing images as well; you may wish to scale (resize) or modify the position of the graphic before it's sent to the printer. This may also be a good time for you to choose the paper orientation -- landscape (long) or portrait (tall)?


29/2/2000

29.2.2000

Make it your own, people! I don't know how many times I've looked at someone's Desktop and seen the default options. If you don't need the text accompanying the icons in an Explorer toolbar, turn them off. Then, drag and drop the different toolbars to put them in a more convenient (and screen real estate saving) position. Select 'My Computer' and press F2 to rename it to something a LOT more personal. Access extended options by opening the Windows Explorer and selecting 'View' then ''Folder Options.' From there, you can toggle single-click object operations, single window folder exploration, turn off (!) the 'Web View' feature, etc.. The 'View' tab holds even MORE secrets; unhide all previously hidden files, toggle easy path viewing, turn on file extensions, etc.. Go! Go now!


1/3/2000

1.3.2000

Coming from the "How Hard Is Your Disk" department, Lockergnomie Ted Taylor sails through his Windows setup routine. You've probably got your Windows installation CD sitting somewhere nearby; if not, check for the Windows > Options > Cabs folder. Assuming you have enough disk space (or another hard drive), copy the files from the CD's \Win9x to \Win9x on your hard drive. From there, you can run SETUP.EXE. This'll make your Windows installations fly! Once fully installed, you can keep the \Win9x on your hard drive -- or you remove it and modify the registry key: HKLM \ Software \ Microsoft \ Windows \ CurrentVersion \ Setup \ SourcePath="X:\WIN95\" (X represents your CD drive letter). This way, if Windows needs the setup files in the future, it'll look for them first on the CD.


2/3/2000

2.3.2000

Time to Excel-lerate your Access; Word to your mother, homely. While I'm still getting on your case about customizing Windows to better suit your tastes, let me pull on the ear of the Microsoft Office user. You can customize those programs, too, ya know? Okay, so what's stopping you? Take an hour out of your weekend, right-click on one of the Office apps' toolbars, select 'Customize,' then flip to the 'Commands' tab. Wow -- look at all them icons. Drag & drop the ones you want onto your toolbars (situated above the Customize dialog). My favorites in Word: View > Fit To Window, View > Page Layout, Format > Grow & Shrink Font 1 Point, and Tools > Shrink One Page. You can also move and remove icons already sitting in the toolbar (drag & drop them within or off of the area).


3/3/2000

3.3.2000

Coming from the "Don't Be Alarmed" department, Lockergnomaster Steven Groginsky has uncovered another use for the Windows Task Scheduler. While looking for a downloadable alarm clock the other day, Steven realized he had one already installed with IE4/5. Launch the 'Add Scheduled Task' wizard in the 'Task Scheduler' folder > press the 'Browse' button > find your favorite WAV/MP3/MIDI file and select it > set it to perform the task daily > start it at the top of the hour every day > open up its advanced properties > on the 'Schedule tab' press the 'Advanced' button > put a checkmark next to 'Repeat task' and have it repeat every hour (or however often you want to be notified). There are other settings, too -- find what works best for you.


6/3/2000

6.3.2000

Who likes having millions of Windows open? This is why I've chosen to 'Open each folder in the same window' in the Windows Explorer. To toggle this setting, I open the 'Folder Options' from 'Settings' in the Start Menu and press the 'Settings' button therein. Otherwise, getting to a folder 14 levels down can get quite messy. Now, if I ever NEED to open another Windows Explorer window in the midst of navigating, I just depress the CTRL key and double-click another folder. Either that, or (while still pushing the CTRL key) I push the 'Folder Up' icon in the toolbar. If I want to get rid of all those extra Explorer windows I opened, I find the most nested one, depress the SHIFT key, and close the window. Blammo -- they're all gone.


7/3/2000

7.3.2000

When you put two or more pieces of software together, there's bound to be contentions. Some software is more touchy than others; having the latest versions doesn't always guarantee system stability. Your newly downloaded game may be the life of the party... until a renegade application comes along to crash it. "IEXPLORE caused a general protection fault in module CM8330.DRV at 0006:0000196c." Well, General -- I'd like to you to meet Admiral Troubleshooter. Pull up the find applet and look for the 'module' in 'My Computer.' When it pops up, right click on it and pull up the properties. Flip over to the 'Version' tab to see if it has a description. Ah, 'CM8330.DRV' is for the sound card! NOTE: this tip won't always work, but it may come in handy once or twice.


8/3/2000

8.3.2000

Coming from the "Read Only My Lips" department, Lockergnomie Troy McCraw stops would-be wallpaper vandals. "I work for a school system and the students are constantly using the 'Set as background' feature in Internet Explorer. This was a mess until we figured out how to lock it down. Find the file named 'Internet Explorer Wallpaper.bmp,' right-click on it, pull up its properties, then put a checkmark in the 'Read-only' box. The 'Access Denied' message will show up should anyone try to overwrite it now. We've even renamed the 'attrib' command on the lab computers, just in case someone tries a more obscure route." This works just as nicely in a home environment; use the Read-only attribute on files you don't want to change. That tactic may just save your skin.


9/3/2000

9.3.2000

Where's your favorite place in the whole, wide world? Yeah, me too. Since neither of us can be there at this very moment, we'll have to turn to a few of our OTHER favorite things. When you add a site to your Favorites folder, the shortcut is set to the document's original title. You can rename that! Just as you can do in IE5's Start Menu, right-click on a favorite Favorite and select 'Rename.' Now, give it a memorable name, because you can use it on the Address line for easy no-click access to the URL. So, rename 'Who Was Looking for 143' to 'Irving' (something you're more likely to remember). If you have AutoComplete turned on, when you start typing 'Irv,' a list will unfold; you can use your cursor key to select the appropriate Favorite.


10/3/2000

10.3.2000

Stop dialing into the Internet! Wait, I'm not talking to you -- I'm talking to my applications. Some users choose to read mail and Web pages offline (to save money on connection charges). However, not everyone turns of auto dialing functionality. If you're using IE5, open 'Tools,' 'Internet Options,' then go to the 'Connections' tab. Now, tell it to 'Never dial a connection.' You're not done yet -- open up My Computer and get to the Dial-Up Networking folder. Select 'Settings' from the 'Connections' menu; in that dialog box, select 'Don't prompt to use Dial-Up Networking.' If all else fails, change your e-mail account settings to 'LAN' instead of dial-up within your default mail application. Yes, this tip has been explained before, but how quickly we forget.


13/3/2000

13.3.2000

This tweak is definitely one to pass along to friends. Windows 98 accesses your swap file (virtual memory) before it runs out of RAM (physical memory) -- which, from a user's point of view, is completely nuts. Virtual memory will always operate slower than physical memory, so why does Windows 98 insist on using both? Frankly, I don't know. According to article Q223294 in the Microsoft knowledge base, this new method is more efficient. Uh huh. Thank goodness they've posted a fix! Yes, if you have more than 64 megabytes of RAM and you're running Windows 98, you'll wanna give this a shot. In your SYSTEM.INI file, under the [386Enh] section, enter: "ConservativeSwapfileUsage=1" (without the quotes). Reboot, and I believe you'll find your system more responsive. Your mileage may vary!


14/3/2000

14.3.2000

Coming from the "Blame Default" department, Lockergnominstrel Wayne Haynes has submitted our first Windows 2000 tip! When he launched a couple of 16-bit programs, they would act like they were going to start, but would suddenly stop. Others would actually GPF (blaming NETVDM.EXE). In an obscure reference in one of the troubleshooters, it noted that some 16-bit programs 'MUST have a DEFAULT printer installed' before they could operate. Wayne then went into his printer folder and set an active printer as the default one. Lo and behold, all of his legacy applications ran without a glitch. How do you spell relief?


15/3/2000

15.3.2000

As mentioned in previous issues, reinstalling Windows has become a bi-annual routine for some of us. With every installation, I've learned something new. Shaun had to do the deed this past weekend; in fact, he had to do it twice in a row. Why? He forgot to unplug his USB devices before starting. Yeah, if you've got non-essential USB peripherals, be sure they're not plugged in when you're running setup outside the Windows environment. Obviously, USB keyboards and mice don't count in this instance. USB scanners, modems, printers, hubs, webcams, et al should not be attached to your system during initial hardware detection stages. Install those once your OS is up and running; you'll encounter less 'weird' hardware contentions this way.


16/3/2000

16.3.2000

Mail clients have developed steadily over the years. I accessed my first e-mail account through a VMS shell; there were no icons to press, no toolbars to consult. Today, most of us are using e-mail clients which have the ability to preview messages before they're opened. This feature can save time and energy. However, this routine may byte you in the ASCII one day. Text messages typically aren't a problem, but it's a different story when HTML e-mail and/or attachments enter the scene. There are scripts which will execute automatically upon opening a Web page (or mail message, as the case may be). For this reason, you might think of turning 'auto-preview' OFF. Or, peruse your mail account first with a POP3 checker or command-line mail client; delete ALL suspicious messages before downloading them. Again, let this be a warning to you.


17/3/2000

17.3.2000

There's always room for dessert. Did you know that there are some pies hidden within Windows? They don't come with whipped cream; they're more functional than they are flavorful. Open up 'My Computer' and select all your drives (hard, floppy, CD, mapped, etc.). Now, right-click on one of them and select 'Properties' from the menu. Up pops a multi-tabbed dialog with 3D pie charts (showing disk space usage) and other drive details. It's not an end-all be-all information provider, but for a quick-and-dirty solution, it works well. This tip sure takes the cake!


20/3/2000

20.3.2000

Sure, the System Tray clock isn't known for its extensive configurability, but it comes in handy when you need a simple reminder. Hover your cursor over the time for a few seconds and the date will pop up in a ToolTip. Now, would you like to insert your name (or any other eight-character string) after the current time? In the Control Panel, open the 'Regional Settings' icon, then flip to the 'Time' tab. Change the 'AM symbol' and 'PM symbol' fields to your liking; again, you may use up to 8 characters. It's time to put the 'personal' back into PC.


21/3/2000

21.3.2000

They've got a free service in Des Moines where you can call up the power company and have an independent representative come out to evaluate the energy efficiency of your home. I bet this is available in your neck of the woods, too. Power management for your PC is important -- especially if you leave your computer on all the time. Are you encountering problems after/during system suspension but don't know why? Throw in your Windows 98 CD and do a search for PMTSHOOT.EXE. After installing, run this troubleshooter during the normal 'suspension' event; it, in turn, will display all relevant information upon coming out of suspension. Each contention will be highlighted in red; this may help you track down the root of the problem.


22/3/2000

22.3.2000

Double-clicking is as much a part of my daily routine as is brushing my teeth. Scary, ain't it? There's an invisible rectangle limiting the area in which one may perform the second click. By default, the horizontal and vertical values are 4. To enlarge this area (for those of you who can't stop moving your mouse long enough to complete the double-click operation), you'll need to do some registry diving. Click the Start Button, select Run, then enter "REGEDIT" (without the quotes). Navigate to HKEY_CURRENT_USER \ Control Panel \ Desktop; look in the right pane. You should find two existing string values: DoubleClickWidth and DoubleClickHeight. You can change their values to suit your needs; the area is measured in pixels.


23/3/2000

23.3.2000

Don't tell me how many hits your Web site gets; I don't care. After all, if you have fifty graphics sitting on a page, your logs may show that you had fifty-one hits -- when, in fact, you had ONE unique impression. It's a marketing game for some people, a simple misinterpretation for others. Now, I'm a stickler when it comes to ending links with a slash (when appropriate); there's all the more reason to do so with this secret. Without the ending slash, directory URLs can cause your server to get 'hit' twice. Essentially, doubling the server load and giving you incorrect stats. So, when you link to a site, or use a URL that ends with a directory, do NOT forget to add that final forward slash! Castigate others for linking to your site without the slash -- and be sure to tell them WHY. With your help, we can make these lazy habits disappear.


24/3/2000

24.3.2000

Coming from the "Indirectly Responsible" department, Lockergnomie Michele Bizub brings to light some internal assistance. Having problems with your DirectX games? First, are you running the latest version of DirectX (7.0)? Second, have you tried the handy-dandy DirectX diagnostic utility? Click the Start Button, select Run, then enter "DXDIAG" (without the quotes). It'll run through your system, provide detailed DirectX driver information, and allow you to test each component for compatibility problems. If you do run into a snag or two, you'll want to check that manufacturer's Web site for the latest 'certified' driver update. Or, possibly downgrade to a DirectX driver that may be more stable than responsive.


27/3/2000

27.3.2000

Coming from the "But This Car's Made For You" department, the Lockergnomie known only as Vex:Oratoba has arranged the perfect (specific) task-centric system. If you've got your Windows login box enabled, you can create different user profiles. This way, Dad's Desktop can be different from Mom's. But, even if you're the only one using your PC, several profiles may prove beneficial. You could set up logins for "Programming," "Graphics," or "Gaming." Each Desktop could be laid out with a different set of files, folders, and shortcuts. The possibilities are (obviously) endless. It's kinda like a poor man's 'virtual Desktop' service.


28/3/2000

28.3.2000

You know by now that I'm using Microsoft Outlook 2000 for my Personal Information Manager (PIM). In most modern e-mail apps, you have the ability to manage several folders. Though, not all clients operate in a multiple document interface (MDI) environment. Outlook, for example, allows you to peruse only one folder at a time. To get around this, open a message in Folder A (and keep it open as you switch to Folder B). You can continue to do this ad nauseam; in essence, you can use the previous and next message buttons in the open message window to flip between messages in its respective folder. You could say that it's finally possible to be in two places at once.


29/3/2000

29.3.2000

When working with text, the mouse is extremely inefficient. You'll waste less time if you start relying on keyboard shortcuts for cursor manipulation. Need some help getting started? In rich text environments (like Outlook Express, Microsoft Word, etc.), SHIFT will traditionally 'select' and CTRL will 'move.' CTRL+BACKSPACE will delete entire words at a time; CTRL+HOME will take you to the top of the document; CTRL+SHIFT+HOME will select all data between your cursor and the top of your document (END will take you to the end); CTRL+LEFT CURSOR will move you one word back (and RIGHT will move you right); SHIFT+HOME will select all text in that paragraph/line. Don't dismiss these tips; you could be spending more time eating lunch.


30/3/2000

30.3.2000

I haven't lived in Cedar Falls for years; time to update your address book! When was the last time you did that, anyway? Adding (or getting updated information from) someone is a breeze; I send an e-mail message to an individual after inserting a certain signature file (which includes my contact info as an example). Recipients can reply to that message and enter their info with ease. "Name? Birth date? Job Title?" No problem. Some people are content to send their vCards along (which makes data easier for import). Don't have a vCard viewer? Again, no problem. It's a simple text file! Open it up in Notepad, then cut/copy and paste the appropriate info.


31/3/2000

31.3.2000

Coming from the "Better Than Paneling" department, Lockergnomie Jari Tiikkainen reminds us of a seldom used Windows feature. With IE4/5 installed, we can customize the look of every folder on our system. It's super simple to set a background image in an Explorer window. Right-click on a blank space in an open folder. Now, select 'Customize this Folder' from the menu. We're looking to 'Choose a background picture' here (before pressing the 'Next' button and browsing for an appropriate image). So what? Is this feature functional? It can be. You can use solid color graphics to help define folders. Red for 'sensitive' folders, Black for 'data' folders, yellow for 'media' folders, etc.. Or, just use a picture of your aunt Loretta.


10/4/2000

10.4.2000

Coming from the "Driving Miss Windows" department, Lockergnomer Reuel Miller has stumbled upon a way to beat the system. While Windows 2000 is best suited for the corporate environment, a few EXPERT home users have installed this new operating system with great success. So, what's the biggest drawback? Lack of driver support. Never fear, for I've been told that the W2k driver model is based on the Windows 98 spec. Which means: if you can't take the preferred route, you may try driving down another road. The W98 drivers may work better than the NT4 ones in W2k. I suppose it's worth a shot if nothing else is working for ya. Nothing's more frustrating than a Sunday driver.


11/4/2000

11.4.2000

Coming from the "Eyes Wide Shut" department, Lockergnominion Fred Wilkinson learns how to keep data somewhat secret in Excel. There are times when you need to know the answer, but don't want any one else to see it. Wanna hide cell content in the spreadsheet and from the printer -- but not in the Formula bar? Select the cells you're wishing to keep private, open the 'Format' menu, click 'Cells,' and then flip to the 'Number' tab. In the 'Category' list, click 'Custom.' Then, in the 'Type' field, select the existing codes and press the BACKSPACE key. While still in the field, enter: ;;; (three semi-colons). If you edit anything else in those cells, be sure to do it in the Formula bar.


12/4/2000

12.4.2000

Coming from the "It's Not The Same" department, Lockergnomaster Jim Kraai reveals a lesser-known Internet truth. We were sitting around the grill the other night talking about neat Web services; I brought up EMAILFILE.COM. "The only downfall," I said, "is that the MIME encoding bloats the attachment's size." Jim said that you're getting 'MIME bloat' when you transfer files via the Web. FTPing stuff is a completely different scenario. Long story short: the file size may be the same, but you're transferring less data if you download via FTP as opposed to HTTP. This does not imply that you'll receive things more quickly when you're FTPing, but it's food for thought.


13/4/2000

13.4.2000

Coming from the "Who's Got Mail" department, Lockergnomie Mike Saul discovered that change is good. You may still be in the process of finding the right mail client for your needs. If you're frustrated with the lack of functionality, then switching to a newer (or possibly older) program may be worth your while. However, you'll need to "notify" your browser of this change. In IE, select 'Tools' then 'Internet Options.' Flip to the Programs tab (if it exists in your version). At this point, you're able to select a default (installed) mail client. Failing to do so may cause errors (or non-desired programs to launch) when you click on any 'mailto' hyperlink.


5/1/1999

5.1.1999

The quickest way to open up a program (or file) is usually by clicking on its shortcut. But did you know that you can also assign key combinations to any given shortcut, in case your mouse isn't handy? Try right-clicking on a shortcut in the Start Menu or Desktop and select Properties. From there, select the "Shortcut Key" line and hit a combination of the CTRL, ALT, and/or SHIFT key and a regular keyboard character (alphanumeric). When applied, you should be able to use that key combination you set whenever you want to launch that particular shortcut. Talk about a key play!


6/1/1999

6.1.1999

"Hey Chris, how did you get so many people to read Lockergnome?" Well, I suppose I count on the "satisfied subscribers" to keep spreading the word about it. Some people forward newsletters to their friends, and others talk about Lockergnome around the water cooler in the morning. I discovered that the best way to help them "talk" is through a well-crafted Recommend script. Smaller sites can rely on Recommending web services, but larger sites might look into making a script of their own. I strongly suggest using MasterRecommend. Not only is the author a Lockergnomie himself, but the script is easier than cake to install and implement. You can grab it here: http://www.willmaster.com/MasterRecommend/ -- keep spreading the word!


7/1/1999

7.1.1999

I learned how to use e-mail around the same time I started to play in the Usenet Newsgroups (a few years ago). Ever since I left the University of Northern Iowa, I haven't had full newsgroup access. Lockergnomie Ivonne Yeste Zamora (who offered a $50 challenge) told me about news.wcg.net -- over 60,000 newsgroups come along with this free feed (no censorship). Fire up your newsreader and use this as a news server if you'd like a new way to get to tens of thousands of newsgroups. Remember that Lockergnome has its own PRIVATE hierarchy as well: news.lockergnome.com -- everything a Lockergnomie could want!


8/1/1999

8.1.1999

When I received Manny, one of the first things I tried was the modem. After all, what good is having a laptop if you can't connect to the Internet with it? I almost went deaf after listening to the minute-long squealing handshake and quickly decided that I wanted to connect a bit more quietly. To turn off the sound of your modem entirely, open the Control Panel, click on the modem icon, select the installed modem, then click the Properties button. From there, choose the "Connection" tab, then click the 'Advanced' button. In the "Extra Settings" line, enter "M0" (without the quotes)... that's 'M' as in mother and '0' as in zero (the number). Ah, peace and quiet!


11/1/1999

11.1.1999

Lockergnomie Galah Nuga (from Indonesia) has solved a long-time annoyance of mine! If you use Microsoft Word 97, you may have noticed that when you peruse a document using the scroll bar, the visible page doesn't "change" until you let go of the scroll bar button. Well, if you apply this registry tweak, you can click & hold the scroll bar button and get "live updating" in the document window! WARNING: Registry hacking is NOT for novices (proceed with caution). Open Regedit, navigate to HKEY_CURRENT_USER > Software > Microsoft > Office > 8.0 > Word > Options. Create a new String value and name it "LiveScrolling" (without the quotes or any spaces). Then, modify it and enter "1" (without the quotes) as a value. The next time you use Word 97, it should work!


12/1/1999

12.1.1999

Where did I archive that file? You can use the Windows Find tool to locate files contained within "ZIP" files on your computer. Windows 95 users can hit F3, enter "*.ZIP" (without the quotes) in the 'Named' field, and then type the whole or partial file name in the 'Containing text' field under the Advanced tab. Windows 98 (or IE4) users do the same, except the 'Containing text' field is underneath the 'Named' field. Your search results should contain a list of ZIP files containing the file(s) for which you were looking.


13/1/1999

13.1.1999

MIDI and WAV files are everywhere nowadays. Most of the time, we don't know who created them or how long they are. But, if you right-click on a MID or WAV file and select 'Properties', you should see extra tabs: Details & Preview. Under the Details tab, you can view time, artist, and possibly copyright information. Under the Preview tab... well, duh... you can listen to the sound file. It's like a built in media player! Try right-clicking on different types of files to see what "extra" tabs pop up (try DOC or EXE files).


14/1/1999

14.1.1999

NT users should love this tip: Beware the Blue Screen of Death! It's something we've all feared for many years (especially sysadmins). Now, normally, your computer's operations will be halted when the BSOD appears--until you reboot. With this Registry hack, you can force NT to automatically reboot after a BSOD crash! Navigate to HKEY_LOCAL_MACHINE > SYSTEM > CurrentControlSet > CrashControl > AutoReboot and set the value to "1" (without the quotes). NT will now reboot when the BSOD appears (after appending the crash log file).


15/1/1999

15.1.1999

How many windows do you have open on the screen at one time? I try not to multitask 30 apps at once, but it's difficult to avoid at times. You can easily flip between open windows by using the ALT+TAB keyboard shortcut. Of course, you can also switch between apps by using the Windows taskbar. Or, try right-clicking on the Windows taskbar and selecting either Cascade Windows, Tile Windows Horizontally, or Tile Windows Vertically. Or, if all else fails, drag the different windows around until you find the one you really want.


18/1/1999

18.1.1999

Lockergnomie John Foote knows of an easier way to see what kind of files Microsoft has stored in its FTP software library. Fire up IE4, Netscape, or your FTP client and download: ftp://ftp.microsoft.com/Softlib/index.txt -- this isn't a listing for every single file Microsoft has, but there's a lot of classic patches and documentation to be found here. Once you are viewing the file (in any given application), you should be able to perform a search for certain keywords. Keep it stored on your computer for future reference, too (although a new version might become available over time).


19/1/1999

19.1.1999

Every once in a while, I'd run into problems with my dial-up connection; the line noise can sometimes be too much. Thank goodness there's a way to temporarily extend the "hang up" time. If you get disconnected from your ISP without warning (and too often), try adding this initialization string. Open the Control Panel, click on the Modems icon, click your modem's Properties button, select the Connection tab, then click the Advanced button. In the Extra settings field, enter "S10=50" (without the quotes). This might help your dial-up connections stick around for a while. Please submit other great "modem initialization string" tweaks to me!


20/1/1999

20.1.1999

There's a lot of white and wasted space in Windows 9x/NT4. Part of that has to do with the default icon spacing settings. One of the FIRST things I do after reinstalling Windows is set my icon spacing to a more appropriate level. Right-click on the Desktop, select Properties, click the Appearance tab, click on the Item drop-down list, look for Icon Spacing (Horizontal) and Icon Spacing (Vertical). NOTE: write down the original settings in case you want to reverse this later. I've (personally) found that setting both of these numbers to 32 works best. Be sure to refresh (or re-line up) your explorer windows, including the Desktop. It'll save some space.


21/1/1999

21.1.1999

I'm always telling you guys (and gals) to right-click on objects. But what if your mouse isn't handy? Never fear, there are a couple of keyboard shortcuts you could use to bring up the ever-popular context menu. Most newer keyboards have two extra keys on them (one is the WinKey, and the other is the "right click" key). Well, duh... you could use the right-click key if you have one. Or, try using SHIFT+F10. Either will work. Just be sure you've selected an object (or group of objects) before you "right-click".


22/1/1999

22.1.1999

I was getting Manny III up to speed the other day by using Microsoft's Windows Update site. And I thought to myself: what a wonderful world. And then I wondered if there would be a way to actually SAVE these updates for future installation instead of installing them on-the-fly? Lockergnomie Arie Slob has a fantastic Windows tips site, and one of his pages shows how you can save those Windows Update files: http://www.windows-help.net/windows98/troub-22.shtml -- it's cumbersome, but it should work!


25/1/1999

25.1.1999

Thanks to all you Lockergnomies who submitted modem tweaking tips! Before you start playing around with your advanced modem settings, you should realize that not every modem tweak will work for everyone. There are different brands and various chipsets--proceed with caution. The most popular submission could enable your modem to dial your ISP very quickly. Open the Control Panel, click on the Modems icon, click your modem's Properties button, select the Connection tab, then click the Advanced button. In the Extra settings field, enter "S11=50" (without the quotes). You could also try "40" (the lower the number, the faster your modem will dial). Also note that if you have more than one entry in your Extra Settings field, each should be separated by a single space.


26/1/1999

26.1.1999

Lockergnomie Jason Derikozis has an awesome tip for "wheel mouse" users who use Internet Explorer: press & hold the SHIFT key while you scroll your mouse wheel up or down. Scrolling up will move you forward and scrolling down will move you back through the pages you've visited during that IE session. It's like clicking the buttons in the icon menu or selecting "Back" or "Forward" from the right-click context menu. Cool shortcut!


27/1/1999

27.1.1999

A couple of weeks ago, I featured a tip where you could hold onto the ALT key, enter a numerical string on your number pad, and a non-keyboard character would appear in your currently-opened document. At that time, I referred you to your Character Map for number codes. However, here's a web page that displays them all for you in a single chart--plus accented character codes for Microsoft Word: http://www.cse.bris.ac.uk/help/docs/win-r1.htm -- Thanks to Lockergnomie Clive Mansbridge for the pointer!


28/1/1999

28.1.1999

In Windows 95, open/save dialog boxes cannot be resized (without the help of a third-party add-on). However, IE4 and Windows 98 users should be able to resize them instantaneously! Look at the lower right-hand corner of an open/save dialog box--if you see some diagonal lines, then you can easily resize your dialog boxes. Click on a corner and drag it to whatever size you want your dialog box to be--which will make it much easier to view the files within the current directory.


29/1/1999

29.1.1999

Internet Explorer 5.0 (final) is almost out the door. I've heard from a few Lockergnomies that Outlook Express 5.0 will detect Lockergnome issues as junk mail. So, be forewarned--use any junk mail filter set carefully, or you could be cutting off your GnomeSupply. Now, I realize that I provide a lot of IE tips for y'all, but that's because I really don't know of any outstanding "Netscape" tips. So, if you have them, submit them. Here's a tip that anyone can use: you can select any bit of text on a web page (with your left mouse button) and copy it to the clipboard. That might save you some retyping time (be sure to give credit where credit is due). Wow, this was a hodge-podge of mini-tips, wasn't it?


1/2/1999

1.2.1999

Some of us still use modems to access the Internet (we'd kill for a cable modem connection). Busy signals are a major annoyance, but with this little tip, dial-up users won't be bothered by them as much. Open the 'Dial-Up Networking' folder that sits in 'My Computer'. From there, select the 'Connections' option from the drop-down menu and choose 'Settings'. There should be a section there for you to edit how many times your modem will redial before finally giving up; I'd suggest "60". Hopefully, you'll never see that number of redials.


2/2/1999

2.2.1999

Lockergnomie Jim Ronholm informed me of a way to "find" any window which appears "off" the viewable area of your screen. This tip can also be used to move any given window: "Activate the window you want to move (either click on its icon in the taskbar or select it using the ALT+TAB key combo), press ALT+SPACE and let go, then press the 'M' key. At this point, you can use your cursor keys to move the window around until it appears on your screen again." That's quite a moving tip.


3/2/1999

3.2.1999

The other day, I ran into problems with my mouse. It wasn't being detected (a cold boot fixed the problem). Luckily, I knew of a few keyboard shortcuts that allowed me to navigate Windows. When you come across a multi-tabbed dialog box (like Desktop Properties), you can use the CTRL+TAB key combo to flip between tabs. To change fields within any particular tab, just use the TAB key by itself. If you want to toggle an option, be sure it is highlighted first and then hit the SPACE BAR. These shortcuts can come in handy... especially if your mouse plays the "I don't want to work right now" game.


4/2/1999

4.2.1999

A Lockergnomie (Frank from the Netherlands) told me about a great way to extend Internet Explorer's autosearch functionality. Normally, when you type a single keyword on the Address line in IE and hit enter, it'll search for the .com, .edu, then .org registrations until it finds a match. Well, you can edit and add to that list! You'll need to dive into the registry, so this is for advanced users ONLY: HKEY_LOCAL_MACHINE > SOFTWARE > Microsoft > Internet Explorer > Main > UrlTemplate. From there, you can rearrange the numbers to your liking as well as add different domain hierarchies. I personally added the .net extension to my list, but .co.uk, .co.nz, .com.au, or even .nl would work, too.


5/2/1999

5.2.1999

Lockergnomie Steve Feinstein reminded me to tell y'all about a slightly-hidden tip that I use often. First, I'm sorry about saying "y'all"--I used to say "you guys" but that's not politically correct anymore. I'm not from the deep south; I started saying "y'all" after living in San Antonio for a few months. Anyway, back to the tip! After you've searched for files with the Windows Find applet (hit the F3 key to pull it up), select ONE of the found files (left click on it ONCE). Then, select 'File' from the menu and look towards the bottom for 'Open Containing Folder'. If you select that option, the folder in which the selected file is contained will open up in a new Explorer window!


8/2/1999

8.2.1999

So many of you were pleased when I featured that one free public news server. Well, Lockergnomie Tayo Kaufman discovered a page for those of you who want more to choose from: http://jammed.com/~newzbot/ -- if your ISP carries only a couple of newsgroups (and you hunger for more) you might want to check out the public servers listed on this page. If you've never visited a newsgroup, you're missing out on one of the Internet's first communities. Heck, while your newsreader is fired up, be sure swing by news.lockergnome.com to meet other Lockergnomies!


9/2/1999

9.2.1999

Notepad isn't as bad as everyone thinks it is. It's small, fast, and (for the most part) efficient. It also has a few hidden tricks up its sleeve. For instance, if you want to insert the time and date, simply hit F5. Or, if you want to "log" the times you edit a particular text file, be sure to type: ".LOG" (without the quotes) as the first line of that file and save it. Now every time you open it up, the current date/time will be automatically stamped into it. Lockergnomie "Ap.Muthu" also brings up a great tip for when you're trying to save textual files without the .TXT extension: when you 'Save' or 'Save As', be sure to put the filename in quotes with the extension you want it to have. Example: "thisdoc.html" (with the quotes).


10/2/1999

10.2.1999

Hey, remember Bookmarklets? I featured them the other week... they were these really cool JavaScript links that you could save in your Bookmarks (and/or Favorites). If you missed them the first time around, check out http://www.bookmarklets.com/ NOW. They'll turn your browser into a SUPER browser. Anyway, a Lockergnomie created a Lockergnome Bookmarklet! In fact, you can download it on Lockergnome's Past Issues page. When stored in your Bookmarks/Favorites, you can highlight a word on a web page, then select the Lockergnome Bookmarklet, and it will search for that term throughout Lockergnome's past issues!


11/2/1999

11.2.1999

Some people are completely annoyed by the Windows Explorer. I guess it does what I need it to do, and I'm not really big on having tons of third-party utils installed on my system. Anyway, Lockergnomie Chris Naegelin has a killer tip that'll come in handy. When you want to open up a new Explorer window (with the folder/drive pane), select a folder/drive, hold onto SHIFT, then double click on its icon. If you just want to open up a new Explorer window (without the pane), do the same thing, only hold onto CTRL while you do it. Wow, look at all those Explorers! If I didn't know better, I'd say we were sailing.


12/2/1999

12.2.1999

A week or so ago there was a tip about adding new domain suffixes to your IE list. By default, only .com, .org, and .edu are listed. Why they left out .net is beyond me? Anyway, a programming Lockergnomie threw together a small program that will allow you to easily add to and edit this list: http://alazane.surf-va.com/utilities/ -- no registry hacking involved, gang!


15/2/1999

15.2.1999

A... B... CD... I love Autorun functionality. Well, sometimes. By default, your CD Player launches when you insert an audio CD, and some data CDs will launch programs when they're inserted. However, Lockergnomie Jeff Brown brings up an old tip: if you hold down your SHIFT key while inserting any given CD, Autorun will be temporarily disabled. How's that for a little more control? This way, you can leave Autorun functionality on all the time, and turn it off only when you don't want it to run (unless you really don't like it). Either way, TweakUI will help you configure Autorun even further.


16/2/1999

16.2.1999

A few of you e-mailed me with this scanning tip, so I figured I'd pass it along to the rest of you. If you use a scanner, it might also be wise to have a black sheet of paper handy. Whether you're scanning text or pictures, place the black sheet behind the document. This way, you won't get as much glare or light reflection, creating crisper, richer scans. Any bit of plain construction paper will do. It's a low-cost way of getting better output! If you have any other scanning tips, be sure to let me know!


17/2/1999

17.2.1999

FTP isn't a new kind of motor oil; it's the easiest way to transfer files from one site to another. Of course, you probably already knew that (if you didn't, then you've learned something new today). Lockergnomie Joshua Rolfe brings up a great tip for Netscape or IE4 users: you can use your browser to log into an FTP site! Simply type "ftp://username@ftpsite.com" (without the quotes). Of course, change 'username' to whatever it should be (typically "anonymous" works) and 'ftpsite.com' to whatever the FTP site's address is. If you have an account which requires a password, you can type "ftp://username:password@ftpsite.com" -- Be very careful when doing this, though, as the address will remain in the drop-down menu. Netscape will prompt you for a password, whereas IE will pop up with an error message. See, I'm more than happy to show Netscape in a positive light!


18/2/1999

18.2.1999

My dad uses Netscape for surfing, and he was asking me if there was a way to organize the dozens of bookmarks he has. Well, there IS a way, but it's antiquated and not as simple as reorganizing Favorites in Internet Explorer (sorry, but it's true). Lockergnomie Yvon-Philippe Crittin brought up a good point that I'm not sure many of you are aware of. If you have IE4 (or 5) installed, you can move Favorites around in any particular order, as well as drag & drop them onto Favorite subfolders. Beyond that, she notes that you can also drag & drop URLs and "shortcuts to programs" directly into the 'Favorites' menu. And yes, if you haven't tried it yet, you can also reorganize the items in your Start Menu the same way (drag & drop). IE5 will make it even easier, too!


19/2/1999

19.2.1999

Wanna surf the web in TRUE full screen fashion? Lockergnomie Charles Liuson sheds some light on a way to make IE open up without any buttons, toolbars, or the status bar. It's called running in "kiosk mode". Click the Start Button, select Run, then type: "iexplore -k http://www.lockergnome.com/" (without the quotes). Be sure to put that '-k' in there. It's the perfect setup for when you have your page on display somewhere (convention, mall, etc.). Users who see it won't be distracted by the typical browser elements, causing them to focus directly on your content.


22/2/1999

22.2.1999

Windows 98 power users are gonna love this tip: when was the last time you ran the Disk Defragmenter? Well, you should do it often (especially if you download stuff day and night). You'll want to run DEFRAG with as few programs loaded into memory as possible (for optimum defragmentation). Pop in your Windows 98 CD, go to the \Tools\Mtsutil folder, right-click on Defrag.inf and select 'Install'. When you reboot, DEFRAG will automatically run before any other system component is loaded. When you want to DEFRAG again, just repeat this tip!


23/2/1999

23.2.1999

Lockergnomie Jaron Hendrix reminded me of a killer command prompt utility that comes with Windows 9x: 'START.EXE'. When you find yourself at a Command Prompt (ya know, while you're still in Windows), you can use START.EXE to launch Windows programs. Imagine yourself sitting at the 'C:\' prompt and wanting to launch Notepad. You would type: "START NOTEPAD" (without the quotes). This will only work when you're still in Windows, gang. START using it more.


24/2/1999

24.2.1999

Apparently, Windows 98 compresses the system registry automatically when it has more than 500k of "wasted space" in it. If you want to compress your registry manually, you'll have to drop to MS-DOS mode (you can't be in Windows when you do this). When you've backed up your registry (which is always a good thing to do), type: "SCANREG /OPT" (without the quotes). FYI, to backup the registry from the command prompt, type: "SCANREG /BACKUP" (without the quotes).


25/2/1999

25.2.1999

Lockergnomie Stephen Benjamin discovered something the other day: when using WINIPCFG to view his IP address, he pressed CTRL+C and found that the information was copied the clipboard! To run WINIPCFG, simply click the Start Button, select Run, then type: "WINIPCFG" (without the quotes). Bet ya didn't see that one coming. And, of course, the keyboard shortcut for copying is CTRL+C. To paste any copied information into a document, use the CTRL+V key combination.


26/2/1999

26.2.1999

At a command prompt, you have the option to use what they call "switches" with programs. When you're in Windows, however, it's a bit more difficult to do that directly with Program files. You can edit a shortcut to a program and add switches to that, but if you'd rather add switches when you run the actual program, use Parameteriser (http://krapplets.cream.org/parameteriser.html). Many programs have undocumented command line switches; be sure to check the documentation for those you'd like to configure.


1/3/1999

1.3.1999

I'm generally annoyed when new browser windows pop up when I don't want them to pop up. There are several programs out there to STOP that from happening, but I understand that other sites have to make a living, too. Now, when I WANT a new browser window to open up in IE4, I just hold onto the SHIFT key as I click on a link. Before I know it, I've got 15 different browsing sessions going on at the same time. Ugh... I need a bigger monitor.


2/3/1999

2.3.1999

Here's an easy way to view the Windows 98 Easter Egg instantaneously (without any fancy clicking): create a new shortcut (right-click on your Desktop, select New, then Shortcut), browse to "C:\Windows\Application Data\Microsoft\Welcome", Click OK, Next, then Finish. After that, right-click on the shortcut and pull up its Properties. At the end of the Target string, add the following text: You_are_a_real_rascal -- then select "Minimized" from the Run drop-down menu and click 'Apply' then 'Close'. Your Windows 98 Easter Egg shortcut is ready to rock & roll!


3/3/1999

3.3.1999

Sometimes when Internet Explorer encounters an error, it'll bring up an "explanatory" page in the browser. Have you ever wanted to change those pages to something else--ya know, making them a bit more functional? Pick up the MSIE "about:" Customizer immediately (http://members.tripod.com/jsanjuan/ieabcstmr.zip). In fact, here's something kinda hidden: on the address line of IE, type "about:mozilla" (without the quotes). Nice blue page, eh? I suppose you could call that an Easter Egg.


4/3/1999

4.3.1999

Microsoft didn't make it easy to customize icons in Windows. There are dozens of programs to help you do this, but I believe the one with the best interface (and most icon options) is ActivIcons (http://www.cursorarts.com/ca_ai.html). Change your Desktop icons, cursors, make icon text labels transparent, rebuild the icon cache, replace drive & folder icons, change shortcut symbols, and a little bit more. It's pretty much an all-in-one icon tweaking tool. And speaking of, IconShop was updated the other day. You should definitely download it (http://www.ping.be/liontech/).


5/3/1999

5.3.1999

(Syzygy) That's a real word, but what does it mean? I know the definition, but do you? Right now you could pull a forty-pound dictionary off your bookshelf, fire up your dictionary CD ROM, or even pull up a dictionary website like... well... ummm... http://www.dictionary.com/ -- but if you have IE4, you can save yourself a couple of steps by installing 'Magic Dictionary' (http://www.avalon.net/~rbliss/magicd.zip). Any way you look at it, using an online resource will save you time, money, and... you'll never get a paper cut.


8/3/1999

8.3.1999

Lockergnomie 'Fistorn' came up with a great idea for those of us who use multiple browsers on our systems. He wanted a way to open Internet shortcuts in either Netscape or IE (or Opera, for that matter) without changing his default browser. Open up the Windows Explorer, go to View, Folder Options, select the File Type tab, then find the Internet shortcut file type. Click on 'New' and add 'View with Netscape' (or whatever your non-default browser is) and set Netscape as the application for that option. Now, when you right-click on an Internet shortcut, you'll be able to open it up easily in IE, Netscape, Opera, etc.. Good call, Fistorn!


9/3/1999

9.3.1999

Having more than one e-mail address might be handy in certain situations. Instead of forwarding all of them to one central account, you could use different addresses for different applications. For instance, use a Hotmail account for all your e-mail newsletters, a Yahoo account for all your business correspondence, your ISP account for personal stuff, etc.. It's always wise to have more than one way to send e-mail; you never know when a mailbox might run into problems. Don't get a new account somewhere just for the sake of having another e-mail address. That's just silly.


10/3/1999

10.3.1999

Lockergnomie Bill Manro brings up a great privacy trick for Netscape users: "The cookie.txt file is where 'cookies' from websites are stored. If you don't want all of your information to be seen or used, all you need to do is make cookie.txt a read-only file. Then, set Netscape to accept all cookies. This will allow you to visit a site which requires cookies without having to worry about them knowing who you are." Do a search on your hard drive (F3) for 'cookies.txt', right-click on the file, then make sure the 'Read-only' box has a checkmark in it. This is a cool tip, gang... but I hate to say that your privacy has already gone out the window.


11/3/1999

11.3.1999

I've been using Microsoft Word 97 a lot lately (though I typically use Notepad to write Lockergnome issues). Yes, Word is powerful--and there are functions in it that I'll probably never use. Keyboard shortcuts, however, are time savers. To see all the keyboard shortcuts for Word, open up Word's help file and type "keyboard shortcuts" as your search criteria. You should see a few of links pop up. 'WordPerfect keyboard equivalents' is for those of you who are used to WordPerfect and want to make a smooth transition to Word. 'Shortcut keys' will take you to a listing of ALL the keyboard shortcuts available to you. Word to your mother!


12/3/1999

12.3.1999

Lockergnomie Gloria Morrell reminded me of something that I've missed since switching from Netscape to IE (years ago). When you're troubleshooting HTML code, pull up the page in Netscape and select 'View Source'. If you see any bit of text blinking, you've got an error. It doesn't tell you how to fix it, but at least you know what could be wrong. It's kinda like having a built-in testing tool! You can also 'View Source' in IE, although it will just bring up the HTML code in a Notepad session.


15/3/1999

15.3.1999

A couple of weeks ago, I featured a program which would enable you to easily make a shortcut to a URL. Apparently, I didn't have my thinking cap on that afternoon, because quite a few of you informed me that I didn't need a program to do that. If you want to save a web address (URL) as a shortcut file, right-click on the Desktop (or in the Windows Explorer), select New, Shortcut, and for the command line, type the full URL, then click the Next button. You can name the Internet Shortcut whatever your heart desires before pressing 'Finish'.


17/3/1999

17.3.1999

I had to fight Gretchen tooth & nail to get her to uninstall 90% of the fonts she never used. Half of them (in my opinion) looked similar anyway. What's one good way to compare one installed font against another? Well, you could "open" the fonts you wish to compare (directly in the Fonts folder). But a simpler way might be to open up WordPad (or any other RTF-capable word processor) and type in the same word/sentence (each one with a different font). It's quick, easy, and pretty straightforward; I can see exactly what the differences between font faces are immediately.


18/3/1999

18.3.1999

The other day, I watched a friend pull up the STUPIDEST website I've ever seen; it was nothing but a page filled with "dancing" hamsters. Don't get me wrong, I love rodents as much as the next gnome, but c'mon--I have better things to do with my time. My friend then spent about five seconds 'looking' for the 'back button' icon in the toolbar. Why?! If you have Netscape, IE4, or IE5, just right-click anywhere on the current web page (except on an image or link) and select "Back". Heck, you can even select "Forward" from the menu if it's available. You'll shave seconds off your browsing time by doing this--it all adds up.


19/3/1999

19.3.1999

Want a quick way to bookmark the current web page you're visiting (in Netscape or IE)? Hit CTRL+D and the page should automatically be added to your Bookmarks or Favorites list. Of course, you can organize and categorize it at a later time, but this is a quick & dirty way to get the sucker stored. Plus, if you have a website, you can encourage your visitors to bookmark it by using the same keyboard combination--might as well encourage them to come back!


22/3/1999

22.3.1999

Every other Windows site has proclaimed that IE5 is finally available; you've probably read countless (similar) reviews of this new browser. But, now that the newness of IE5 has worn off, it's time to figure out what else it has to offer YOU. Here's a little trick that web developers will LOVE: pull up any web page that contains an image, right click on that graphic, pull up its properties, and you'll be able to see its pixel dimensions (width by height)! This is a major timesaver for some of us (on top of being a pretty cool built-in feature).


23/3/1999

23.3.1999

Lockergnomie Davis Straub (co-author of the best-selling book, Windows 98 Secrets) told me about a killer trick for a major Outlook 98 & Outlook Express annoyance. Have you ever seen those solid lines to the left of your reply text in HTML formatted messages? Here's Davis's way to get rid of them: "after you click 'Reply' and get the vertical line(s) on the left, move your text cursor to the spot where you want to insert a response and press 'Enter'--this will extend the line. Next, click the 'Paragraph Style' button on the OE format bar (notice that there is a dot next to normal). Click 'Normal' and the lines will DISAPPEAR! Be sure to check out (http://www.davisstraub.com/secrets/) for the entire OE chapter!


24/3/1999

24.3.1999

I mentioned a tip last week about comparing similar fonts with one another; by all means, I wasn't suggesting that you open up every single one of your fonts and compare all of them simultaneously. That's insane. However, if you really wanna do that, you might as well grab a decent font viewer to help you. You can get: ViewFont (http://www.oceris.com/viewfont/default.htm) is basic, but clean; ListFonts (http://www.cbpf.br/~marcoscm/listfonts/) is a little easier to use, and a bit more configurable; then there's IC Font, (http://www.iridis.com/dsabljic/products.html) which will tell you everything there is to know about any given font; and FontSelector (http://www.theill.com/fs/default.asp) is relatively rudimentary.


25/3/1999

25.3.1999

My first attempt at providing content on the web was with a simple MIDI homepage; I featured a new song every week, and it played in the background. However, not everyone likes to listen to MIDI while they're visiting a web page. If audio controls are not to be found on any given "playing" page, you can simply hit your browser's stop button to cease the music. I'd suggest waiting for the page to completely load before doing this. In IE5, you can minimize the window and the music will be paused. Spiffy!


26/3/1999

26.3.1999

Lockergnomie "Uncle Debi" is famous for creating wallpaper calendars; without asking, he created a special 1999 "Lockergnome" calendar for you to use on your Desktop! It's available in several sizes (and in several different formats). I realize you probably don't want to see LG outside your Inbox, but this calendar wallpaper is just another way to turn something fun into something functional. I think you know who my favorite Uncle is now. Check 'em out: (http://home.wnm.net/~debi/lockergnome.htm)


29/3/1999

29.3.1999

Lockergnomie Bill Swart uncovered an awesome tip the other day (and I'm very glad he decided to share it with the rest of us). When you're in Explorer using the 'Details' view, you might want to resize every section so that you can read its contents more easily. Here's the quickest way to do that: press CTRL and the '+' key on the number keypad. The columns will automatically be resized to their optimum lengths; guesswork goes right out the Window...


30/3/1999

30.3.1999

When IE5 was first being distributed as a public beta, there were many users complaining about the "Go" button. I, on the other hand, was glad to have it. I often surf with one hand on my mouse, and the other away from my keyboard. Without that "Go" button, I had to use the 'Enter' key after I typed a URL in the 'Address' bar. Now, I don't need to touch my keyboard at all--I can simply paste or type a URL in there and then "Go". It's also handy when errors like "The page cannot be displayed" pop-up; simply hit "Go" and watch your browser try the page/file again (this is extremely helpful when you run into busy FTP sites).


31/3/1999

31.3.1999

What's that file's function? It came with Windows, but Who really knows? Well, see if it's listed at (http://web2.airmail.net/darylc1/windows.htm) (thanks to Lockergnomie "Grim Sage" for pointing it out). This page only lists files which came with the original shipping version of Windows 95, but file descriptions probably haven't changed that much with later versions (or with Windows 98). It's certainly a resource worth noting.


1/4/1999

1.4.1999

Has your keyboard ever stopped responding in Windows? You might still have full mouse control, but no way to "type". This could be a hassle, especially if you can't (or don't want to) reboot. Well, pull up the Windows character map (if it isn't installed on your machine, you can add it via the Windows Setup tab in your Add/Remove Programs Control Panel applet). In CHARMAP, you can double-click on 'characters' (in sequence) and then copy them to the clipboard to be pasted into any given application. How's that for a key play?


2/4/1999

2.4.1999

When you have IE4 or IE5 installed (no matter which version of Windows), you should be able to manipulate the placement and order of the toolbars in both Windows & Internet Explorer. On the left side of each toolbar, you'll see a horizontal line--click on that to drag the toolbar up, down, and around. Heck, if you don't want a particular toolbar there at all, simply right click in just about any area of any Explorer toolbar and uncheck the one(s) you don't want to see.


5/4/1999

5.4.1999

Lockergnomie Mike McCollister inadvertently stumbled upon this IE5 Start Menu trick: "Click on the Start button, select 'Programs,' then double-click on any one of the Program Group folders!" Doing this should open up an Explorer window for that folder. You never know when this will come in handy, although Gretchen didn't get nearly as excited about it as I did.


6/4/1999

6.4.1999

A few users were complaining that IE5 didn't have 128-bit encryption yet. Nothing could be further from the truth! If you live in the U.S. or Canada, open up IE5, select 'Help' from the menu and choose 'About Internet Explorer.' Underneath the IE version, you should see "Update Information" underlined. Click on that link and IE will blast you to a page where you can download the encryption update. Yes, if you can do it, you should.


7/4/1999

7.4.1999

How many programs do you have in your Startup group? If you're like me, not very many. I realize, however, that there are some users who have about 15-20 programs automatically launch when Windows boots up. You probably only want a fraction of those to run at any given time, so instead of putting all those shortcuts in your Startup folder, why not place a shortcut to another folder--which contains all the shortcuts you'd normally have in your Startup folder. This way, you could pick and choose which programs you want to run when you start every Windows session.


8/4/1999

8.4.1999

If you haven't seen or downloaded the Lockergnome Stationery yet, swing by http://gnomezone.randysplayground.com/ and have a look! I made them using Outlook Express 5.0 (the one which comes with IE5). You can make your own stationery, too! Open up OE5, select 'Message' from the menu, then choose 'New Message Using,' and click on 'Select Stationery.' At that point, you should see a 'Create New' button... click it and the Stationery Creation Wizard will help you with the rest. Collect 'em & trade 'em with your friends!


9/4/1999

9.4.1999

Just when you thought I was finished with these "fantastic" IE5 tips, I'm giving you another one! You can easily save an entire Web page (including its graphics) by first loading up the page you'd like to save, selecting 'File' from the menu, then choosing 'Save As.' 'Web Page, complete' will be the option you'll want to select (default). There's no muss or fuss with this feature, gang.


12/4/1999

12.4.1999

Believe it or not, I've had quite a few diehard Netscapers tell me that they were extremely impressed with IE5. Some of you, on the other hand, are annoyed with its AutoComplete features. To disable AutoComplete in IE5, select 'Tools' from the menu and choose 'Internet Options.' Click on the 'Content' tab and press the 'AutoComplete' button. At that point, you can pick & choose which fields will use AutoComplete functionality.


13/4/1999

13.4.1999

Still don't like Cookies? You're not alone. To disable them With IE5, you'll have to select 'Tools' from the menu, then choose 'Internet Options.' Click the 'Security' tab and press the 'Custom Level' button. After skipping over a few options, you'll find the 'Cookies' section. Now you can have per-session cookies (which aren't stored to disk after shutting down IE5)! Don't be caught with your hand in the cookie jar.


14/4/1999

14.4.1999

Lockergnomie Josiah Ritchie submitted an excellent tip for those of you who use IE4 (or who dislike the IE5 "Go" button): paste a URL into the Address bar, and if you want to visit that site w/o having to hit the 'Enter' key, simply position your cursor to the white space immediately to the left of the pasted URL, click & hold your left mouse button, then slightly move your cursor in any direction until you see the Shortcut icon appear. When you let go of your mouse button, the pasted URL will be accessed!


15/4/1999

15.4.1999

The Lockergnomie known to me only as the "IE Bunny" has found an IE5 Easter Egg inside an IE5 Easter Egg! First, type the following string exactly as follows (without the quotes) in the Address line of IE5: "about:< !-- introducing the Trident team -->". Then, after you see the flying names & dots, start clicking in the upper-left hand corner (in the black). In a few seconds, the only name you should be seeing is Eric Vasilik's.


16/4/1999

16.4.1999

Remember those folder shortcuts I featured a while back? A Lockergnomie submitted a new one just for IE5 users who want to view the Web pages to which they have "subscribed". Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder using the following string (without the quotes) and hit Enter: "Offline Web Pages.{8E6E6079-0CB7-11d2-8F10-0000F87ABD16}"


19/4/1999

19.4.1999

Yes, I realize that not everybody uses IE5; if you have new, interesting, or unique non-IE tips & tricks, let me know. Lockergnomie John Buxbaum found a way to use his IntelliMouse wheel with Netscape the other day! Open REGEDIT and find your way to HKEY_CURRENT_USER > Control Panel > Microsoft Input Devices > Mouse > Exceptions. Right-click on 'Exceptions' and create a new key with a unique number value. In that new key, create two strings; name one 'description' and the other 'filename'. Make the value of the 'description' string 'Netscape' and the value of the 'filename' string 'netscape.exe'. Then, make a new DWORD value and entitle it 'version'; give 'version' a value of 1. John reinvented the wheel!


20/4/1999

20.4.1999

Haven't installed a DVD drive quite yet? Well, don't worry--in time, they'll come standard on all new PCs. Lockergnomie Jim Bailey discovered a way to turn on the DVD functionality of the Windows Media Player! Open Regedit, navigate to HKEY_CURRENT_USER > Software > Microsoft > MediaPlayer > Player > Settings. Right-click on the Settings key and choose New > String Value. Name that string "EnableDVDUI" (without the quotes). For the value, use "yes" (again, without the quotes). Next time you start Windows Media Player, you should have DVD viewing abilities. Keep in mind, this won't read DVD-ROMs unless you have a DVD drive installed.


21/4/1999

21.4.1999

I informed y'all about a great utility to make e-mail form output easier to read a few weeks back; those of you who use e-mail forms on your Web pages will want to pay close attention to this tweak. Some Lockergnomies showed me an easier way to accomplish a cleaner message. In the FORM tag, be sure to have ENCTYPE="text/plain" as one of your attributes; this will set up the message to be text-based in nature, without those ugly codes. It's a killer time (and eye) saver.


22/4/1999

22.4.1999

Lockergnomie Celal Hallac came up with a rather good way to ensure that you're getting the cleanest Defrag possible in Windows 95/98. It will involve editing SYSTEM.INI, but that shouldn't be too much of a problem for advanced users. In the [boot] section, change "shell=explorer.exe" to "shell=defrag.exe" then exit and reboot. When you load Windows next, the Disk Defragmenter should be the only program to load. Run it, then 'CTRL-ALT-DEL' to reboot upon defrag completion. Before Windows starts its boot process, hold onto the F8 key and select the "Command Prompt Only" option. In your Windows directory, type "edit system.ini" and reverse your original change. Save, exit, then 'CTRL-ALT-DEL' to reboot and get on with your life.


23/4/1999

23.4.1999

You've probably seen the "about" tricks in your Web browser before. If not, try typing "about:lockergnome" in the address line of either Netscape or Internet Explorer. Nothing terribly impressive, right? Well, IE users can customize their own "about" dialogs in the Registry. Navigate to HKEY_LOCAL_MACHINE > Software > Microsoft > Internet Explorer > AboutURLs. Then, you can create customized "about" screens at your leisure--just direct any given keyword to a Web page or site. Thanks to a few Lockergnomies for submitting this tip.


26/4/1999

26.4.1999

If you've used the IE4 or IE5 image zoom power toy, you might have noticed that it doesn't work as well as it should. You can enlarge an image easily, but when you shrink it again, the image will not retain its proportions. Lockergnomie Matthew Walker says that the fix is easy (coding experience not necessary, but strongly recommended). Open the 'zoomin.htm' and 'zoomout.htm' files from 'C:\Windows\Web' and move the 'w =' line directly underneath the 'h =' line, and do the same for the 'parentwin' lines ('h' over 'w'). NOTE: 'zoomin.htm' has asterisks instead of slashes, but you can apply the same tweak.


27/4/1999

27.4.1999

E-mail aggregator programs are evil; you can do your best to hide an e-mail address on a Web page, but there's no easy way to outsmart those beasts. A Lockergnomie found to be a possible solution--and amazingly enough, it works! Enter your e-mail address and in a matter of minutes, they will send you the HTML code which you may insert into your Web page. While everything will appear "normal" in the browser, aggregators won't be able to 'see' or extract your address. NOTE: you do not need to subscribe to their newsletters.


28/4/1999

28.4.1999

Outlook Express 5.0 isn't just for reading e-mail messages and reading newsgroups. Some Lockergnomies have discovered a nifty, new button tucked away inside IE5's contact manager. Open OE's Address Book, double-click on any one of your contacts, and select either the 'Home' or 'Business' tab. If you've entered an address for that person or company, click on the 'View Map' button to see a navigational map from Expedia.com load up in IE5! You'll never get lost again, gang.


29/4/1999

29.4.1999

There are utilities available which make it easy to drop to a command prompt from any given folder--but you can accomplish the same feat without installing extra software! A Lockergnomie explained this simple process: in Explorer, navigate to where you'd like to start a command prompt. Then, select 'Run' from the Start Menu, type "COMMAND", and press 'Enter'. At the command prompt, type "cd " (without the quotes, but with the added space at the end). Drag & drop the folder from Explorer into the Command Prompt window and hit 'Enter'. You did it, dude!


30/4/1999

30.4.1999

The problem with using stationery in Outlook Express is that you have virtually no control over the code. However, a Lockergnomie named Linda found this killer trick for OE5 users: Open a new message, select 'View' from the menu, then click on 'Source Edit.' You should now see a set of tabs at the bottom of your message which will allow you to "WYSIWYG" edit, source code edit, and preview your message as the receiver should see it. Creative content is now a lot easier to tweak!


3/5/1999

3.5.1999

How many floppy drives do you plan on adding to your computer in the near future? The average user won't add any, but Windows 98 attempts to be intuitive by searching for new floppy drives on every boot-up. To keep Windows from looking (and to slightly speed up booting time), right-click on 'My Computer' and select 'Properties.' Then click the 'Performance' tab, press the 'File System' button, then select the 'Floppy Disk' tab. Remove the checkmark from the box. While you're there, you might scope out the 'Removable Disk' tab, too.


4/5/1999

4.5.1999

IE5 has the ability to make FTP sites appear more like local folders. To enable this function, you have to be sure that 'Use Web Based FTP' is not checkmarked on the 'Advanced' tab in 'Internet Options.' Here's something else that I inadvertently stumbled upon: when you're browsing an FTP site, select 'View' then 'as Web Page' from the menu. IE should then show you the 'welcome' message for that archive at that point. On top of this, the new 'Web' pane will show you which files you have selected, and their full paths.


5/5/1999

5.5.1999

The first time I heard a clicking sound that accompanied Windows or Internet Explorer navigation, I was impressed. Within five seconds, however, I was disturbed. If my annoyance "sounds" familiar, understand that there's a very simple way to turn off the 'clicking' noise. Open the Control Panel and select the 'Sounds' icon. Look for 'Select' in the Windows section, and 'Complete Navigation' & 'Start Navigation in the 'Windows Explorer' section. Select any/all of those and assign '(None)' for their sound association.


6/5/1999

6.5.1999

Getting to the Desktop is a breeze when you're using a normal 32-bit dialog box. Ya know, when you're trying to 'open' or 'save' a file? You should see a 'Desktop' mat at the top of the window--press it once and you'll be magically transported to your Desktop (within the dialog). Here's a little secret I just discovered: press the 'Desktop' icon again and it will take you back to the directory you were in beforehand! Top that one...


7/5/1999

7.5.1999

I've been thinking about picking up a CD burner lately. I'm sold on the idea of owning one, but I'm just not sure which brand to go with. You don't need to own a recordable CD drive to make the most from this tip, though. If you use CD-R or CD-RW discs often, you should tweak your CD-ROMs settings. Right-click on 'My Computer' and select 'Properties.' Then click the 'Performance' tab, press the 'File System' button, then select the 'CD-ROM' tab. Then, set the 'Optimize access pattern for' selection to 'No read-ahead.' This should markedly improve performance in CD-R or CD-RW access.


10/5/1999

10.5.1999

I copy text frequently: from the Web, e-mail messages, or other rich-text documents. Sometimes I just want to keep the text--not all its fancy-schmancy formatting. So here's a workaround for when you're dealing with formatted text: after copying, open up Notepad and 'Paste' the text in there. From there, you may save the text as a new file, or 'Copy' it again to the clipboard and paste it in another document. All the formatting will have been stripped from it at that point.


11/5/1999

11.5.1999

I've been scanning the Internet for killer "Phantom Menace" pictures... and believe me when I say that my hard drive is full! Here's the way I preview those graphics. Open the Windows Explorer, find a folder which contains either graphics or HTML files, right-click on it and select 'Properties.' Then, towards the bottom of the properties sheet, place a checkmark in the 'Enable thumbnail view' box and click 'Okay.' Now, open that folder, select 'View' from the menu and you should see 'Thumbnails' as a new option. Select it, and let the graphical force be with you.


12/5/1999

12.5.1999

Is "Text Document" not descriptive enough for you? Would you rather refer to a TXT file as a "Shiny Happy Text Thing"? Open the Windows Explorer, click 'View,' then 'Folder Options,' select the 'File Types' tab, then look for whatever file type you'd like to change. When you've found one, select it and click the 'Edit' button. At that point, you can put just about whatever it is your little heart desires in the 'Description of type' field.


13/5/1999

13.5.1999

There's a WIMP on the block, but it's a real bully. The Windows Media Player isn't perfect, but you can stop it from playing files before giving you the option to 'Save as.' Open the Windows Explorer, click 'View,' then 'Folder Options,' select the 'File Types' tab, find the media file you'd like to have not play automatically, select it and click the 'Edit' button. Place a checkmark in the 'Confirm open after download' box.


14/5/1999

14.5.1999

Icons--get your hot, fresh icons here! Those IE toolbars are pretty wonderful additions to your Desktop. Not only do they stay out of the way, but adding frequently-used shortcuts to them will most likely save you time. Just drag & drop any folder to the top or side of your screen, and a new toolbar will be created. Heck, you can even drag & drop any given file onto an existing toolbar and it will automatically create a shortcut for it. What happens when those icons go haywire? Never fear, just right-click on the toolbar 'handlebar' and select 'Refresh' from the menu.


17/5/1999

17.5.1999

You may love following links in Lockergnome's HTML Daily newsletters (or on any given Web page, for that matter). But, by default, links will open up in the same browser. Lockergnomie Ran Biron came up with a solution for those of you who would rather have clicked-upon links open up in a NEW window. If you have IE4/5 set as your default browser, hold onto the Shift key when you click on a link. It's a shifty way to do things, but it works. Now, to consolidate all of those separate browser instances, consider picking up NetCaptor: http://www.netcaptor.com/ -- an excellent IE shell!


19/5/1999

19.5.1999

Every file/folder has a place on your hard drive. This location is called its "path." By default, the Windows Explorer will not show you the full path for the object you're currently viewing. To turn this function on in the Windows Explorer, select 'View' from the menu and open 'Folder Options.' Under the 'View' tab, be sure the 'Display the full path in title bar' box has a checkmark inside it. Or, if you want a quick & dirty way to view an object's path: open the Run command (select 'Run' in your Start Menu or hit WinKey+R). Then, drag & drop a file or folder onto it. Not only will you get the object's path, but you'll also be able to see its extension! The file/folder will be opened if you press the 'OK' button.


20/5/1999

20.5.1999

After downloading the 'Toolbar Wallpaper' accessory from MS's site (http://www.microsoft.com/windows/Ie/WebAccess/default.ASP), you can change the background bitmap easily in IE5's Web browser. So what about the Windows Explorer toolbar? IE4/5 users can spice that up, too! Open REGEDIT and navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Internet Explorer \ Toolbar. Right-click in the right-hand pane and create a new String value; rename this to "BackBitmap" (without the quotes). Double-click the "BackBitmap" value to edit it, then enter the path to your favorite BMP file. Launch the Windows Explorer and its toolbars should have that BMP as a background! To remove the image, you must remove this string from the Registry (be careful).


21/5/1999

21.5.1999

Windows may be telling you that you have an Intel Pentium processor, but is it telling you the whole story? Right-click on 'My Computer' and select 'Properties.' Under the 'Computer' section, if you see 'GenuineIntel,' you can proceed with this trick. Close the properties sheet, launch REGEDIT, and navigate to HKEY_LOCAL_MACHINE \ Hardware \ Description \ System \ CentralProcessor \ 0. Double-click on the 'VendorIdentifier' key, put a space between "Genuine" and "Intel," then close REGEDIT. Now, re-open the properties for 'My Computer.' Below the 'Genuine Intel' line, you'll see a line that reads: 'x86 Family A Model B Stepping C' (these values will vary from system to system). Rebooting will reset this tweak.


24/5/1999

24.5.1999

Here's possibly one of the coolest tips I've seen all year. NOTE: this tip is only for those of you with IE4/5. Select the 'My Computer' icon with your left mouse button, then drag & drop it onto any side of your screen. No matter where you place it, you'll see a listing of your computer's components. Now, press the CTRL key and with your left mouse button, click once on your 'C' drive. You should see a cascading display of all your flies and folders! Simply click on any one of those icons and the file/folder should open. This can also be done with the other items in your "new" toolbar. Right-click on the handlebar and toggle 'Show Text' and 'Show Title' to tweak its appearance.


25/5/1999

25.5.1999

Having quick & easy access to all the applets in your Control Panel is just a drag & drop away, gang. NOTE: this tip is only for those of you with IE4/5. Open 'My Computer' and select the 'Control Panel' folder (but don't open it). Then, drag the icon down onto a free area of your Taskbar and drop it. At that point, a new toolbar will be created; you can right-click on the leftmost handlebar and toggle 'Show Text' and 'Show Title' to tweak its appearance. Try dragging & dropping the 'Control Panel' folder icon onto the side of your screen, too. These toolbars can also be created with other "special" folders by following the same steps. Experiment!


26/5/1999

26.5.1999

Let's back up for a second... when was the last time you backed up your registry? Providing you're running Windows 98, this important system file was automatically duplicated when you rebooted for the first time today. To restore "old" copies of the registry, shut down your computer and select 'Restart in MS-DOS mode' from the menu. Then, when you're at the command prompt, type: "scanreg /restore" (without the quotes). At that point, you can choose the file you wish to restore. To make another backup copy, type: "scanreg /backup" (without the quotes). The '/fix' switch might come in handy, too. Obviously, this utility should be used before and after you've run into problems with Windows.


27/5/1999

27.5.1999

What kind of speakers do you have for your PC? And how many of them are there? Windows 98 users should appreciate the ability to tweak playback options for their sound card using the Multimedia applet in the Control Panel. Open it up, select the 'Audio' tab, and press the 'Advanced Properties' button in the 'Playback' section. The 'Speakers' tab should have a drop down box, allowing you to select a speaker configuration for your particular setup. Accordingly, Windows should optimize the way it plays sounds. You may consider selecting a completely different configuration from your own to "hear" if it maximizes output quality. Sounds good to me!


28/5/1999

28.5.1999

Most of us have become very reliant on the mouse since Windows 9x surfaced. However, pointing and clicking isn't always the quickest way to complete a task. Keyboard shortcuts are everywhere, although their default assignments aren't always apparent. In Microsoft Office, you can "turn on" the display of keyboard shortcuts within the tool tips! In the menu, click on 'Tools,' 'Customize,' then select the 'Options' tab. Then be sure that the 'Show ScreenTips on toolbars' and 'Show shortcut keys in ScreenTips' boxes have checkmarks inside. From that point on, you'll see the keyboard shortcut in parenthesis alongside the button's description in any given Microsoft Office application. NOTE: not all functions have shortcuts.


31/5/1999

31.5.1999

Everybody seemed to enjoy last week's Toolbar tweaks... and a handful of you called my attention to another variation on the theme. If you have IE4/5 (with Active Desktop) installed on Windows 9x, right-click on your Taskbar, select 'Toolbars,' then 'Desktop.' You should see a new toolbar appear in your Taskbar; left-click where it says 'Desktop' and drag it all the way to the right (towards your System Tray) until you see just the word 'Desktop' and a couple of small right-pointing arrows. Left-click on those arrows, and you'll get a menu of all the items currently sitting on your Desktop, plus cascading menus for every component and folder on your computer. This one's definitely a keeper!


1/6/1999

1.6.1999

From the "Do you hear what I hear" department: Lockergnomie Trubnikoff Valery has discovered a way for IE4/5 users to preview WAV, MID, RMI, MOV, AVI, and MPG media files within the windows Explorer. "Open up the 'Web' folder in your Windows directory, then open the 'folder.htt' file in Notepad. Replace the string 'wantMedia=false' with 'wantMedia=true' -- next time you select a "media" file in Explorer, you'll see 'play' and 'stop' buttons in the leftmost panel."


2/6/1999

2.6.1999

From the "Jumpin' Jack Flash, it's a crash, crash, crash" department: Lockergnomie Terry Eden may have a solution for a long-standing Windows quirk. "When Explorer crashes, it can take away all your lovely System Tray icons. But there may be a way to prevent this from happening! Before you hit the "Close" button on the application error, load up one or two more copies of Explorer... then hit the Close button. Sadly, your browser window will be gone, BUT all your System Tray icons should still be intact."


3/6/1999

3.6.1999

From the "Hello, I love you--won't you tell me your name" department: Lockergnomie Rhyddian Olds found a way to make networked computers' listings more descriptive. It was brought up specifically for use in NT4 (but may work in W2k). First, you'll need to launch your registry editor. You'll find that the HKEY_CLASSES_ROOT \ CLSID \ {20D04FE0-3AEA-1069-A2D8-08002B30309D} contains information regarding the Desktop icon for 'My Computer' -- by changing the name of the icon directly in the Registry, you'll give that icon much more functionality. Select the value and delete it; from the Edit menu, select Add Value; leave the value name blank and set the type to REG_EXPAND_SZ. Click 'OK' and enter the following text: "%USERNAME% on %COMPUTERNAME%" (without the quotes) then click 'OK' again. Close the registry editor, click once on the Desktop to select it, and press F5 (refresh) for the change to take effect.


4/6/1999

4.6.1999

From the "When good links go bad" department: Lockergnomie Mike Krajewski uncovered a hidden gem on the Windows 98 CD-ROM. In the Tools \ Reskit \ Desktop folder click on "chklnks.exe" to open up the Check Link Wizard. This utility will scan your hard drive for defunct shortcuts. If you want, you can copy this program to your hard drive and use it every once in a while (when you're feeling like cleaning up your computer).


7/6/1999

7.6.1999

From the "Space bar: the final frontier" department: Lockergnomie Andrew Householder has passed along an ALT+SPACE series of keyboard shortcuts. To bring up a window function dialog for the active window, depress the ALT key then tap your space bar. From that point, you can close, move, size, minimize, restore, or maximize that window. For even quicker operation: ALT+SPACE+C will close, ALT+SPACE+M will move, ALT+SPACE+S will size, ALT+SPACE+N will minimize, ALT+SPACE+R will restore, and ALT+SPACE+X will maximize the current window.


8/6/1999

8.6.1999

From the "How fast was I going, officer" department: Lockergnomie Kerry Rogers has brought a nifty modem tweak to my attention. The connection icon in the System Tray may say that you're connected at "115200" (or some other bogus number), when you're actually connected at 26400. This is because Windows may be reporting the port speed (not the actual speed the user at which the user is connected). Open the 'Dial-Up Networking' folder (in 'My Computer'). Right-click on an Internet service icon, select 'Properties,' press the 'Configure' button, click the 'Connection' tab, then press the 'Advanced' button. In the 'Extra settings' field, try adding "W2" (without the quotes) to your initialization string. Upon doing this, you may see a more accurate connection rate the next time you connect to the Internet.


9/6/1999

9.6.1999

The other day, a Lockergnomie reminded me that Windows 98 users can easily change their link cursor in Internet Explorer 4/5. Ya know, the "pointing hand" that you see when you hover over a link in IE? Fire up your Control Panel, double-click the Mouse icon, select the 'Pointers' tab, then scroll down to 'Link Select' and 'Browse' for a replacement cursor/icon. Heck, while you're at it, you can change your other cursors just as easily, too.


10/6/1999

10.6.1999

To select an object (icon), you simply "click it" once with your left mouse button. But what if you want to select more than one object at a time? Try left-clicking & dragging your cursor (starting in a blank area)... you should then be in control of a resizable rectangle. At that point, you can highlight any given set of icons so that they become selected (on your Desktop or in the Windows Explorer). Once you've selected a series of objects, you can manipulate them by right-clicking or dragging & dropping one of the icons.


11/6/1999

11.6.1999

Let's say you've got a series of objects (icons) selected in the Windows Explorer. However, you're wanting to deselect a few individual icons. Instead of continually left-clicking & dragging, hover your cursor over a selected icon, hold down the CTRL key, and left-click the object. It will immediately become "unselected." Conversely, if you wish to select an icon, you can use the same method (use the CTRL key when left-clicking upon an unselected object). Your selection (or deselection) will be cumulative. In a similar vein, depressing the SHIFT key while selecting an object will allow you to select every item in between that one and the next one you left-click upon (while still depressing the SHIFT key).


14/6/1999

14.6.1999

Sometimes the Desktop (and folders) don't refresh properly. If you've got Windows "residue" on the screen that shouldn't be there, try hitting F5 and see if it disappears. If not, you may have a bigger problem on your hands (try upgrading your video card driver). You can also hit F5 to "refresh" Web pages. It's the Function key of choice!


15/6/1999

15.6.1999

Lockergnomie "Zero Gear" found something QUITE interesting that I've never seen before (and I dare to say that none of you have, either). This is an EXTREMELY undocumented feature of Windows 98--I don't even know what it is or what it's to be used for. Using Windows 98, click the Start button, go to Settings, hold onto the CTRL key and click "TaskBar & Start Menu." Now, look at the right-most tab: DeskBar Options!? Everything is grayed out, so I'm not sure what to make of it. Interesting, to say the least.


16/6/1999

16.6.1999

Have you ever downloaded an animated cursor and wanted to see what it looks like in motion? Simply select it then hit ALT+ENTER (or just right-click on it and select 'Properties'). Voila! Well, even though it won't play the animation at full speed, it WILL loop through the entire animation sequence.


17/6/1999

17.6.1999

Ever forget your Windows password (it could happen)? Just go to your Windows directory and delete the PWL file with your login name (CHRIS.PWL for example). Restart windows (or log in as a new user), use the information you had been using before, and it should prompt you for a new password.


18/6/1999

18.6.1999

Here's another typing shortcut for you slow typers. If the site address you're looking for starts with a 'www' and ends in a 'com' then you're in luck. In later versions of Netscape and Internet Explorer, you can type in the root word (for example, 'pirillo'), hit ENTER, and wait a few seconds for 'www.pirillo.com' to automatically load. And you should forget about typing 'http://' first... the newer Web browsers will automatically insert it.


21/6/1999

21.6.1999

If you want to possibly speed up the refresh rate in Console Windows, add the following to the [386Enh] section of SYSTEM.INI: WindowsUpdateTime=10 (the value is the refresh rate in milliseconds). NOTE: using values less than 15-20ms requires a fast machine and a good video card. Otherwise your system will become very slow when a DOS Box or Win32 Console Application is running). Make sure to reboot your system after setting the tweak.


22/6/1999

22.6.1999

Don't you hate downloading a file only to find that it covers up or is covered up behind another icon on your Desktop? No matter what, when something appears on the Desktop for the first time, it will pop on the LEFT side first. Well, here's a tip: move all the "permanent" icons to the RIGHT side of your Desktop. Minimize the hassle and make the move. And keep only what you need on yr Desktop--if you have more than 10 icons, start putting things into the Start Menu or a toolbar. That's what they're there for, gang.


23/6/1999

23.6.1999

Having problems in Windows 98? There's a doctor in the house! Simply select the Run command from the Start Menu and type: DRWATSON (then hit Enter). You'll get a doctorish icon in your System tray. He'll help you troubleshoot & document crashes plus show you the Windows operating environment. While you're "running" things, try 'MSCONFIG' if you want to control how Windows operates. Maximum tweakability!


24/6/1999

24.6.1999

At times, site frames can be useful, but when they don't clear themselves from your browser when you click on "outside" links, they become annoying. So, next time this happens in IE4, simply click (and hold) a link, then drag & drop it onto the address line of your browser. Voila -- no more frames! You may also drag & drop links into folders or onto your Desktop; it's a link's greatest adventure.


25/6/1999

25.6.1999

A 'Send To' cascading menu pops up when you right-click on an object... put a shortcut to NOTEPAD in there! When I want to edit (or view) a text file that isn't registered with Notepad, I just 'send it' to Notepad. Open the Run Command line (hit WINKEY+R or click on the Start Button and select Run), type in "SendTo" without the quotes, right click somewhere in the 'SendTo' Explorer window, make a New Shortcut, and point it to "notepad.exe" (again, without the quotes) and then click 'Okay.' Now, the only thing left to do is remember to use it!


28/6/1999

28.6.1999

AutoComplete is a pretty nifty feature in IE5. I know it has saved me a bit of typing now and again--especially for frequently used fields (name, e-mail address, etc.). But what if you've got an entry in there which you'd rather not keep? Other than flushing the entire cache of data, how can you get rid of a few individual entries? Simple. When you're entering data into an 'AutoComplete aware' form, before you start typing anything, double click on an empty field. At that point, you could see a drop-down list of previously entered strings for that form. Hover your mouse cursor over an entry you wish to delete and... tap the 'Delete' key. It's gone!


29/6/1999

29.6.1999

From the "You Never Feature Anything For Netscape" department: Lockergnomie Sergei Poskriakov happened upon a rather interesting workaround. "Windows claimed that Netscape had performed an illegal operation and was going to be shut down. I ignored the message; Netscape was still responding to controls and working fine--albeit somewhat slower than usual. I guess you can sometimes still finish what you were doing even after an illegal operation warning. I suppose it also means that Windows can't recognize a critical error from a benign one." It's always worth a shot!


30/6/1999

30.6.1999

From the "Skeleton Key" department: Lockergnomies Vladi Eftenov, Ramey Bell, and Daniel Gelinas have uncovered some handy-dandy Web browser keyboard shortcuts. For a quick way to shift focus to the address line, either tap the F6 key or try the ALT+D key combination. Or, if you'd like to see what's in your Address bar's history list, simply tap the F4 key. Your mileage may vary, but these should work in most situations. Get that hand off your mouse, mister!


1/7/1999

1.7.1999

From the "Seeing Double" department: Lockergnomie Albert Lo has come up with a nifty JavaScript applet which will allow you to have dual panes in the same Explorer window! To download it, simply visit http://www.lockergnome.com/coolstuff/ and download the Double.zip file. Then, open the included 'double.html' file in Internet Explorer. How long have you waited for THIS tweak?


2/7/1999

2.7.1999

From the "Total Space Case" department: Lockergnomie Mark Lumsden found a nifty shortcut for those of you who love using the keyboard while you browse. Instead of clicking and dragging the scroll bar, tap the space bar on your keyboard and the page should scroll down. Now, if you want to scroll up, just hold onto the SHIFT key while tapping the space bar. Scrolladelic, baby.


5/7/1999

5.7.1999

From the "I Like Coffee I Like Tea" department: Lockergnomie Keith Borton presents an excellent way to detect the installed IE Java Virtual Manager version. This way, you can be sure you're always using the latest version. "Drop to a command prompt by typing "COMMAND" (without the quotes) on the 'Run Command' line in the Start Menu. Then, at the 'C' prompt, type "jview" (again, without the quotes). In the upper right-hand corner of the console window, you should see a version number--that's what you're looking for!


6/7/1999

6.7.1999

From the "You Really Start Me Up" department: Lockergnomie Eliot Gelwan found a way to further expand your choices when Windows launches. Normally, you have a range of shortcuts in your 'Startup' folder. Now, if you put a shortcut to a folder in there, an Explorer window will launch when Windows runs through the Startup menu. Here's my suggestion: make a folder somewhere on your hard drive and name it something (like 'Launchers'). Move all the shortcut icons out of the Windows Startup folder and into the 'Launchers' one. Then, place a 'Launchers' folder shortcut into the 'Startup' folder; it should be the only shortcut in there. This way, when Windows boots up, you'll see a small window with all your 'Startup' shortcuts displayed. You can pick and choose which ones you want to launch at that time. To open the 'Startup' folder, simply type "Startup" (without the quotes) on the 'Run Command' line in the Start Menu.


7/7/1999

7.7.1999

From the "Confirm Alan One" department: Lockergnomie Anthony Lieuallen brings to light a tip to help those who have lost a potentially important option. "I once clicked on a ZIP file in Internet Explorer and un-checked 'Always ask before opening this type of file?' mistakenly. The option to save ZIP files never showed up again. I found that if you open up the Windows Explorer, select 'Folder Options' from the View menu, then select the 'File Types' tab, you can locate the ZIP file association and Edit it. At that point, you can place a checkmark back into the 'Confirm open after download' field. Once again, you will be prompted to open or save a file before downloading it."


8/7/1999

8.7.1999

From the "Somebody Please Save Me" department: Lockergnomie Gord Braun has stumbled upon a good habit. "If you are typing a lengthy e-mail message, namely something that's really important, I strongly suggest pressing CTRL+S at regular intervals. This action should save a (temporary) copy of your work in the 'Drafts' folder in Outlook or Outlook Express." This tip may also work in other e-mail programs (Eudora, Pegasus, Netscape, et al)... refer to your e-mail program's documentation to see if copies are automatically saved for messages which take a while to compose. This way, if something happens to your PC while you're in the middle of a message, all will not be lost. It's kinda like fire insurance--only not as hot.


9/7/1999

9.7.1999

Newer versions of Microsoft Word have timesaving auto-formatting features enabled by default. However, we don't always want our Web addresses hyperlinked, nor do we always want our misspellings spelled correctly. To toggle these features, select 'Tools' from the menu, then 'AutoCorrect' in the drop-down list. From the dialog that pops up, you should be able to tweak Word's settings to your liking. Or, if you'd rather keep the automatic stuff turned on all the time, you can easily undo an auto-format immediately after it has been applied. Say you're typing along and Word changes 1/2 into 1/2 -- but you'd rather have 1/2. Just hit backspace as soon as Word makes the automatic change. It will revert back to your original string.


12/7/1999

12.7.1999

From the "They Call Me Flipper" department: Lockergnomie Chris Graham discovered a way to switch between documents in a program with a multiple document interface (MDI). Examples of such programs would be Word or Excel 97 (where more than one document may be open within the same window). To change focus from one open document to another, use either the CTRL+F6 or the SHIFT+CTRL+F6 keystroke combination. Don't even bother with your mouse--using the keyboard will be much faster.


13/7/1999

13.7.1999

I can't believe how many times I've been asked about sorting items alphabetically in the Start Menu over the last couple of weeks. It's not so simple with IE4, but it's a snap with IE5. My suggestion: if you have IE4, you shouldn't have a problem upgrading to IE5 (which I recommend). Right click anywhere on a Start Menu 'Programs' shortcut and select 'Sort By Name.' Voila! Note, too, that IE5 added renaming functionality for Start Menu items as well.


14/7/1999

14.7.1999

From the "Use The Back Door" department: Lockergnomie Elmer Standish has a good tip for when you encounter missing files or pages. It's frustrating When you surf the Web and stumble upon 'File Not Found' errors. These usually happen when personal pages change or accounts get deleted. If the '404' URL is: http://www.lockergnome.com/~biggs/software.htm -- try removing the 'software.htm' to see if the 'biggs' account is still active. Just "peel" away the layers one by one (starting with the last section) to see if you get anywhere. It may not work every time, but it's better than giving up!


15/7/1999

15.7.1999

Sometimes it's not easy to tell when a Web page was last updated. If the author doesn't show you outright, you should be able to find out with a snippet of JavaScript code. Open your JavaScript-enabled Web browser and type the following on the Address line: javascript:alert(document.lastModified) -- hit Enter, and a dialog box should pop up with the time & date of the last page modification. It's a simple trick you should keep up your sleeve should the need arise.


16/7/1999

16.7.1999

The File Transfer Protocol (FTP) has been around for years; it's much older than the Hypertext Transfer Protocol (HTTP). Just as today's Windows versions come with a default Web browser, they also come with an FTP program. Before you download or install a high-end client, see if FTP.EXE does the trick for you. It has neither fancy-schmancy icons nor a point-and-click interface. Select 'Run' from the Start Menu and type "FTP" (without the quotes). For a list of available commands, enter a question mark. NOTE: You may also type "FTP" at a command prompt to run this vanilla client.


19/7/1999

19.7.1999

Years ago, compression was all the rage. Now that hard drives can handle 20+ gigabytes of data, you shouldn't have to rely on software compression for more space. Of course, if you're still hankering for an extra byte or two, fire up your favorite ZIP file manager. Run a digitally fine-toothed Comb through your hard drive, searching for data & programs which you hardly use. When you've found a few, ZIP them up! You'll potentially wind up saving megabytes.


21/7/1999

21.7.1999

Reinstalling Windows every once in a while is a wise thing to do... if you're an experienced user. Before you decide to "redo" your system, make sure you've gathered all of your important data. You may choose to 'backup' on high-end removable media, but you should be safe enough by storing every irreplaceable file in one particular folder: My Documents. This way, you shouldn't have to worry about accidentally deleting an important file--as long as you don't remove the 'My Documents' folder from the root of your hard drive. I suggest keeping ALL of your saved data, documents, and multimedia in 'My Documents' subfolders--you'll always know where those files are.


22/7/1999

22.7.1999

When merging system registry patches, you're asked to verify the action as a preventative measure. Sometimes, patches have to be applied with every session; you can place a 'REG' file in your StartUp group, but the problem is, you have to click 'Yes' then 'OK' in order to use the patch. However, were you aware of the '/s' switch for REGEDIT? Create a shortcut to a 'REG' file, and on the Target line (before the file location), type: "REGEDIT /S" without the quotes. Now, the process will be completely SILENT. You may also add the '/S' switch to the REG file type 'Merge' action in the Windows Explorer Folder Options dialog.


23/7/1999

23.7.1999

No doubt you've seen the "Cannot find server / The page cannot be displayed" error in IE5. But, that doesn't automatically mean that the page in question doesn't exist. Sure, if the domain isn't registered, you'll see this message. But, you'll also see it when there is a data transmission error (or when the server is experiencing a high amount of traffic). Which means: the page may very well exist--it just failed to load. Don't give up! Check for typos, then hit the Refresh button (or tap F5). So much for user-friendly messages, eh?


26/7/1999

26.7.1999

Everybody knows that two plus two is five... right? Okay, so maybe mathematics isn't my strongest suit. I can handle the 'Standard' Windows calculator, but when I toggle the interface to 'Scientific,' the functions become a little more complicated. If you don't know what a button can do for you, right-click on it and select 'What's This?' -- but don't stop with the calculator. You can use this right-click trick in just about any Windows dialog box; it's a very quick way to get the help you need. Try it next time you become confused.


27/7/1999

27.7.1999

Many Internet content providers need sponsors. But if you say 'pop-up window' to a Web surfer, you better make sure your medical insurance is paid up. Yes, some are annoyed by those browsing intrusions (especially if they have slow connections). Here's a quick way to stop those suckers dead in their tracks: when a pop-up window pops up, hit the 'Esc' key. The window's contents should stop loading immediately. From there, you can close it. Yes, there are programs to stop them before they start (you can also turn off 'JavaScript' in your browser's options dialog). I guess the 'Escape key method' is quicker, works only when you want it to work, and doesn't take up any disk space.


28/7/1999

28.7.1999

When monitors went from monochrome to color, geeks were taken aback. Nowadays, we can get true-to-life colors on the screen. But, just because we can operate Windows with millions of colors doesn't mean we always should. In some cases, your video will become increasingly sluggish as you use higher color depths. To change your video's settings, right-click on the Desktop, select 'Properties,' click on the 'Settings' tab, then find the 'Color' drop-down box. '256 Colors' is probably too low, and 'True Color' is most likely too high. So what's the sweet spot? 'High Color (16-bit)' will give the average user all the colors s/he would ever want.


29/7/1999

29.7.1999

How fast can you type? I think I clocked myself somewhere around 100 words per minute once. Of course, not everyone types as fast (or as slow--depending on how you look at it). Can your keyboard keep up with you? How often do you use your cursor keys? Do they respond quickly? Open up the Keyboard applet in the Control Panel. >From there, you can manipulate the rate and delay. My suggestion: set them to the max! You can also change keyboard settings easily from the command prompt by typing: "mode con: rate=32 delay=1" (without the quotes). Keep those fingers on home row.


30/7/1999

30.7.1999

Here's an interesting fact passed along to me by Shaun (while we were driving from San Francisco to LA). The quickest way to close your CD-ROM tray isn't always the wisest. If you have an open/close button on your drive, you should use it. By pushing an ejected tray back into place, you may be putting undue stress on the hardware. I've learned one thing throughout the years: anything with moving parts should be treated with care. Of course, I don't want you to become over-protective... just keep this in mind. If that's not much of a tip for ya, how's this: before you reboot Windows, remove any CD from your drive(s). You may shave a few seconds off of boot-up time!


2/8/1999

2.8.1999

Feeling adventurous today? 99% of what I cover in Lockergnome deals with the software side of your system, but here's a hardware tip could keep you from replacing parts prematurely. You probably don't open your case on a routine basis, but if you've owned your PC for over a year, you may want to take a peek inside. Check out all them dust bunnies! Pick up a liquid air (dust remover) spray can from your local computer store and clean house. I wouldn't suggest blowing with your own mouth, as spit has a tendency to ruin delicate components. Your system won't run any faster, but it'll be a lot cleaner.


3/8/1999

3.8.1999

I know you've received at least one e-mail in your life. How else would you be reading this sentence? When I wrote my book, I was sure to include a small section on e-mail etiquette. When you forward messages to other people, it is customary to send the ENTIRE text. However, when you reply to someone's message, you should be a little more mindful. Should you include someone's original message in your reply, weed out anything irrelevant. I always suggest keeping key sentences, but nothing more. This way, you'll cut down on message size, and the recipient won't have to hunt for comprehension. Be nice, think twice.


4/8/1999

4.8.1999

My daily task list is starting to shrink again, but Mr. Bigglesworth seems to have tons of tasks he's yet to complete. Where's a task manager when you really need one? It's right on your machine! TASKMAN.EXE is an alternate version of your taskbar; select 'Run' in your Start Menu and type 'TASKMAN' (then hit ENTER). Lookie there, kiddo... it's all of your tasks lined up in a row! To a certain degree, you can tweak this program's UI (as well as control certain Windows functions). If the taskbar isn't enough for you, call on the TASKMAN. I wonder why it's not a TASKWOMAN? Gretchen does more things around here than I do, I swear...


5/8/1999

5.8.1999

Too many folders in your Start Menu? Go figure; try to whittle them down a bit when you have the chance. Maintain general categories for optimum efficiency (Entertainment, Utilities, Internet, Multimedia, Productivity, Optimization, etc.). But that's not what this tweak is about. Ya know that StartUp folder you have sitting in there? When a VB4 application is installed, it will automatically create a 'StartUp' group in your Start Menu. UGH! You can easily move it out of the Start Menu, or you can just HIDE it. Pull up its Properties (right-click it if you have IE4 or IE5 installed), then place a checkmark in the 'Hidden' menu. Sayonara!


6/8/1999

6.8.1999

Icons are helpful in visually describing what lies beneath them, and sometimes textual reminders are a bit too much. You know that the book icon is for launching your favorite word processor--but you can't have a textless icon... or can you? Rename the icon (select it and tap the 'F2' key). While depressing either ALT key, enter '0160' on your numeric keypad. This should create a blank space. At that point, you can hit ENTER and the icon will no longer have text underneath it. If you'd like other 'nameless' icons on your Desktop, enter an additional '0160' for each one (remember, no two shortcut icons can have the same filename).


9/8/1999

9.8.1999

That little, yellow speaker icon in your System Tray is more powerful than you could possibly imagine. Single-click it (with your left mouse button) and you'll get a simple volume slider and a mute box; double-click it and you'll see a mixer for playback devices. If you ever had problems recording something with your microphone, be sure that your settings are correct. From the playback mixer, select 'Options' then 'Properties' from the menu. Then, in the 'Adjust volume for' field, select 'Recording.' Be sure the volume controls you wish to tweak are selected, then press 'OK'. Now, you can tweak the audio input settings to your heart's desire.


10/8/1999

10.8.1999

Although Office 2000 is Microsoft's latest suite creation, it still has features that annoy some users. One of the biggest complaints I've heard thus far has been related to the truncated pull-down menus. If you need to access 'more' options, you have to click on a set of arrows to expand the menu. This is nifty for novices, but power users will become miffed in about .02 seconds. To have the menus bear all, select 'View' from the menu, then 'Toolbars,' and 'Customize.' Click the Options tab and deselect 'Menus show recently used commands first'. Everything should be back to "normal" now.


11/8/1999

11.8.1999

From the "Don't Take Away My Shortcuts" department: Lockergnomie Alvaro Sancho came up with an interesting idea. The goal is to create an easily-accessible 'Folders' folder in the Start Menu. Right-click on the Start button, select 'Open', create a New Folder (name it 'Folders' or whatever), double-click it, then create shortcuts to whatever folders you frequently access. To create a shortcut for a folder, simply right-click on the folder for which you wish to create a shortcut, drag & drop it onto the shortcut's destination, then select 'Create Shortcut(s) Here' from the pop-up menu. It's a great timesaver for those who Explore often!


12/8/1999

12.8.1999

From the "Just Put It On My Tab" department: Lockergnomie Chris Hogan uncovered another nifty keyboard shortcut. "Here's a tip for navigating multi-tabbed dialog boxes. Instead of using your mouse to select the various tabs, try using CTRL+PAGEUP or CTRL+PAGEDOWN. It will cycle you through every tab (this also works for cycling through multiple worksheets in Microsoft Excel)." When the mouse is away, the fingers will play.


13/8/1999

13.8.1999

So is your Desktop prepared for Y2k? There are hundreds of variables at play, but here's a tweak you should definitely apply. Double-click the 'Regional Settings' icon in your Control Panel, then select the 'Date' tab. Look at the 'Short Date Sample' field. You should see something akin to 'M/d/yy' -- this is the Windows 9x/NT default string. The problem: 'yy' will roll over to '00' (not '2000') when January 1st rolls around. To solve this problem, enter two additional lowercase 'y's to the end of the field -- or select a string that has 'yyyy' in it. Click 'Apply' when you're finished. It may keep your applications from going haywire in a few months.


16/8/1999

16.8.1999

There's a method to my madness, and I'm quite happy to be mad. I list the most relevant information in each one of Lockergnome's "downloadable" reviews. For each one of these items, you see: the file name, version, size, platform, & price, the download & homepage URLs, and finally the somewhat-descriptive review. But don't just download something and move along to the next segment. Oftentimes featured shareware authors have created other programs which you may find just as useful (if not moreso). I list two links for a reason, gang--take advantage of both of them. Especially when it comes to fonts and themes! Your collection will double every day.


17/8/1999

17.8.1999

Move your mouse to the left, now move it to the right... left-click, right-click... everything seems to be working fine, eh? Now pretend you can't use it at all. How in the world are you going to get around Windows? One of my favorite functions is right-clicking (if there can be such a thing). So how can you 'right-click' without a mouse? Newer keyboards have a 'context menu' key, but there's another way: depress SHIFT and tap F10. >From there, you can use your cursor keys to select options (and the ESC key to cancel).


18/8/1999

18.8.1999

Look at that Web page in your browser; most likely, you can see its URL in the address line. However, when frames enter the picture (as opposed to pictures entering the frame), true addresses can become hidden. Never fear--there's a workaround of sorts. Right-click inside the 'frame' for which you'd like to have the URL, then pull up its 'Properties.' At that point, you should see the frame's 'Address (URL)' in the dialog box. Selecting the text with your mouse and tapping CTRL+C will not work; right-click and select 'Copy' instead.


19/8/1999

19.8.1999

Those darn Web browsers offer so much joy... and twice as much frustration -- especially if you're a Web developer! When developing and tweaking HTML code, I've found myself pressing the refresh button more than a few times. But why is it that the page doesn't always 'reload' properly? There may be older versions of it sitting in your cache. Closing and restarting a browser session doesn't always work; flushing the entire cache isn't always an option. The quickest way to see the absolutely (positively) latest version of a Web page is by holding onto your CTRL key while pressing the refresh button.


20/8/1999

20.8.1999

"Help! There's a paper clip on my Desktop, and it's annoying me to no end. Okay, it's gone... but it's been replaced by a tiny Einstein! I need a little help inside my Microsoft Office applications, but I don't need to be lectured by a cute character." The best way to permanently turn those critters off (without hosing your system), is by opening up the Windows Explorer, navigating to Program Files \ Microsoft Office \ Office, then renaming the 'Actors' folder to 'Dead_Actors' (or something of that nature). They shouldn't bother you again. Thanks to Lockergnomie Mike Bartlett for this tip!


23/8/1999

23.8.1999

Lockergnomie Brian Livingston published an interesting tip in his Infoworld column; if you've got a ton of folders in your Start Menu, you may want to pay attention to this tweak. By default, Windows 98 will keep Start Menu folders in a single column. To force it to use multiple columns (without scrolling arrows at either end), a little Registry diving is necessary. Using REGEDIT.EXE, navigate to HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Windows \ CurrentVersion \ explorer. In the right-most pane, create a new Text Value. Type "StartMenuScrollPrograms" (without the quotes) then hit ENTER. Modify the string you just created (right-click on it); in the 'Value Data' box, type "false" (without the quotes), then click 'OK.' Close REGEDIT, tap the F5 key (to refresh your Desktop), and voila! NOTE: some users have not been able to get this tweak to work on their system.


24/8/1999

24.8.1999

How's that printer working over there? Have you bothered to tweak its settings? Open the 'Printers' folder in 'My Computer.' If your printer is properly installed, you should see an icon for it here; right-click on that icon and pull up its 'Properties.' You should see several tabs in this dialog box; change paper (quality, size, orientation), graphics, and (possibly) brightness/contrast settings. Customize it to your liking! Or, for convenience, you can create a "new" printer with a different name (and different settings)--calling on the same printer. While you're at it, throw a shortcut to your printer onto your Desktop for easy drag & drop printing.


25/8/1999

25.8.1999

From the "This Drive is Driving Me Nuts" department, Lockergnomie Kerry Rogers knows of a way to get CD-ROM access in Safe Mode. "Here's the secret (with Windows 98): before your PC begins booting up into Windows, depress the CTRL key to access to the Startup menu. Choose 'Command Prompt Only,' then type "win /d:m" (without the quotes) and press ENTER. Windows should start in Safe Mode with your CD-ROM drivers. If you still can't access your CD-ROM drive, it means your real mode CD-ROM drivers aren't installed. For installation instructions, send an e-mail message to mshelp@microsoft.com with Q190303 in the subject line (and nothing in the body of the message). Microsoft's automated help system will send back the instructions."


26/8/1999

26.8.1999

It's time for another visit from Mother Netiquette; she still wants to talk about e-mail habits. And why not? I bet you use e-mail to communicate with your friends everyday. But today's question is: but how should you start communicating with someone you don't know? Think twice before sending an HTML message. The recipient may not have an HTML-capable mail client, and your message may not actually be read. After you know the other user can handle HTML mail, only then is it "safe" to fire off an HTML message. And even then, please watch the size of your message--graphics are bandwidth hogs. If it can be sent in text, send it in text.


27/8/1999

27.8.1999

We're all filled with questions. Why is the sky blue? Does a circle ever stop? How come this program doesn't work on my machine? To tell you the truth, I don't know the answer to any of those. Just because I feature something doesn't mean I know EVERYTHING about it; I don't have time to become an expert in all things digital. If you have a question about a particular download, ask the author directly. In a similar vein, if you remember seeing "something" in Lockergnome before, check out the past issues section of our site. It may take time, but I'm sure you'll eventually find the answer.


30/8/1999

30.8.1999

Quit mousing around for a second and let your fingers do the navigating. Oops! Unless you know every keyboard command by heart, you'll find yourself facing frustration without a moving cursor. Luckily, there's a way to push the pointer across the screen using the numeric keypad. Open the 'Accessibility Options' icon in your Control Panel, select the 'Mouse' tab, turn on 'MouseKeys' functionality, and tweak its settings to your comfort. But, I wouldn't suggest throwing out your mouse pad quite yet...


31/8/1999

31.8.1999

There's a weird, colored blob on your computer screen, but it's not something you can wipe off. You may see spots of yellow, magenta, or blue. Chances are, you need to tweak your monitor's hardware settings (sorry, this can't be fixed with software, and sometimes you just can't fix it without calling a professional). The easiest way to see if you have color distortion of any kind is by removing your Desktop image and setting the background color to white. Or, just open up a Notepad session and maximize the window. Some monitors will have dials (or on-screen controls) to help you tweak. If you see other 'interference,' consider moving your computer monitor away from any magnetic source (speakers, etc.).


1/9/1999

1.9.1999

Printer ink is expensive. Before buying new cartridges, check to see if you can refill the ones you already have. That may save you a bit of money. Of course, you should also be cognizant of your printing habits. Color ink is more expensive than black ink; when you don't need to print something in color, DON'T! You should be able to toggle your printer's settings from its icon in the 'Printers' folder in My Computer.' I suggest keeping it on 'black' 99% of the time, gang. Not only will you be saving money, but your print jobs will (typically) go a lot quicker.


2/9/1999

2.9.1999

You know an application is frozen, so why doesn't it just die already? A single CTRL+ALT+DEL maneuver will bring up a task menu from which you may select a non-responding program to close. However, it still has 20 more seconds to get its act together. To decrease that time frame, open up REGEDIT and navigate to the HKEY_LOCAL_MACHINE \ System \ CurrentControlSet \ control key. Right-click somewhere in the right-pane and create a new 'String Value.' When prompted for a label, use "WaitToKillServiceTimeout" (without the quotes). Then, you should be able to set its value to a regular number from 1 to 20.


3/9/1999

3.9.1999

From the "I'm Feeling Shifty Today" department, Lockergnomie Dan Milner stumbled upon a sticky trick. "When you hold down the SHIFT key while left-clicking on an icon in the Start Menu, the group will remain open so that you can select other icons without having to navigate back through the Start Menu again." This tip may only be applicable to IE4/5 users out there, but it's worth trying! Save yourself some mousing miles.


6/9/1999

6.9.1999

From the "I Have No Patience for Dialog Boxes" department, Lockergnomie Daniel Hindman has found a great way to get single-click access to your dial-up Internet account. "Open your Dial-Up Networking folder in 'My Computer.' In the menu, select 'Connection' then 'Settings.' Make sure there are no checkmarks in the 'Prompt for information before dialing' and 'Show a confirmation dialog after connected' boxes. Press 'OK' to close the dialog box. Then, IE4/5 users can drag the DUN account icon onto the Toolbar (in the Taskbar) to create a shortcut that's one click away!" NOTE: this tweak is only good if your username and/or password have already been entered and do not need to be changed regularly.


7/9/1999

7.9.1999

What's on your Web site? By law, guys have to have a JPG of Sarah Michelle Gellar, and gals have to have a JPG of George Clooney. However, there is no law regarding the use of background images on Web pages. Sometimes I wish there was. If you choose to use a background image, I suggest that it be the following: non-animated, purposeful, and seamless. What does 'seamless' mean? When the 'finished' background looks like one giant image (without visible interruption), it's seamless. To test an image's seamlessness, save it as a BMP, then try to tile it as your Desktop wallpaper. Does it look like several small images on your screen? Then it's not seamless. Does it look like a never-ending pattern? It's seamless. Or so it would seem?


8/9/1999

8.9.1999

Are you irked by IRQs? I hope your answer is 'no,' because those puppies aren't fun to play with. According to WHATIS.COM, "the IRQ (interrupt request) value is an assigned location where the computer can expect a particular device to interrupt it when the device sends the computer signals about its operation." If there's a contention, certain components in your computer may not work properly. If you're having 'weird' problems, check your current IRQ settings. Right-click on 'My Computer,' select 'Properties,' click the 'Device Manager' tab, then right-click on the 'Computer' icon at the top of the sheet and pull up its properties. Are the devices with problems sharing an IRQ? You may be able to change IRQ settings by double-clicking on a designated icon in the 'Device Manager' tab and looking for the 'Resources' tab. Good luck!


9/9/1999

9.9.1999

Here's a spiffy tip for those who have Microsoft Office files lying around. Whether or not you have 'Office' installed, you may need to see details about certain documents. Right-click on an Office-created file and pull up its properties; you should see a range of helpful tabs sitting there. The context menu for Word documents will show you the author, his/her comments, the table of contents, and how many pages, paragraphs, lines, words, characters are in it! Excel worksheets will show virtually the same information, including the number of tabs (and their respective labels). There's more than meets the eye to some of those suckers.


10/9/1999

10.9.1999

Icons tell only half the tale. Especially for those darn DLLs, odd OCXs, vexing VXDs, evil EXEs, and devilish DRVs. Okay, they're not as bad as I'm making them out to be, but sometimes I bet you'd like to know about a file's origin. Your system directories are (most likely) littered with orphaned files; if a filename means abso-smurfin-lutely nothing to you, right-click on it and pull up its properties. Select the 'Version' tab if it is available. From there, you'll be able to check the file's version (duh), description, and creator. It's the first step in troubleshooting file removal. Does it need to be there? Don't throw it away if you're not 100% sure.


13/9/1999

13.9.1999

"Psst... lookin' for somethin'? I think I got what you need right here in my... browser." I admit that I didn't like Internet Explorer's search pane once upon a time, but IE5 has made a believer out of me. Fire up IE5, open the search pane, and look for something (anything ya want). In just about every results page, you'll get links to possible matches (duh). But don't be so quick to click! Hover over a link for a few seconds and you should get a descriptive tool tip. Is this what you're looking for?


14/9/1999

14.9.1999

I was born with a tweaking thumb. Diving into the registry to change settings used to be an everyday occurrence. Then I got a little wiser. Whenever I add/edit a key or string value, I highlight the branch and select 'Registry,' 'Export Registry File' from the menu. At that point, I give the .REG file a memorable name for that particular tweak and save it in my 'REGHACKS' folder in 'My Documents.' Whenever I want to apply that tweak to the Registry, I just double-click it. No more unnecessary diving. You can edit out any extraneous information (which was saved in the export process) by right-clicking on the .REG file and choosing 'Edit.'


15/9/1999

15.9.1999

Don't start with me today. Actually, you can start, but not until I give you the 'go ahead.' How many items are in your Startup folder? Not sure? Click the Start Button, select 'Run,' type "STARTUP" (without the quotes), and hit ENTER. Wow, ya gotta lotta pretty stuff in there! They'll launch in alphabetical order, and you should be able to rename all of the shortcuts in there. If you want to specify their exact launching order, rename them with numbers. '1_program' would go first, '2_program' would go second, etc.. Okay, you can start any day now.


16/9/1999

16.9.1999

From the "What's Your Function" department, Lockergnomie Eileen Kenneda has a killer tip for Microsoft Word 2000 users. It pertains to function key usage (ya know, the ones at the top of your keyboard which all begin with the letter 'F'). Depending on what you're doing in Word, the function key's role may change. By turning on the 'Function Key' toolbar, you'll see a straightforward map of those darn 'F' keys. Their functions will change on-the-fly as you press CTRL, SHIFT, or ALT (or any key combination). From the menu, select 'View,' 'Toolbars,' then 'Customize.' You should see a "Function Key Display" option; place a checkmark in its box. It's a non-dysfunctional function!


17/9/1999

17.9.1999

By default, a 'DOS' window will have 25 lines in it. For most command prompt applications, this is enough. However, sometimes you may find yourself needing a little more room. Create a shortcut to COMMAND.COM on your Desktop. Then, right-click on it and select 'Properties.' Fly over to the 'Screen' tab and you should see the 'Initial size' field. Change that to 43 or 50 lines, then press OK. Now, when you launch that particular shortcut, it'll be a little bigger than what you've been used to seeing! NOTE: you can perform this tweak on just about any command line program shortcut.


20/9/1999

20.9.1999

I know you have an e-mail address, don't try to deny it. Do you have more than one, though? It's great to have a 'POP3' account, but you may consider getting a free Web mail address or two, too. The reasons are many. 1) If your mail server is down, at least you can send and receive messages elsewhere on the 'Net; 2) If you need to use a valid e-mail address on a form, and you don't wanna give away your personal account information, use your Web mail address instead; 3) For the most part, you can be completely anonymous (and inconspicuous) with a Web mail address; this isn't always the case with POP3 accounts; and 4) When you're on the road, away from your own PC, it's nice to have another Inbox to use. Of course, MAILSTARTPLUS.COM is a great Web solution for any POP3 account.


21/9/1999

21.9.1999

In the past five years, have you upgraded your PC? There's a lot of hardware and software out there, but it's nearly impossible to find the true scoop on products. You can count on a company to hype the heck out of anything, so who can you turn to for (typically) unbiased advice? The Usenet newsgroups, of course. If you don't have a news reader (or a news server), try using REMARQ.COM or DEJA.COM as your starting point. Before posting a question or comment, why not do a search for the product (or, perhaps more importantly, the manufacturer). Chances are, you'll discover real world experiences (which is much more than a spec sheet will ever tell ya). Don't purchase something without getting a second or third opinion!


22/9/1999

22.9.1999

Icons are wonderful creatures, but their spacing on the Desktop (and in the Windows Explorer) probably hasn't been optimized. Why even bother with icon spacing? So you can squeeze more icons into a smaller area! Right-click on your Desktop, select 'Properties,' then navigate to the 'Appearance' tab. In the 'Item' menu, be sure to write down the 'Icon Spacing' values (Horizontal and Vertical). Then, you can change both of them to 32 (I've found this number works best). If these settings don't work well for you, you can always change them back!


23/9/1999

23.9.1999

When you need to get from one side of your screen to the other, there's no easier way to travel than by using your mouse (or similar pointing device). When you're in the heat of battle (ya know, typing a document), it's not always convenient to have your hands leave the keyboard. So try this, the next time you need to jump between words and/or sentences: depress CTRL while tapping any cursor key. If you want to select the text while you're 'jumping,' simply depress SHIFT along with CTRL. It's a depressing trick that's actually uplifting in a way.


24/9/1999

24.9.1999

DOS isn't dead... yet. You may find yourself having to drop to a command prompt every once in a while (completely outside of the Windows environment). The easiest way to do this is by selecting the 'Restart in MS-DOS mode' option in the Shut Down menu. If you'd like certain programs to run automatically when the command prompt pops up, you'll need to edit the DOSSTART.BAT file in your Windows folder. Consider it the AUTOEXEC.BAT for restarting in 'DOS' mode. If you need to configure other environmental variables, find the 'Exit To Dos.pif' file in your Windows folder and pull up it's properties (by right-clicking on it). On the 'Program' tab, select the Advanced button. Then, you'll be able to 'Specify a new MS-DOS configuration.'


27/9/1999

27.9.1999

You're typing along, and upon moving your cursor to another spot, your text starts showing up in another font. Has this ever happened to you? This is why I always encourage users to apply formatting to a document AFTER all the data has been entered. You may choose to format on-the-fly, but do you know what codes are still lingering? Word Perfect has it all over Microsoft Word when it comes to revealing hidden codes. However, there's another way to view "hidden" formatting. From Word's menu, select 'Help' and 'What's This?' -- then left-click on any data in your document. You'll see a "cartoon balloon" pop up, showing the details for that particular object (or character). NOTE: this may not work in all versions of Microsoft Word.


28/9/1999

28.9.1999

From the "You're Invited to a Search Party" department, Lockergnomaniac Rictor Elionzo discovered a shortcut to the search engines in some versions of IE. With versions 4.x and higher, you can type a "?" and your keyword(s) in the address line of IE, and it'll start searching through your default search engine. If you want to specifically search Yahoo, instead of the "?" use "y" -- "av" for Alta Vista -- "ex" for Excite -- "wc" for WebCrawler -- "ly" Lycos -- "mc" for MetaCrawler -- "hb" For HotBot. Now, I tried this trick in IE5 (Windows 98 SE) and it didn't work, but it may work for other (older) versions.


29/9/1999

29.9.1999

Does everything have to be drag & drop with you? C'mon, let's step outside the box for a brief moment. The most useful keyboard shortcuts in the world are CTRL+X, CTRL+C, and CTRL+V (cut, copy, paste). You can use them virtually anywhere to manipulate textual information as well as objects (files & folders). You don't need to open two Explorer windows to copy/move files from one folder to another, just use your electronic glue stick. Select the files/folders you wish to copy/move, then copy or cut them to the clipboard. Navigate to their destination folder, and then paste. When in the middle of this operation, don't cut/copy anything else until you've confirmed they've been pasted where they should be.


30/9/1999

30.9.1999

From the "You Say Soda, I Say Pop" department, Lockergnomaniac Alex Dunlop has a burning tip for Hotmail users. When Outlook Express v5.0 was released, it was finally possible to access your Hotmail account through an e-mail program on your system. If you'd much rather use another mail client, no problem; your Hotmail account can be accessed through just about any given mail program. You already know your username and password, but you'll need to set 'pop.hotmail.com' as your POP3 server, and 'relay.hotmail.com' as your SMTP server. No more clunky Web interfaces!


1/10/1999

1.10.1999

Have you seen "More Windows 98 Secrets" (ISBN: 0764533606) by Lockergnomies Brian Livingston and Davis Straub? I was coming through it last night and found a nifty, obscure Easter Egg. Open the latest version of Microsoft Chat and cancel the 'connection' dialog box (if it pops up). In the text box at the bottom of the Chat window, type "WhoIsTheGenius" (without the quotes) but don't hit ENTER. Instead, depress CTRL and SHIFT, select 'Favorites' and then 'Open Favorites' from the menu. Then watch those characters boogie!


5/10/1999

5.10.1999

Dial-up connections are notorious for dropping you after a period of inactivity. To a certain degree, you have control over this. The first thing I'd check is your DUN account settings. Open up your Dial-up Networking folder (in 'My Computer'), then pull up your DUN account's properties. On the 'General' tab, press the 'Configure' button. Then, on the 'Connection' tab, look under the 'Call preferences' section. You should see the 'Disconnect a call if idle for more than' option. Either clear the checkmark, or set your desired time. If this doesn't work for you, consider keeping your e-mail program open and having it automatically check for mail every 10 minutes or so. Another easy option is to use an FTP client which sends 'keep alive' requests; connect to an account and keep the program open. These are just a few ways to avoid dropped connections.


6/10/1999

6.10.1999

From the "I'll Stick By Your Side" department, Lockergnomie Bill Colmer enlightens us with a nifty tiling trick. Two windows are better than one, especially if you'd like a nice cross breeze. When you need to drag & drop objects from one Explorer window to another, it's nice to have both of them side by side. However, you probably don't want to waste your time doing this. So, close all open windows, and fire up two (or more) instances of the Windows Explorer (left-double-click 'My Computer'). Then, right-click on your taskbar and select either 'Tile Windows Horizontally' or 'Tile Windows Vertically' from the menu. Voila! You're ready to rock. When you're finished manipulating those files and folders, you can right-click on your taskbar again and select 'Undo Tile' from the menu.


7/10/1999

7.10.1999

So what kind of business are you in, Mr. Vandelay? Imports and exports, eh? Sounds interesting. When it comes to importing and exporting data, sometimes the direct route isn't possible. Let's say you need to get one address book format into another; program X will export into format X, but program Y (where you need to import the data) won't read format X. Now, what if program Z will import format X and export format Y? It's a roundabout way to get the data, but it's a method that works. This tip is applicable to just about any type of data: documents, graphics, etc..


8/10/1999

8.10.1999

From the "Doubled Over with Joy" department, Lockergnomie Gilles Reichert figured out a way to get the taskbar to appear in a certain format. "Some users find it useful to have the Windows taskbar set to a double height (or more). It's particularly useful when there are many icons in both the Quick Launch area and the System Tray. Programs in the taskbar were appearing only in the top line, but I wanted them to be distributed evenly over the two lines. I found that by dragging & dropping the toolbar onto the side of my screen, and then moving it back to the bottom of my screen, the programs in the taskbar started using both lines."


11/10/1999

11.10.1999

Coming from the "Lazy Rodent" department, a Lockergnomie tap dances his way across the Taskbar. We're always looking for ways to save time; why should working with Windows be any different? Here's an electric time shaver: if you want to select multiple programs on the Taskbar (to close them all at once, maximize them, etc.), depress CTRL while you left-click each button. When you've finished, right-click on one of your Taskbar selections and select your action (it'll happen to every chosen program). NOTE: you can reverse an accidental selection by clicking on a selected item.


12/10/1999

12.10.1999

It's time for everybody's favorite netiquette professor, John Q. Walrustitty. This week's lesson deals with effective online communications. Just because you send an e-mail message doesn't mean that the receiver knows what you're talking about. Worse yet, you may convey the wrong impression. That's why the supreme uploader created emoticons. Ya know, those sideways smilies? Don't be afraid of using them. If a sentence can be misinterpreted, it will be -- unless you qualify it with some type of emotion. Since most of us can't see your pretty smile (or ugly frown) when we're reading your e-mail messages, you need to remember to be expressive (where applicable). Without such qualification, a lighthearted quip could easily offend someone. Write well, write often.


13/10/1999

13.10.1999

Coming from the "What's Your Name -- Who's Your Daddy" department, Lockergnomie Joe Parker knows what to do with his downloads. You may be the type of person to hold onto your downloads, but will you always remember what 'HPSJAF10.ZIP' contains inside? I doubt it. Immediately after downloading something, I suggest renaming it to something a bit more memorable. If it's a program, name the archive appropriately (including a version number). If it's a graphic, what (or who) is it of? No more confusion. Dude -- you've got 'long file name' capabilities in Windows 9x/NT, so you may as well make the most of that environment.


14/10/1999

14.10.1999

What's your favorite color? Okay, how many 'Favorites' do you have? Anything more than two hundred is a lot. Even with FAT32, they're eating up a ton of disk space. What can you do about it? Use IE5's built-in export wizard to turn compile them into a single HTML document. Choose 'File,' 'Import And Export,' then click the 'Next' button. Select 'Export Favorites' from the list of options, and choose the root 'Favorites' folder. In the following dialog, Export your Favorites 'to a File or Address.' I suggest Browsing to your 'My Documents' folder and storing the output in an HTML file there. When that's finished, you can open the exported file up in IE5 and drag & drop its Address bar icon onto the 'Home' icon in the IE button bar (to set the document as your browser's home page).


15/10/1999

15.10.1999

Coming from the "Aren't You A Little Short For A Shortcut" department, a Lockergnomie has her finger on a hot key or two. "If you don't use the number keys on the numeric keypad, you can use them as single-click keyboard shortcuts for launching your 10 favorite apps. Start by turning on the NumLock key. Then, right-click on an existing program shortcut and choose its Properties. In the Shortcut tab, select the 'Shortcut key' field, press the number key (on your number pad) that you want to associate with the program, then click 'OK.' Repeat the steps for each app's respective shortcut. Now, you'll need to keep these shortcuts on your Desktop, or in your Windows folder. With NumLock on, you'll be one key away from your favorite program.


18/10/1999

18.10.1999

Minimize, maximize, minimize, maximize... gosh, I'm really burning up the calories, here. If I don't stop soon, I might break a sweat. Have you ever needed to drag and drop a file (or folder) into a program, only to find that once you've grabbed the object(s), its window is minimized? That's okay -- don't drop anything yet. While still holding onto the object(s), hover your cursor over a window's designation in your Taskbar and keep it there for a few seconds. Whether minimized or maximized, that window should spring to the top of all other windows on your screen. It's like magic, only with no white rabbits.


19/10/1999

19.10.1999

We have to deal with Web pages on a daily basis. That just comes with being online. So, does your printer get a regular Web workout? You can configure the header and footer on those printouts in IE -- to waste less (or more) ink. Above all, you can configure them to your liking. Select 'File,' then 'Page Setup' from your IE menu. Right-click on the 'Headers and Footers' title, select 'What's This?' and you'll see an extensive list of mail merge commands which you may use at your discretion. NOTE: printed page layouts in Netscape are somewhat tweakable, too (although not quite to the same degree).


20/10/1999

20.10.1999

I don't know how many times I've been frustrated with friends and family members who aren't sure what's going on with their computer. They misclicked an icon or inadvertently changed a setting somewhere. What now? Especially if I'm not there with them? We spend hours on the phone trying to troubleshoot our way through the problem. Well, if their Internet connection still works, I make sure I've set them up with the latest version of Netmeeting. Before any problems start, I show them how to use it correctly -- so in the likely event of a digital disaster, I can look at and manipulate their Desktop remotely. Strengthen those personal tech support calls, man.


21/10/1999

21.10.1999

Coming from the "Look What the Mouse Dragged In" department, Lockergnomie Deann Smith shows us how to sprinkle more stuff on our Desktops. You can easily detach a toolbar (including the 'Quick Launch' bar) from your Taskbar and make it a floating object. Consider doing this if your Taskbar is constantly crammed full of programs. To show you how it's done, grab the handle on the left side of the Quick Launch bar and drag it to the middle of your Desktop (then let go). BIMP! A nice, configurable window filled with some shortcuts. Remember, to create a new toolbar, right-click on your Taskbar, select 'Toolbars,' then 'New Toolbar.' No need to show an ID for these bars.


22/10/1999

22.10.1999

Have you ever wanted to "Explore" your options? Explorer ain't the only game in town. Many of you already know about LiteStep, but there's something a little closer to home sitting on your hard drive. Remember Windows 3.1's Program Manager? You still have it! You can run PROGMAN.EXE at any time -- even replace the Explorer shell with that old dog. Before going any further, be sure you know what you're doing. If you don't, then stop right now. Novices need not apply. Open your SYSTEM.INI file, then change "shell=Explorer.exe" to "shell=Progman.exe" (or any other possible 'shell' program). Experiment, but be sure you know how to reverse your actions.


25/10/1999

25.10.1999

Coming from the "Where Did I Put That" department, Lori Shotts reminds us of a smarter way to search. Not all Web pages can be seen on one screen; we often have to scroll through paragraphs of text before finding what we were looking for in the first place. Sometimes we can take our time to sift through the data, but when we're really busy, we need to find the info and fly. When you're faced with a screenful of text in your browser, hit CTRL+F -- you'll be able to look for a keyword (or phrase) on that particular page. This technique really works well when you're sifting through a search engine's results. Of course, it also applies to most text-based documents as well.


26/10/1999

26.10.1999

Information doesn't always need to be flashy. If you can get your point across without having to present something outrageous, then please do. There's a time and a place for animated GIFs. Unfortunately, 99% of the Web page creators out there think that gaudy graphics are a godsend, and that they should be used at every opportunity. UGH! If your eyeballs hurt, you can turn off GIF animations in IE by selecting 'Tools,' then 'Internet Options.' Click the Advanced tab, and in the Multimedia section, deselect 'Play animations.' No more sudden movements. Unfortunately, I couldn't find a way to do this in Netscape. I guess you're stuck with those dancing hamsters?


27/10/1999

27.10.1999

Coming from the "Taking Out All The Stops" department, Lockergnomie David Lochridge knows how to speed up your DUN connection time. You have to enter your username and password every time you log into your ISP. However, what protocols are you using to communicate with it? Chances are, you're using a few too many. Open your DUN folder and select the 'Properties' of your Internet account. Flip to the 'Server Types' tab and make sure that 'TCP/IP' is the only network protocol selected. Before trying this tweak, check with your ISP to make sure TCP/IP is the only protocol you need for a connection. If you cleared the NetBEUI and IPX/SPX protocols, you should see your dial-up connection time decrease.


28/10/1999

28.10.1999

All right, all right. I admit, it'd be kinda nice to have a cable modem coming into this house. I guess I'm holding out for a DSL solution to creep into my neighborhood. Besides, I'm really not thrilled about giving even more money to my cable company -- which, in my opinion, doesn't treat their customers well. For those of you already surfing at coaxial speed, BE SURE you have your 'file and print sharing' options turned OFF! Anytime you're on a Network (other than at work), you don't want anybody seeing what's on your system. Open the Network applet in your Control Panel, press the 'File and Print Sharing' button, and be sure the boxes are cleared of checkmarks. Spread the word!


29/10/1999

29.10.1999

Coming from the "Switched At Birth" department, Lockergnomie Jack Sanderson gives us the key to unlock a Windows utility. What kind of hardware do you have in that machine of yours? Do you even know? Are your peripherals always on their best behavior? Don't lie to me. It's time to take inventory. Select the 'Run' option in your Start Menu, and type: "HWINFO /UI" (without the quotes). Be sure you have that little '/UI' switch in there or this won't work. In a few seconds you should see a color-coded window listing drivers (etc.) and their location within the Windows Registry. It's another troubleshooting tool for ya. NOTE: this utility may not come with all versions of Windows.


1/11/1999

1.11.1999

Electronically created photos may not always look phenomenal in print, but (one thing's for sure) digital cameras are a lot more fun to use than their film-loading counterparts. Results are instantaneous, and although the hardware is more expensive, you'll save on film and development costs in the long run. Before charging that battery, what's the first thing you should do? Protect your lens, man. If possible, see if you can get a "protecting" lens for your cam. Which would you rather have scratched up? An easily replaceable part, or the real deal? Lens caps work, but if you can get ahold of a 'screw in' (clear) lens, you'll be a lot safer. Consider it protecting your (possibly expensive) investment.


2/11/1999

2.11.1999

Coming from the "Where'd You Come From" department, Lockergnomaniac Bill Hudacek explains an e-mail mystery. I noticed that with Lockergnome issues, every once in a while, a greater than symbol would appear at the beginning of a paragraph. I never knew why -- until now. "Internet mail standards dictate that the word "From" (at the start of a line) is one of the keywords that is used in a mail header. Now, even though the header officially ends after the first blank line, many mail transfer agents take the cautious approach of "escaping" the word "From" whenever it appears as the first word on a fresh line." Wow -- now you know what to do to keep that silly symbol at bay.


3/11/1999

3.11.1999

For every job, there's the right tool. When you need to install a new video card, you grab your trusty screwdriver. When a floppy gets stuck in the drive, you use tweezers to get it out. When Windows refuses to boot, you grab a sledgehammer. Yeah? When you need a quick way to access data, you can create a new tool... rather, toolbar. Right-click on your Taskbar and select 'Toolbars' and 'New Toolbar.' The dialog will ask you to choose a folder or type an Internet address. Enter your favorite URL and it could create a toolbar containing that page. I say 'could' because I've seen it done before, but I couldn't get it to work on Mr. Bigglesworth tonight. If this doesn't work for ya, the next best thing is the 'Address' toolbar (which will allow you to enter URLs on-the-fly).


4/11/1999

4.11.1999

Coming from the "She's Actual Size" department, Lockergnomie Jan Horn is making your windows larger (and smaller). Some fool decided that a new IE5 browser window, when launched from an existing session, should take on new dimensions. This is a major annoyance; I found myself spending more time resizing windows than surfing at one point. In a recent issue, I noted a Registry hack download -- but here's an easier way for all of us to get the browser size of our dreams. In the address line of your browser, type: "javascript:resizeTo(800,600);" (without the quotes, still retaining case sensitivity and punctuation). Change those numbers to any two you'd like -- and never be bothered by the size monster again.


5/11/1999

5.11.1999

1999 was truly the first year for e-commerce. Everybody seems to be purchasing items and services via the Web. C'mon... haven't you been tempted by the insanely low prices you've seen online? Don't leap before you look! Been bitten by the buying bug? Do a little research before pulling out that plastic. First of all, make sure you're dealing with a legit operation -- get references from Internet pals. But most of all, spend a few HOURS doing some comparison shopping. Even if one site has a product listed for low dough, another site may have an even lower price for the same item. Watch those shipping & handling charges, too. It may be cheaper to purchase something locally after all.


8/11/1999

8.11.1999

It's about time you created your first Web page; what took you so long? Those who started a couple of years ago were playing in open waters. But now the pool is full, and there's no lifeguard. The first question new page owners usually ask: how do I get it submitted to all those search engines? Slow down, Sparky. Don't spend too much money or time on submission sites and programs. You don't want random visitors -- you want targeted eyeballs. Instead of worrying about your Web rankings, you should be establishing links to sites with related content. Recognition is easier to establish this way (and that's the name of the game).


9/11/1999

9.11.1999

Who wouldn't like to trade in their current monitor for something a little bigger? Okay, wipe the drool from your chin, people... size doesn't matter. At least, as far as this tip's concerned. What kind of light do you have in the room? I'm serious! Is it yellow or white? If it isn't pure white, I'd consider changing the bulb (or getting a different lamp) if I were you. The colors on screen may be "pure," but if you've got tinted light reflecting off the monitor, reproduction won't be perfect. This is really important if you're doing any kind of color printing! You may also "see" better if the lights are placed behind you (not in front or above). Try it!


10/11/1999

10.11.1999

What on Earth possesses Web designers to use large graphics? Why don't they optimize those suckers before uploading them? Unfortunately, for the time being, we'll have to deal with them. If your connection is crawling, you may not have to wait for a graphic to load before moving on. As you hover your cursor over a graphic (like an imagemap), it may display the link in your status bar. The image may not be fully loaded, but the link is still the same! If you know where ya wanna go, and the URL is relatively descriptive, then don't wait to click. Alternatively, the page may contain text navigation (seek and ye may find). Ah, the "advantages" of a slow connection.


11/11/1999

11.11.1999

Not all of us have access to a fast Internet connection (at home or at work). We may be geographically or financially challenged (and that's okay). Those of us using 56k or ISDN modems may not be getting as much bits as we possibly could. It's time to max out the BPS! The easiest way to do this is by editing the WIN.INI file; under the [Ports] section, you'll see COM entries 1-4. Write those settings down -- in case you need to get them back. Change each value to: "921600,n,8,1,p" (without the quotes). This'll hopefully pump up the bandwidth for ya. When you reboot, you should have new (higher) number choices. Open the Control Panel's Modem applet, press the 'Properties' button, then under the 'Maximum speed' section, bump it up as high as it will go.


12/11/1999

12.11.1999

Owning a scanner has been a semi-rewarding experience. Since it's a USB device, it works fast, although Windows doesn't always recognize it as it should. All hardware problems aside, let's talk about your scanning routine for a moment. Are the colors coming through like they should? No matter what kind of flatbed scanner you're using, you should also have a piece of non-reflective black paper in hand (construction paper should suffice). You'll want to put it behind the object you're scanning. This way, the excess light will be absorbed; the digital duplicate's colors will be closer to the original source's. It's a relatively cheap "upgrade" that yields fantastic results.


15/11/1999

15.11.1999

By now, you've visited at least one Web page. Here's the big question: can you be found anywhere on the Web? And if so, where? If I did a search for my name on any given search engine, it would spit back all the pages containing the word 'Chris' and the word 'Pirillo' -- effective, but not precise. How many pages have the word 'Chris' on them? When you're looking for any given phrase, wrap it in quotation marks. This tactic should work in most instances. While we're on the subject, don't stick to one site for all of your searches. Each one is a different beast. Grrrrr!


16/11/1999

16.11.1999

Use your mind for a nanosecond (sure, I'll wait for your brain to boot up). Look at how many bookmarks and/or favorites you have. It's probably some insane number, but anything over 200 could be considered normal. Now, how many of those do you visit on a regular basis? Five... on a good day. Okay, now what's the very first thing you do when you get online? I'd be willing to bet that you check your e-mail. Am I reading your mind? No -- I'm just asking you to call upon your habits so that you can maximize your Internet experience. When you find a site that you'd like to see again in the future, I'd suggest signing up for their newsletter (if one is available). BE SURE you know exactly what you're signing up for, though. Don't give your address to any questionable lists.


17/11/1999

17.11.1999

Both Sprocket and Gretchen have learned that touching my computer is a sin punishable by death. Since my puppy hasn't mastered the art of typing, and my wife is usually working or acting (or acting like she's working)... I have no login prompt when Windows boots up. When that username and password dialog box isn't necessary, you can "remove" it. Open the Passwords applet in your Control Panel, select the 'Change Passwords' tab, then press the 'Change Windows Password' button. In the 'Old Password' field, enter your password. Select the 'New Password' field and press ENTER (with no new password typed in). You'll see the confirmation dialog box pop up. The next time you restart Windows, the login prompt will not be there. Boo hoo!


18/11/1999

18.11.1999

Didn't your mother always tell you that looks aren't everything? It's true -- especially when it comes to Web sites. When you're looking at a "dotcom," you probably don't care what kind of server it's running on (as long as it's running). If you're curious, George, then perhaps you need to use the form at NETCRAFT.COM. Enter a URL and it'll come back with the Web server's operating system. For giggles and grins, take a look at what kind of server Hotmail.com uses. Now, should you want to know if a server supports SSL, you can use another NETCRAFT.COM form. And yes, all of this research is free.


19/11/1999

19.11.1999

An hour doesn't pass without me being involved in a rigorous workout. That is, assuming you consider 'typing' an essential part of an exercise program. So I'm not that active -- and neither is my Desktop (since I have it disabled via TweakUI). To immediately save non-linked images from Web pages, instead of right-clicking and saving them, you can drag & drop them onto the Desktop. Although, if Windows prompts you to add it the GIF or JPG to your Active Desktop, just say no. Instead, drag & drop it directly into a folder -- it's quicker, and the same results are achieved. Create a shortcut to your favorite images folder and place it on your Desktop -- picture perfect.


22/11/1999

22.11.1999

Did you ever try to drag & drop stuff in DOS? It was impossible. Then again, we didn't really use the mouse back then. To move an icon across the Desktop, we click on it to select it, drag it, then drop it elsewhere. That's pretty much what you're supposed to do in Windows. So, how else can you take the 'drag' out of redundant steps? You can drag & drop shortcuts into the open 'Run' dialog to view their path and file extension, or drag & drop files into folders. My favorite: select some text in your browser, then drag & drop it into a new e-mail message (or document). No need to use the clipboard -- the text should automatically be copied!


23/11/1999

23.11.1999

The mouse is an awesome tool for moving your pointer from one side of the screen to the other, but when it comes to manipulating layout in a Microsoft Word document, it fails miserably without a snap-to grid. That's where the nudge command comes into play; put things exactly where you'd like them to be. First, select the object; from the Drawing toolbar, choose Draw, then Nudge. Now you can move that sucker in any desired direction. Don't continue to overcompensate with your mouse; I just wish that more object-oriented programs had this kind of option.


24/11/1999

24.11.1999

HTML mail is colorful and dynamic, but it doesn't always work. Recipients of text e-mail messages rarely run into problems. Every once in a while, you may receive a message with a few extra codes (like the dreaded =20 thing). However, Outlook Express (and Outlook) users will sometimes receive messages with nothing in them but: "ÿþ-" what the heck is this? I don't know. But the easiest way to get around it is to have the sender resend the message in text format (not HTML). If you experience similar problems, it may be tied into HTML. Break the cycle! Reply in text format (or change formats on a message-by-message basis).


25/11/1999

25.11.1999

Can you see what isn't there? Well, when it comes to IE5: yes. By default, however, it isn't easy to do. Unless you're on a mega-fast connection, it'll take a while for graphically-intense Web pages to fully load. But, should you have to stare at a blank page while they're downloading? In the Control Panel, open the 'Internet Options' applet. Select the 'Advanced' tab and find the 'Mutlimedia' section. Is there a checkmark in the 'Show Image Download Placeholders' box? Put one there; now, before images completely load, you'll be able to see their sizes instantaneously.


26/11/1999

26.11.1999

A few Lockergnomies pointed out that 'extended' character creation functionality is already built-in to Windows, although you'll have to turn it on before you can use it. Open up the 'Keyboard' applet in your Control Panel, select the 'Language' tab, then pull up the Properties for the 'English (United States)' layout. Now, in the drop-down menu, change it from 'United States 101' to 'United States - International.' Now, instead of having to remember the code to make an accented lowercase E, you can type an apostrophe first and then the letter; Windows will transmogrify it for you. ~n will become an 'n' with a tilde over it; "u will become a 'u' with an umlaut mark over it. Special key sequences include: ALT+/ (upside-down question mark), ALT+1 (upside-down exclamation mark), and ALT+c (copyright symbol).


29/11/1999

29.11.1999

What's in a font? A lot of characters, mostly. You can increase and decrease a face's size depending on where you're using it: in a word processing document, graphic, or on a Web page. Just keep this in mind: keep it legible! Just because it looks fancy and ultra-cool, doesn't mean you should use it in every situation. What may look pretty in a headline or as a stand alone capital letter, will probably not look phenomenal throughout the whole document. To piggyback this, if 14pt is too small and 15pt is too large, try 14.5pt (some WYSIWYG editing environments will NOT allow you to use decimal points for font sizes).


30/11/1999

30.11.1999

How wide is your favorite musical group? Okay, we're not talking about that kind of bandwidth with this tip. Any type of Internet connection is a two way street. However, traffic may not move as fast in each direction. For instance, you may be connected at "50k," but that's just the connection's 'download' speed; you're uploading at a slower baud. Wanna make this discrepancy even greater? Sure, let's bump up your modem's receiving capabilities. Open up the 'Modems' icon sitting in your Control Panel; select your modem, then press the 'Properties' button. On the 'Connection' tab, press the 'Port Settings' button. Now, try maxing out the 'Receive Buffer' first. Hopefully, you'll notice a (small) downloading speed increase.


1/12/1999

1.12.1999

My, that's a lovely dot you're wearing today; it goes well with your monitor. When playing with pictures in the print world, you may hear something called 'DPI' (Dots Per Inch). The higher a graphic's DPI, the better its printed output will be. However, the Internet is a different story. Since we can't jack our brain directly into a video card, we use monitors to view stuff on the Web. The highest DPI you'll get from this 'monitored' environment is seventy-two. So, if you're making images for use on the Internet, you won't need to scan or save them much higher than 72 DPI. Plus, you'll save on overall file size by tweaking that number.


2/12/1999

2.12.1999

System sound events are not meant to annoy, although sometimes they do. Instead of choosing a minute-long WAV file for 'Minimizing' a window, try something short and sweet; you're less likely to become annoyed. Or, minimize your annoyance by cutting down on the sound stuff. Open up the Control Panel, click on the Sound icon, and configure to your heart's content. Here's a note for IE 5.01 users: when a file is finished downloading, you'll hear a sound. The 'download complete' sound is now the 'Asterisk.' Again, if you enjoy grabbing files regularly, I'd use a short and relatively 'calm' WAV file.


3/12/1999

3.12.1999

They say that blinking is a sign of nervousness or lying, but I wonder if the researchers were blinking when they discovered that? You can speed up or slow down the rate at which your cursor blinks. Launch the Registry Editor (REGEDIT), and navigate to HKEY_CURRENT_USER > Control Panel > Desktop, then in the right-most panel, you should see a String Value named 'CursorBlinkRate' (if one doesn't exist, you can create one). Now, you can change the value to any number between 0 and 65535. The smaller the number, the faster your cursor will blink (and vice versa). You can also tweak the rate via the Keyboard applet in the Control Panel, but the range is severely limited.


6/12/1999

6.12.1999

It's not easy being blue; when you'd rather be playing in the snow, you're stuck inside -- with nothing constructive to do. For years now, the Blue Screen of Death (BSOD) has been haunting our PCs. Would you rather see the Magenta Screen of Death? What about Cyan? That's doable. Open up SYSTEM.INI and fly to the [386enh] section. Add two new values: 'MessageBackColor=' and 'MessageTextColor=' (without the quotes, but with the equal symbol). You'll need to use ONE hexadecimal "number" for each color; they are as follows: 0 (black), 1 (blue), 2 (green), 3 (cyan), 4 (red), 5 (magenta), 6 (yellow), 7 (white), 8 (gray), 9 (bright blue), A (bright green), B (bright cyan), C (bright red), D (bright magenta), E (bright yellow), F (bright white). I hope you never see another screen of death again.


7/12/1999

7.12.1999

Shortcuts were designed for quick file and folder access. I've seen some novice Desktops littered with dozens of shortcuts pointing to the same program; redundant, but common. If you've got a 'bad' shortcut, Windows may automatically try to fix the broken association for you. But, the shortcut doesn't need to be orphaned for you to access it's target. Right-click on a shortcut, pull up its properties, flip to the 'Shortcut' tab, and press the 'Find Target' button. Presto! You're instantaneously transported to a different part of your computer; this method may be quicker than using the Windows Explorer for folder navigation.


8/12/1999

8.12.1999

Your closet is filled with games you'll never play again and utilities about which you've all but forgotten. Is there a remote possibility that someone else in your area would want them? Sure, you could sell them at a garage sale or even auction them in an online forum. But why not see if a friend or tech acquaintance would like to swap something? S/he may have something you need, and vice versa. And, you know, the Holiday season is here; no doubt there's a local organization that accepts used software donations. Your unused stuff is collecting dust when it could be generating smiles. Promise me you'll think about it?


9/12/1999

9.12.1999

Coming from the "Can You See What I See" department, Lockergnomie Ed Davis has mastered the rainbow. What a wonderful electromagnetic spectrum we have; visible colors are much more aesthetic than the invisible ones. However, just because one color can be placed on top of another doesn't mean it should be. The Web is overflowing with pages sporting dark text on dark backgrounds (and light text on light backgrounds). Silly coders; when will they ever see the error of their ways? Until then, to sidestep this blatant misappropriation, use the 'CTRL+A' keyboard shortcut. It'll highlight the text and make it more legible.


10/12/1999

10.12.1999

Sometimes it's not wise to keep a thousand separate text-based files on your hard drive, when you could consolidate them into one. How many 'Internet Shortcuts' do you have lying around? Sure, each one may be under 200 bytes, but they're each taking up much more space (4,096, 8,192, etc.). If you're in a cleaning mood, move all your small text files to a new folder (like 'URL' files, for example). Now, drop to a command prompt within Windows (run COMMAND.COM) and navigate to that newly created folder. Type: "COPY *.* WEBSITES.TXT" (without the quotes). Of course, you can use specific extensions (*.TXT, *.DIZ, *.URL, etc.) and a different output file name. In the end, you'll have one large text file instead of several small ones.


13/12/1999

13.12.1999

Coming from the "Do You Hear What I Hear" department, a Lockergnomaniac presents a sour note solution. Digitized music is usually found in the MP3 format; most MP3s are around 5.0 megabytes in size. To someone with bandwidth to spare, this is no big deal. For dial-up users, however, anything over two megabytes is an eternity. The great thing about MP3s is that you can listen to them WHILE they're downloading! If it wasn't the song you wanted to hear, you can abort the transfer without wasting any more time. Open the 'Find' applet (tap F3) and search your hard drive for all MP3 files. If you're downloading BUM_BUM_SONG.MP3, its icon should pop up. Double-click it and listen to what's been transferred. If you were hoping to hear Tom Jones (instead of Tom Green), you can abort the transfer immediately.


14/12/1999

14.12.1999

Quit peeking over my shoulder. That may be acceptable behavior in Spanish class, but not when it comes to technology. Why? Because my needs are not always your needs; my wants are not always your wants. Just because your friend or neighbor has something shiny and new, doesn't mean you have to rush out and get the same thing (or something better than what you already have, especially if it still works for you). It's great to get advice, but be careful when you ask someone about 'the best' package. That's a relatively relative question. Find hardware and software with features that YOU are going to use. More 'bells and whistles' doesn't always make for more satisfaction.


15/12/1999

15.12.1999

At work, you're pretty much stuck with the e-mail client they give you. At home, on the other hand, the client choice is (more often than not) completely up to you. Be sure to grab one which does spell checking! Typos pop up all the time, even from experienced typists. But even the best spellers make mistakes now and again. If you're in an application which doesn't have a spell checking feature, and your e-mail client is open at the same time, start a new message, enter the word in question into the message, and then run a spell check on that word. Instead of firing up a full-fledged word processing application, you can use something which you probably have open already anyway. Yuo've got mail!


16/12/1999

16.12.1999

Netscape is a lot more command line user friendly than Internet Explorer. What's that all about? It's about getting below-the-surface information quickly from the browser. See what you get when you enter these on the 'Location' line: about: (browser info), about:cache (disk cache), about:document (current page info), about:global (global history entries), about:image-cache = (memory cached images), about:license (license agreement), about:logo (Netscape logo), about:memory-cache (memory cache), about:mozilla (killer quote), about:plugins (installed plug-ins), about:XYZ (Substitute 'XYZ' with real URL). You can try these in IE, but the results won't be the same.


17/12/1999

17.12.1999

Coming from the "Sticks To Your Digital Ribs" department, a Lockergnomie has a tip you should note with a note. You've probably got a dozen yellow stickies all over your desk right now. Don't be ashamed; I couldn't live without 'em either. But there may be a way to keep your tasks more environmentally friendly. Right-click somewhere on your non-Active Desktop, select New, then any given file type (Text Document, Wave Sound, Bitmap Image, etc.). This will be a dummy file -- just select it, tap F2 to rename it, and then enter in a task to be done. Simple! It sits there until you (hopefully complete the task and) delete it.


20/12/1999

20.12.1999

Coming from the "Who's In Control" department, Lockergnomie Mark Roberto intends to finish what his computer wants to start. To make our lives easier, Windows has something called a 'StartUp' group. This is kinda like a GUI version of the AUTOEXEC.BAT; everything within this folder is automatically launched every time Windows boots up. There are times when you don't want those programs to run at all during the boot process. Next time you feel like suppressing those shortcuts, hold down the CTRL key when you first see the cursor appear on your screen (during Windows booting); items in your Startup folder will be ignored. You can always launch them later (individually) during that Windows session. Windows 98 users may also appreciate the 'Startup' tab in MSCONFIG.EXE.


21/12/1999

21.12.1999

How much cache do you have on ya? That's the stuff that gets stored (temporarily and permanently) in your system when you're browsing the Web. Depending on how much disk space you have to spare, you may wish to increase (or decrease) your browser's disk cache. From the IE menu, select Tools, Internet Options, flip to the General tab, and press the Settings button. From there, you should be able to move the slider (or change the number) to a desired amount. I prefer to have a smaller cache (because I don't visit the same sites on a regular basis). From the Netscape Navigator menu, select Edit, Preferences, open the Advanced tree, then press the Cache limb. You'll have to set the number in terms of kilobytes (somewhere around 8192 should be sufficient for most users).


22/12/1999

22.12.1999

Forwarded e-mails can get convoluted with extraneous headers and greater than symbols. This usually isn't a problem (if you don't plan on keeping the messy message). Should you wish to keep the relevant parts of said message somewhere in your e-mail client, this is what you'll need to do: hit the forward button, enter your own e-mail address as the recipient, strip out all the unnecessary junk (and/or attachments) from the original message, and click send. In a few moments, you should have a more perfectly formatted message in your Inbox (which may then be moved to another folder or archived). Getting rid of the junk will make it easier to read (beyond wasting visual and physical space).


23/12/1999

23.12.1999

Lately, I've seen a trend developing online with the graphics community. When you create an original image, you don't want anybody else to use it without permission (if at all). But once you put it up on a Web page, it can be taken without asking. To curb this behavior, some users have relied on code which disables right-click functionality on that particular page. But there's still a way to get at those graphics. Think about it for a second -- in IE5, you can easily save an entire Web page (graphics and text). Or, just flip through your cache. I'm not suggesting that you go around yanking graphics against an artist's will, but should you ever need to get around this right-click stumbling block (for whatever reason), remember this tip.


24/12/1999

24.12.1999

Coming from the "Can't We All Just Get Along" department, Lockergnomie Jack Sanderson found a way to force old applications to behave. Did you have the pleasure of dealing with Windows 3.x? Consider yourself lucky if you answered 'no.' While that outdated OS is still floating around, most of us have moved on to the 9x series. However, we may still be using some older 16-bit programs -- which may not get along with 32-bit Windows. The good news is: you may be able to make those errant apps behave themselves. click the Start button, select the Run command, then type: "MKCOMPAT" (without the quotes). You'll now be able to select the problematic 16-bit program and tweak its settings to better work in a 32-bit environment. Turn on the 'Advanced Options' for extended tweaking.


27/12/1999

27.12.1999

Coming from the "Older Than Dirt" department, Lockergnomie Troy Wahlmeier inadvertently stumbled upon a potentially life-saving utility for Windows 98 users. I'm going out on a limb by assuming that everyone has at least one or two third-party programs installed on their system. Sadly, sometimes newer versions of important system files get replaced by older ones. Before dialing 911, click the Start button, select the Run command, then type: "VCMUI" (without the quotes). The Version Conflict Manager will launch and display a list of possibly troublesome files (which you may then fix with the click of a button).


28/12/1999

28.12.1999

As usual, I was manipulating objects on my Desktop the other day (believe me, I'm trying to quit). Curiosity got the best of me and I wondered what would happen if I dragged an object over the System Tray and held it there for a few seconds (without dropping it). Yeah, my cursor immediately changed into that little circle with the diagonal bar, but suddenly all of my windows were minimized! There are other ways to achieve the same result, but I'll leave those for a future tip. This particular maneuver will be handy when you're in the middle of an "important" drag & drop operation and need immediate access to the Desktop (for whatever reason).


29/12/1999

29.12.1999

Our world changes in the blink of an eye -- technology trends change even quicker. There were many gifts exchanged this Holiday season; did someone give you something for your PC? What should you have done before opening and installing it? Whenever I get an "off-the-shelf" product (hardware or software), I check its official Web site. Chances are, it will have driver updates, firmware patches, and/or bug fixes for that particular product. Doing your homework may just prevent a few headaches. Check back regularly to see if any new updates have been uploaded, but be careful: just because a newer version is released, doesn't mean it will install flawlessly (or work as well as the current one).


30/12/1999

30.12.1999

There's nothing wrong with installing new hardware and software, but be careful not to make too many changes to your system at the same time. Even if you go out and purchase three peripherals, I wouldn't suggest installing all of them at once. Same goes for the entire range of software titles. Contentions are bound to arise when you start fussing with a smoothly-running machine; you're bound to exacerbate existing problems by adding more 'seasoning' to the stew. By doing "everything" at the same time, you won't know which program or component is to blame for the error(s). What to do? Take it one step at a time; try ONE product for a while and see if any major (negative) changes pop up. Then, if all is well, install something else.


31/12/1999

31.12.1999

Coming from the "Bouncing Checks" department, Lockergnomie Chris Tingom brings to light a time saver worth reading. Say you've got a handful of files and folders which have certain attributes (Read-only, Archive, Hidden, System). Some of them happen to be hidden, but you'd rather remove their virtual cloak. Select those objects with your mouse, right-click on one of them, and pull up its properties. From there, you can select or deselect any given attribute. It's also interesting to note that the 'Size' value reflects the overall space taken up by all the files (and/or folders) you've selected.


10/8/1998

10.8.1998

What's so Historical about the Start Menu? Nothing, yet! Simply right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename that folder: History.{FF393560-C2A7-11CF-BFF4-444553540000} and hit Enter. You can do that anywhere with any folder, too!


11/8/1998

11.8.1998

Have an Iomega external parallel port Zip drive? Word on the street is that you can use the drivers designed for Iomega's 'ZipPlus drive' instead of the default 'Zip drive' drivers and get faster transfers. I've been using the ZipPlus drivers with my Zip drive and I've yet to have a problem (it seems a little faster, too). You can download the ZipPlus drivers: [ DOWNLOAD ]


12/8/1998

12.8.1998

IRQs are easy to manage. NOT! If you're not sure which resources are sucking up DMA, IRQ, or Memory resources, you can right-click on My Computer, select Properties, click on the Device Manager tab, select Computer, and click on Properties. Easy as floor pie!


13/8/1998

13.8.1998

Controlling individuals should like this tweak. If you have IE4 (or W98) installed, make a new 'Control Panel' toolbar. Right-click on the taskbar, choose 'Toolbars' then 'New Toolbar'. In the dialog box, scroll down and select 'Control Panel'. Click 'OK' and voila! You can right-click on the toolbar to change its appearance, plus drag & drop it anywhere!


14/8/1998

14.8.1998

Windows crashes--this is a fact of life for any operating system. Because IE4 and W9x are tightly integrated, when IE4 crashes, the OS may crash, too. However, you can make IE open up in a new process when you're surfing the web (which will protect your OS a bit more). Open Internet Explorer, choose 'View' from the menu and select 'Internet Options'. Click the 'Advanced' tab; under 'Browsing,' be sure that 'Browse in a new process' is checked. Click 'OK' and you should be set!


17/8/1998

17.8.1998

I used to download animated cursors all the time. Here's a quick way to preview what they look like when animated: right-click on the ANI file and choose 'Properties'. In the upper-left corner of the dialog box you'll see the animation (albeit at a slower rate).


19/8/1998

19.8.1998

Creating a new e-mail message is easier than you think. Try hitting WinKey+R (or using the Run command in the Start Menu) and type: mailto:user@user.com (of course, substituting that for the user's actual e-mail address). It should create a new message for your default e-mail client. You can even type the same thing on the Command line (otherwise known as a DOS Prompt) within Windows.


20/8/1998

20.8.1998

Did your computer lock up? Try hitting CTRL-ALT-DEL next time. I realize this is a no-brainer for the advanced users, but you'd be surprised how often we forget about the easiest way to shut down offending programs. You can hit this key combo even when Windows isn't locked up to view what programs are currently running (in the foreground and background). Being a super sleuth is simple.


21/8/1998

21.8.1998

Need quicker access to your IE subscriptions? Simply right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename that folder: Subscriptions.{F5175861-2688-11d0-9C5E-00AA00A45957} and hit Enter. You can do that anywhere with any folder, too!


25/8/1998

25.8.1998

External Parallel port Zip drive owners: don't forget to run the "parallel port accelerator" program which should already be installed with the Zip drivers. Believe it or not, it could actually speed transfers up a bit more than usual. I was surprised in the difference it made. Zippity Do Dah!


26/8/1998

26.8.1998

You heard me mention the IntelliMouse in an earlier HTML issue; here's something that I recently discovered, and something most of you probably already knew about. While you're scrolling with the wheel, hold onto the CTRL key. If you're in an Office 97 application, the document will zoom in and out. BUT, also try it in IE4! The fonts will get bigger and smaller.


27/8/1998

27.8.1998

Lockergnome Subscriber Jeff Stoner advises that IntelliMouse users running NT4 should disable three devices in the "Devices" Control Panel: msinport, msbusmou, & mssermou. "These devices don't cause anything bad to happen, but you'll get three warnings in your Event Log every time you boot. Disabling them is a safe operation and I've had no problems since disabling them."


28/8/1998

28.8.1998

That little X in the upper right hand corner is a handy little button, isn't it? But it might not be the quickest way to close an application. If I have several programs open, and I want to close some of them without hovering my mouse cursor all over the screen, I just pop up the taskbar (found at the bottom of the screen), right click on the program icons I want to close, select "Close" from the menu, and blammo. Exit stage left!


31/8/1998

31.8.1998

Save a step next time you download something using Internet Explorer. Sure, you're used to simply clicking a file to download it, but try RIGHT clicking on the file and choosing "Save Target As" from the menu. That way, it'll jump right to the "Save As" dialog box; it'll also open a "daughter" window for the download, so you can go about your merry way without having to wait for a response.


1/9/1998

1.9.1998

When you're downloading stuff in IE or Netscape, instead of relying on the download window for transfer progress, minimize it instead. It should show some type of percentage when it's minimized to the taskbar, unless it's coming from an FTP site, in which case you'll see the actual file size transferred to that point.


2/9/1998

2.9.1998

How many times have you lost a download? If there are less stars in the night sky, then you've got a bigger problem than I thought. Here's what I do to keep tabs on what I've grabbed from the Internet: I save EVERYTHING to the Desktop! From there, I install, delete, copy, or move items to a better folder. This is why it's a good idea to have a large, uncluttered Desktop area. And yes, I'm talking about the Desktop on your screen.


3/9/1998

3.9.1998

Some people with the latest hardware don't even want to have Windows 98 installed; I can't say I blame them. However, older machines without math coprocessors can't install Windows 98 at all. That is, unless they use a small workaround found on the following web page: http://members.aol.com/ojatex/win98.htm (NOTE: may not work for everyone).


4/9/1998

4.9.1998

Looking for a Lockergnome FAQ? Well, I've got the beginnings of one on the "Options" page (which some of you have probably already seen). If you think that I could add an answer there, please let me know. While it's designed for Lockergnome newbies, I'm sure you old friends might learn something new, too. The key is: don't be afraid to write me, but don't write me about something for which you could find an answer on your own. :)


7/9/1998

7.9.1998

If renaming ourselves was as easy as renaming files in Windows, I'd have a million aliases. You can click once on an icon to select it, click again on the icon's text portion, wait 1 second, and edit away. Or select an icon, press F2, and edit away. But if you're a right-click type of person, just right click on an icon and select "rename" from the menu, then edit away. The IE5 beta allows you to right-click and rename items in the Start Menu, too.


8/9/1998

8.9.1998

I really dislike the new WiMP (Windows Media Player). I don't really want it associated with anything. Ever have "one of those" programs which sets itself up as the default program for a certain file type? Hold onto the SHIFT key, select an icon (program or file type), right-click on it and select "Open With..." from the menu. A small "selection menu" will pop up. If the program you want to use as a default isn't there, click the other button and "find" it. Remember to check off the "Always use this program to open this type of file" switch.


9/9/1998

9.9.1998

Do you download & install every font in sight? Stop it right now! Well, you can keep downloading them, but don't install them. Every font you install sucks up physical memory. Unless you have physical RAM to spare, I wouldn't suggest loading too much more than your commonly used fonts. So what do you do with the fonts you want to keep but not install? Put them in ANOTHER directory ("Other Fonts" is what I use). When you want to use a particular font in a document/graphic, go to your "Other Fonts" folder, double-click on the font you want to use (and KEEP THE FONT OPEN), launch the application in which you wish to use that font... BINGO! The font should show up in your regular list as if it were installed the "normal" way. When you're done, you can close the font preview window and Windows is none-the-wiser.


10/9/1998

10.9.1998

I haven't heard a lot lately about the PNG graphic format and it's place in web browsers. Does your browser support PNG graphics? http://www.w3.org/Graphics/PNG/Inline-img.html is basically a testing page for inline PNG images. "PNG is an extensible file format for the lossless, portable, well-compressed storage of raster images. PNG provides a patent-free replacement for GIF and can also replace many common uses of TIFF." I wish the format would catch on soon...


11/9/1998

11.9.1998

Try to spend one day online without searching for something on a search engine (or using search software to seek stuff). If you're looking for something with more than one word, try throwing quotes around the term. For instance: "red rum" instead of: red rum. This little trick should especially help the search engines find exactly that for which you're looking. You can quote me on that.


14/9/1998

14.9.1998

A Lockergnome Subscriber let me in on a little-known secret for turning on the NUM LOCK key in NT4. In Control Panel -> System -> Environment, add a user variable "NUMLOCK" with the value of "ON". Whenever you log on to the workstation, the NUM LOCK key will come on. NT4 ignores the BIOS 'NUM LOCK' state. Show that key who's boss!


15/9/1998

15.9.1998

When was the last time you washed your hands? Oh really? Well do it again, cowboy. Germs spread quickly on keyboards, and the more you wash your hands, the less chance there is for you to spread (or possibly acquire) germs. Why is this a tip? Because I don't want you to get sick and have to skip a day of work (or classes). Wait, did I just say that? Nah, nevermind... don't wash your hands. Forget I said anything.


16/9/1998

16.9.1998

Does your neck hurt after a long day at the computer terminal? Make sure your monitor is sitting correctly. If you have to look up or tilt your head backwards to see anything on the screen, then you NEED to make some adjustments. If anything, you should be looking DOWN on your monitor (so your gaze and head are tilted slightly downward). This will help more than you'll ever know. Posture is important. And take a break every few hours, too! Look who's talking...


17/9/1998

17.9.1998

Take a look at your scroll bar. Is it too fat? Rather, is it bigger than it needs to be? If you're using a smaller resolution, then you need all the screen real estate you can get! Right-click on the Desktop, choose Properties, click the Appearance tab, left-click on the scroll bar, and adjust the size at will. You can also adjust other UI items within this dialog box as well!


18/9/1998

18.9.1998

How easy is it to change an icon for a shortcut? Easier than using Velcro. Simply right-click on a shortcut, choose Properties, then you should see the "Shortcut" tab with a "Change Icon" button near the bottom right. Click it. Then, "Browse..." for ICL, DLL, ICO, etc. files on your hard drives! When you finally find what you want, click OK. If icon do it, you can, too.


21/9/1998

21.9.1998

E-mail is used almost more than any other application online. Think about it... what's the first thing you do when you log on? Here's something that might speed up the creation of a new e-mail message for you. Right-click on your Desktop, Choose New, Select Shortcut, enter "mailto:" as the Command Line (no quotes, including colon), hit the Next button, name it whatever you want, and Finish! Any time you click on that Shortcut, it should open a new e-mail message in your default e-mail client.


22/9/1998

22.9.1998

How many times have you tried to copy/paste a URL into an e-mail message, only to have it pasted as an attachment instead of text? Kinda annoying, eh? To get the text URL into the message, first move your blinking cursor up to the Subject line (or To, CC, or BCC line) and try pasting there. It should 'translate' the URL into plain text. From there, you can re-copy the text URL and paste it as text into your message (and delete it from whatever line in which you pasted it).


23/9/1998

23.9.1998

I've seen several screen shot programs floating out there, but why bother with them when Windows 9x has a 'camera' built in? That's right! Hit the Print Screen key right now... nothing will appear to happen. However, now open up a graphics program (like Paintbrush) and hit the paste button. You should find a bitmap of the screen as it was when you hit the Print Screen key! Or, if you just want a screen shot of a particular window (not the whole screen), select the window of which you want a shot and hold onto the ALT key when you press the Print Screen key.


24/9/1998

24.9.1998

Yes, I get hundreds of e-mail messages every day. I'd like to save certain ones, but some of them have large attachments. Once you've extracted and used an attachment, you shouldn't need it anymore (though the message might still need to be saved). In Outlook 98, you can remove the attachment by opening the e-mail message, right-clicking on the attachment icon, and selecting "Remove" from the menu. That should save some precious disk space!


25/9/1998

25.9.1998

I used to live at the command prompt. After I started using Windows 9x, I stopped dropping to DOS so much. I don't play many games, and I've slowly but surely replaced most my old utilities with new 32-bit ones. But when I need a command prompt, I simply type "Command" under Run in the Start Menu. You can toggle between full screen and a windowed command prompt by hitting ALT+Enter. Your wish is its command!


28/9/1998

28.9.1998

Icons are pretty darn cool, but they're used to represent something (either a program or type of file). There's more information in an icon than meets the eye. Just select one and hit ALT+Enter and it should bring up a window with detailed information (file size, date, type, location, attributes, etc.). If you ALT+Enter on a Shortcut, it should show another tab (wherein you can change the icon, location, etc.). Or, instead of the key combo, you can hold onto the ALT key and double click on an icon to see all that stuff.


29/9/1998

29.9.1998

The keyboard is a necessary evil at the moment. Until speech recognition is accurate 99.999% of the time, we're pretty much stuck with it. So Microsoft has built in some wicked keyboard shortcuts to help save us time. I've mentioned a few of them in Lockergnome before, but this one bears repeating: ALT-F4. There's no quicker way to close a program! Don't mess with the mouse when it comes to closing time, just use this shortcut (ALT-F4).


30/9/1998

30.9.1998

Some days are better than others for Windows 9x users; we have to reboot every once in a while. Next time you have to reboot, try holding onto the SHIFT key as you press "OK" to restart your PC. It'll skip all the regular boot-up stuff (including the autoexec.bat and config.sys files).


1/10/1998

1.10.1998

Here's a good tip from fellow subscriber, Matthew Seddon: "If your modem connection hangs up during a download, or a download times out, on some occasions, the download window will remain open. If you leave that window open, reconnect to the Internet, then start downloading the file again, IE will resume the download!" Thanks, Matthew!


2/10/1998

2.10.1998

The Recent Documents menu used to annoy me. However, I stopped resisting it once IE4 (and W98) hit the streets. It seemed that I only wanted certain Documents in there (and not others). Well, no matter what you're running, you can always open the "Recent" folder in the Windows directory and delete the shortcuts you don't want in the menu, or (with IE4 or W98) you can right-click and delete the ones you don't want straight from the Documents menu (in the Start Menu). Thanks for reminding me, Jeff!


5/10/1998

5.10.1998

Don't throw it away, recycle it! Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Recycle Bin.{645FF040-5081-101B-9F08-00AA002F954E}


6/10/1998

6.10.1998

Who are the people in my (network) neighborhood? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder.Rename the folder to the following and hit enter:

Network Neighborhood.{208D2C60-3AEA-1069-A2D7-08002B30309D}


7/10/1998

7.10.1998

What's on the Desktop today? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Desktop.{00021400-0000-0000-C000-000000000046}


8/10/1998

8.10.1998

The world's smallest suitcase just got bigger. Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Briefcase.{85BBD920-42A0-1069-A2E4-08002B30309D}


9/10/1998

9.10.1998

Just another FONTastic day with the Gnome. Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Fonts.{BD84B380-8CA2-1069-AB1D-08000948F534}


12/10/1998

12.10.1998

Who's really in control? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Control Panel.{21EC2020-3AEA-1069-A2DD-08002B30309D}


13/10/1998

13.10.1998

Someday, my prints will come! Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Printers.{2227A280-3AEA-1069-A2DE-08002B30309D}


14/10/1998

14.10.1998

Dial-Up Networking got you down? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

DUN.{992CFFA0-F557-101A-88EC-00DD010CCC48}


15/10/1998

15.10.1998

Exchange users, rejoice! Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Inbox.{00020D75-0000-0000-C000-000000000046}


16/10/1998

16.10.1998

Who's Computer is this anyway? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

My Computer.{20D04FE0-3AEA-1069-A2D8-08002B30309D}


19/10/1998

19.10.1998

Thank you for putting up with all those "similar" tips over the last couple of weeks. I had to write those issues around the time that I was getting married (you can imagine the stress I was under). So, don't think I was ignoring any specific "OS" population when I wrote about them. Coming up with GOOD tips is very difficult to do (sorry those folder ones didn't work for everyone). Like, how many of you knew that a calendar was built into Windows? Sure! Just double click on the clock in your System Tray! You can flip through the dates, but if you don't want to change anything, be sure to hit the CANCEL button when you're finished.


21/10/1998

21.10.1998

One of my favorite tips of all time (and don't stop me if you've heard this before) deals with the SendTo menu. If you only have the default shortcuts in there, you're missing out on a world of functionality. You could be putting shortcuts in there for various (common) applications... and possibly even folders. The "must have" shortcut in the SendTo menu has to be Notepad. It's the easiest way to view a textual file. Click on the Start button, select "Run," type in "sendto" (without the quotes), then make a new shortcut to Notepad within that folder. Don't stop there, either... think about what else you might be able to "send" stuff to.


22/10/1998

22.10.1998

Oh where, oh where has my little file gone? Are you searching for files that were or should have been installed with your OS? Try inserting your 9x CD, dropping to a command prompt, and using "extract.exe" (which should already be installed). You can "extract" files from CAB files quickly and easily. Of course, this is more for people who are familiar with command line utils. But it's powerful for just about anyone. If that doesn't help you, head on over to http://www.filez.com/ -- the perfect place to find those elusive DLLs that you thought you already had.


23/10/1998

23.10.1998

To some people, frames are annoying. Of course, lousy implementation of frames is particularly annoying to EVERYONE. Have you been surfing around, only to find that a link on a web page keeps you stuck within parent frames? Sure, you could "open" the link in a new window, but what if you want to use the SAME window? In IE4, you can drag & drop the link onto the Address Bar. In IE3, you can drag & drop the link anywhere on the browser window. Or, you could also drag & drop the link to your Desktop, and then back again onto your Browser (or open up the shortcut by double clicking it). It's a new frame of mind!


26/10/1998

26.10.1998

Okay, I know you're probably still sick of those folder shortcuts I brought up a couple of weeks back (don't worry, I won't mention them again for a long time). But here's another way to use folders in your Start Menu. Under the Programs folder, you've probably got over a dozen separate categories (you really should streamline them). What if you have so many small utilities that you'd run out of room on your screen if you had to list them all in a group? If possible, put a shortcut to a particular folder that'll open up and have shortcuts (or the actual programs) within it. Therefore, you're still getting what you want, just clearing up a lot of space in your Start Menu.


27/10/1998

27.10.1998

Living in Iowa, I grew up with a puppet named Floppy. Other "older" Iowans should remember him, too. Sadly, Floppy isn't around anymore. And if you've got tons of floppies lying around, you should get rid of them, too. No wait--don't just throw them out--copy their contents temporarily to your hard drive, and then (if you want) put the things you want or need to keep onto NEW floppies. Why? Because floppies have an extremely short shelf life and are not to be trusted (even those bountiful AOL disks). You should also be careful not to store your floppies next to anything magnetic... that's a major no-no.


29/10/1998

29.10.1998

You use e-mail. How else would you be reading this (unless you're reading this on a web page, in which case, you might not have e-mail). Let's assume, however, that you have e-mail. What font are you using to read and write to others? I'd strongly suggest using a fixed-width font over a proportional one. You know, like Courier New or Lucida Console? At least give it a shot--you have nothing to lose. I couldn't have it any other way--for formatting, typing, and reading. If you don't like it, you can always switch back.


30/10/1998

30.10.1998

I think I'll open up a game of solitaire... and surf the web... and check e-mail... and write my book report... and play some multimedia files... HEY!? Where'd my system resources go. My PC tells me that I've got to close some applications. If only I knew how much was being sucked up. Well, I suppose I could have used the Resource Meter. Click on the Start button, select "Run," then type in "RSRCMTR" (without the quotes) and hit Enter. It should launch this nifty (albeit somewhat simple) utility that'll keep an eye on when resources are running dangerously low. The icon sits quietly in the System Tray (double click it for more info). You can (and probably should) place a shortcut for it in your Startup folder, too. Green is GOOD!


2/11/1998

2.11.1998

When you need to step away from your computer for a second, sometimes you have to wait for the screen saver to kick in so that nobody will see what you're working on. Instead of invoking it through the "preview" method, try creating a shortcut for a screen saver (of your choice) on your Desktop. That way, when you're ready for it to kick in, all you have to do is click a shortcut. No other program is necessary--just that simple shortcut. You can turn your screen saver on whenever you want--without loading a third-party utility to do it for you. How's that for a resource saver?


3/11/1998

3.11.1998

Lockergnome subscriber Dirk-Lueder Kreie told me about this trick: "If you have to shutdown windows quickly, create a new shortcut. For the application, type: "C:\WINDOWS\RUNDLL32.EXE User,ExitWindows" (without the quotes) -- If opened, this shortcut will immediately shut down Windows without prompting. This, too, is something that you don't have to download a third-party utility for. The ability is already built-in to Windows! Another great resource saver...


4/11/1998

4.11.1998

Do you open the Windows folder often? Here's a quick way to do it without ever creating a shortcut for it. Click the Start button, choose Run, then type: ".." (without the quotes) -- it should open up your Windows folder in a flash!


6/11/1998

6.11.1998

Here's another reason to upgrade to Windows 98: Microsoft Paint allows you to open up and edit JPEGs and GIFs. Those, if you didn't already know, are the two most popular graphics formats on the web today. So, if you already have W98, try it for yourself. If you don't have W98... well, please don't make this the only reason you upgrade.


9/11/1998

9.11.1998

Internet Explorer 4.x users, if you know of the root word for a domain (like 'lockergnome' would be the root for 'www.lockergnome.com'), you can type in just that root word and hit CTRL+Enter to have it add the "http://www." and ".com" to the beginning and end of it. Or, just like Netscape users, you could just type in the root and wait for your browser to finish the rest. I suppose the CTRL+Enter trick just speeds the process along.


10/11/1998

10.11.1998

Admittedly, W98 came with better sounds than W95. But you might be tired of them already. Here's something I stumbled upon after reinstalling Office 97 the other day. Open your \Windows\Media folder (or type "media" without the quotes under 'Run' in the Start Menu). If you have a folder called "Office" in that Media folder, take a listen to those sounds--they're pretty darn slick! They also make excellent replacements for your default system sounds. Of course, the king of all WAV sites online is 'The Daily WAV' -- http://www.dailywav.com/ -- if you don't have enough WAVs, go there!


12/11/1998

12.11.1998

I hate when certain programs clobber my associations. When I want to open up WAV files w/ Sound Recorder, that's my prerogative. A new program shouldn't associate itself with certain extensions without asking first; unfortunately, not every program is polite. So, if you'd like to open a "file type" with a certain non-associated application: Click to select the icon, hold down the Shift key, then right-click on the icon. In the pop-up menu, you should see an "Open with..." option. Select that! From there, you can browse and re-associate temporarily or permanently.


13/11/1998

13.11.1998

Okay, just in case you missed it the first time around, or if you haven't heard about it yet, here's the Windows 98 Easter Egg. Open up your Date/Time Control Panel applet (or simply double click on the clock in your System Tray), and select the Time Zone tab. Now, hold down the CTRL key and left-click & hold on Egypt. While still holding down the CTRL key and your mouse button, "drag" Egypt to Tennessee then let go of your mouse button (but not the CTRL key). Click and "drag" Tennessee to Washington (state). Then, let go of the CTRL key and your mouse button. That should work, though it might take a little while to master!


16/11/1998

16.11.1998

I remember when they used to sell 2x CD-ROMs in the store. Oh, if only I could save up enough money to get a 4x, I would be flying along at top speed. Then came 8x, then 12x, then... well, you get the picture. Nowadays, I believe they're up to somewhere around 40x. Man--that's pretty darn fast. Of course, that might be the actual speed at which your CD-ROM is accessed. Depending on where data is stored on a CD-ROM, the drive will read it faster or slower. Here's a great way to tell your CD-ROM's *TRUE* speed: http://www.geocities.com/ResearchTriangle/Lab/1228/cdan_e.html -- fine tune your drive today!


17/11/1998

17.11.1998

One of the major annoyances of IE4 was the fact that you could seldom see a complete URL in the bottom left-hand corner of the browser. This was a major oversight by the development team, and I remember several hundred people complaining about it when IE4 was still in beta stages. Apparently, they didn't think it was important enough. Luckily, IE5's Status Bar was designed a bit better. If you don't want to wait for the final version of IE5, check out StatBar: http://mdbo.ne.mediaone.net/Statbar.html -- it'll widen the pane in IE4 so that you can view more of the URL's your mouse cursor hovers over. Granted, the software isn't perfect, but it's (sometimes) better than nothing.


18/11/1998

18.11.1998

People ask me what I use to mail out Lockergnome. Since I'm not the one controlling distribution anymore (too complicated, too expensive), I always recommend using Lyris for anything with 1000+ users. http://www.dundee.net/ will host your list for you (they used to host this one). But, if you don't want to pay much for decent mailing list software, check out Listserv Lite at: http://www.lsoft.com/listserv-lite.html -- you can't really get much cheaper than free, folks.


19/11/1998

19.11.1998

Does your disk seem slow? If you're not sure, take a hard disk speed diagnostic: http://www.iop.kiev.ua/~vgrin/DiskSpeed32/ -- the output might not make sense to you, but you could always compare different results over time (or with a friend down the street). It's just another one of those "things" that you power users would love to have.


20/11/1998

20.11.1998

What sites do you visit on a daily basis? Add Lockergnome's: http://www.lockergnome.com/ to your list. If you haven't taken a look at it lately, I've been updating my front page on a daily basis (even weekends sometimes) with the latest updates, news, drivers, etc.. They won't be archived, either (too much of a hassle for me right now). And, here's the kicker: the stuff I throw on my front page won't be seen in any issue of Lockergnome! So, don't think you're getting everything just by reading these issues... you're missing out on Lockergnome's main page information!


23/11/1998

23.11.1998

I don't understand how someone can have a Start Menu with more than 15 subfolders. Heck, I have it whittled down to 6. Anyway, you'll find that if your Start Menu program folders scroll off the screen, a little black arrow will appear at the top or bottom of your list. The same thing happens with your Favorites & History in IE4. To speed up the process, be sure to hold down the CTRL key while you scroll. It'll move a lot faster when you do.


24/11/1998

24.11.1998

Let's say you're listening to your favorite CD and your wife walks into the room telling you to turn it down because she's on the phone with a close friend. Do you: A) flip her off? B) Turn it up louder because you hate her friend? C) Remind her that if you turn it down your speakers will explode? D) Use your left mouse button to click once on the Volume icon in your System Tray, wait a second, then select the Mute checkbox? If you answered D, your marriage has been saved. Crisis averted. There's a tip in there... take your pick.


25/11/1998

25.11.1998

I'm running IE5b2 (Internet Explorer 5.0 beta 2). I know, you probably think I'm crazy (and I am). I played around with it on Joe and didn't find too many quirks. Of course, now that I'm using it on Mr. Bigglesworth, I'm finding more bugs (but few showstoppers). For the most part, it's a solid beta... but be VERY careful. It's slightly faster, but not perfect yet. I was using the built-in FTP client the other day and I had my first IE5 crash. Then, whenever I'd open an Explorer window to look at my hard drive's folders, the default icon view was set to "details." I didn't like that. A few days later, I remembered a tweak that came from the days of Windows 95. First, open the Explorer window, arrange the icons the way you'd like them viewed everywhere, then hold onto the SHIFT+CTRL+ALT keys while clicking on the "X" (close) button. Ah, much better!


26/11/1998

26.11.1998

Before the Internet, my dad's Desktop was pretty boring. The honeycomb pattern was just about the most exciting thing we had ever seen. Okay, so perhaps I'm exaggerating, but I think you know where I'm going with this one. While you're visiting a website, take notice of the graphics that are there. If some would look great as your Desktop Background image, then why not make it so? Some sites even have perfectly tiling images for their backgrounds--they'll work just as well on YOUR Desktop. Simply right click on the image (in Netscape or IE) and choose "Save Background As" or "Set As Wallpaper" and you're good to go! IE will even convert it into a bitmap automatically (if you choose to save it)!


27/11/1998

27.11.1998

Some of you Windows 95 users feel left out because some of my tips are dependent on either Internet Explorer 4.x or Windows 98. Sorry, I can't please every one of you. However, understand that I don't have a bias in this respect. A cool tip is a cool tip. For instance, if you're going to be away from your computer for a long while, instead of leaving the monitor on, shut it off--it'll save power! Keep a garbage can close to your desk so that you don't have to get up to throw something away. It's also handy to have Kleenexes an arm's length away--ACHOO! If you're in a place where natural light can shine through, open the window shade--your body needs the sun. Make sure your area is well lit, too; eye strain isn't a good thing. How many CD-ROMs do you have lying around that you never use? Donate them to a local charity or club. Okay, so that's not really a tip, but it doesn't hurt to give.


30/11/1998

30.11.1998

Lockergnome Subscriber "Zero Gear" found something QUITE interesting that I've never seen before (and I dare to say that none of you have, either). This is an EXTREMELY undocumented feature of Windows 98--I don't even know what it is or what it's to be used for. Perhaps someone else could shed some light on this subject? Using Windows 98, click the Start button, go to Settings, hold onto the CTRL key and click "TaskBar & Start Menu." Now, look at the right-most tab: DeskBar Options!? Everything is grayed out, so I'm not sure what to make of it. Interesting, to say the least.


1/12/1998

1.12.1998

How do you stop IE4 from crashing? It's a trick question. You can't. However, you can keep IE4 from "taking Windows with it" when it crashes. In the IE4 Menu, click on View, select Internet Options, go to the Advanced tab, under "Browsing" be sure that "Browse in a new process" is checked off. Since Internet Explorer (4) users have the browser so tightly integrated into Windows, this is a smart option to turn on.


2/12/1998

2.12.1998

Oftentimes, I'll feature a Microsoft Knowledge Base article in the GnomeSYSTEM section. Anyone can click on the link and visit the page for more information, but you're right--Microsoft wants you to register before you can view it. If you're afraid of cookies (beware the chocolate chip of death), then you can view those KB articles through e-mail. Just mail mshelp@microsoft.com and enter the "code" as the subject of the e-mail message. For instance, if you want to get more info on "How to Change the Default Windows Color Scheme," you would use Q196001 as the code. The site is http://support.microsoft.com/support/kb/articles/q196/0/01.asp. Look at the last part of it and you'll find q196/0/01. Remove those slashes, and you've got a winner!


3/12/1998

3.12.1998

One of my favorite reasons for owning a PC is so that I can listen to MIDI files. Yes, I know that many of you are sold on MP3 files, but they're just not the same. I like computerized-music, and MIDIs have always tripped my trigger. Most of you have wavetable synthesis on your sound card already, but you might not have it set up to play correctly in Windows. Open the Control Panel, select the Multimedia icon, choose the MIDI tab, then see which 'Single Instrument' bank is selected. If at all possible, DON'T USE anything that says "FM Synthesis". Some of you have no choice, though. Try another synthesizer if it's available. Another thing to note is that you probably won't be able to use anything with "MIDI Out" in it either (that's for keyboards). Have fun!


4/12/1998

4.12.1998

Are you annoyed by the size of fonts on a web site or in an HTML mail being viewed in Outlook 98 or Outlook Express? If you have an IntelliMouse, you're in luck! While holding onto the CTRL key, scroll your wheel up and down to make the fonts in an HTML message (or web page) get larger and smaller. I didn't realize it worked in e-mail until today!


7/12/1998

7.12.1998

Who doesn't like icons? Well, if you're using Windows 9x, you pretty much have to get used to them. Unless, of course, you're still using those 'great' 16-bit apps. To shrink the pixel spacing between your icons (which maximizes the space they take up in Explorer), pull up the Display Properties (right-click on your Desktop and choose Properties), select the Appearance tab, under the Item drop-down list, select "Icon Spacing (Horizontal)" and then "Icon Spacing (Vertical)". I have found that setting both of these numbers to 32 works well. Of course, you can play around with these settings and choose whichever ones you like most. Remember to write the "original" numbers down just in case you want to restore the settings.


8/12/1998

8.12.1998

A few weeks ago, I featured a tip that would allow you to shut down Windows by clicking on a shortcut. Some of you asked if there were any other "shut down" shortcuts available. Here's one that'll allow you to Restart Windows! Simply create a shortcut (right-click on your Desktop, select New, then Shortcut), then enter the following information (without the quotes): "C:\WINDOWS\RUNDLL.EXE user.exe,exitwindowsexec" Make sure you copy that ENTIRE string or else it won't work, people (everything between the quotes). Trust me, it works.


9/12/1998

9.12.1998

Lockergnome Subscriber Eric Fortin found a great (and we believe) undocumented trick that shrinks the 'Volume Control' window. Those of you with "no" screen real estate will find this extremely handy. Open up the Volume Control dialog (double-click on the yellow speaker icon in your System Tray). If it pulls up the default 'Volume Control' applet, you can hit CTRL+S to "shrink" it down; by hitting CTRL+S again, you'll bring the window back to its original size.


10/12/1998

10.12.1998

I've always been short, so you can see why I get along well with shortcuts (for the most part). It's easy to create a shortcut of the currently loaded web page in Internet Explorer 4.0. Here's a couple of different ways: either drag & drop the icon in the upper-left hand corner of IE to a folder (or onto your Desktop), drag & drop the icon that's next to the URL in the Address line to a folder, or right-click on a web page and choose 'Create Shortcut'. Tall people can do this, too!


11/12/1998

11.12.1998

This is for Advanced users. Lockergnome Subscriber Brian Hall sent in this (possibly useful) tip: "Set up a RAM drive, create a Cache directory, then designate it as your Browser's cache location. The size you choose depends on the amount of available RAM on your computer, but about 6MB seems to be the maximum needed (but as little as 2MB works)." Basically, you're putting the disk cache into RAM--making your surfing move a little faster.


14/12/1998

14.12.1998

Having problems in Windows 98? Yes, I realize that's a rhetorical question. Anyway, your system files might be out of whack. That is to say, you might have installed a program which installed an older version of a DLL. Typically, that's not good. However, run the System File Checker and all could be right again! Click the Start Button, select Run, then enter "SFC" (without the quotes) and hit Enter. You can configure it to search for deleted or missing files, older files, files in certain subdirectories, etc.. I'd suggest using this utility only if you're having continuous problems with Windows 98, gang.


15/12/1998

15.12.1998

Speaking of system files, how many of you are still working with the config.sys, autoexec.bat, system.ini or win.ini on a regular basis? The easiest way to edit these files is by using "SYSEDIT" (a program that should already be installed on your PC). Click the Start Button, select Run, then type "SYSEDIT" (without the quotes) and hit Enter. Quick, easy, and convenient!


16/12/1998

16.12.1998

I was up late last night trying to write tips for this issue of Lockergnome, and I suddenly got an e-mail from a good friend. He was asking if there was a program available that would allow you to navigate through links on a web page by using the keyboard. I responded immediately with two cool programs I found: Internet Explorer & Netscape Navigator. Yes, both of them allow you to use the TAB key to flip forward through any link on a web page (SHIFT+TAB to flip backward). Just goes to show you what most of us don't know about the programs we use every day. That, and we shouldn't work too late at night.


17/12/1998

17.12.1998

Here's a refreshing tip: hit the F5 key when your Desktop isn't looking right. Or, if you want to reload a web page (or get new e-mail messages in Outlook e-mail clients), hit the F5 key. I'm not sure if it's the universal key for "refreshing" things, but the F5 key works in a variety of programs.


18/12/1998

18.12.1998

If you have more than one icon sitting on your Desktop, and I'm sure you do, make sure they're lined up nicely. Call me organized, but I believe a nice looking Desktop will give you a more satisfying computing experience. To line up your icons, simply right-click on the Desktop and select "Line Up Icons". Now, be sure that you've got "Auto Arrange" unchecked in the "Arrange Icons" submenu. It's worth trying!


21/12/1998

21.12.1998

When is a tip not really a tip? When I'm asking you to submit your favorite tips, programs, or websites to Lockergnome! I typically don't use submissions which have already been seen in Lockergnome, and just because something is submitted doesn't mean that you'll see it in an issue. I give credit where credit is due; some of the best Lockergnome stuff has been submitted by subscribers! Just swing by http://www.lockergnome.com/submit.html or e-mail submit@lockergnome.com!


22/12/1998

22.12.1998

Lockergnomie C. M. Jensen submitted this shortcut for Windows 9x Dial-up Server users: "Tired of clicking in Dial-up Networking to start the Dial-up Server? Create a new shortcut to: "C:\WINDOWS\RUNDLL32.EXE RNASERV.DLL,CallerAccess" (without the quotes) This will open up the Dial-up Server dialog quickly." Gotta love these system shortcuts!


23/12/1998

23.12.1998

Lockergnomie "Treepusher" told me about this AWESOME tip: Everyone has a virus scanner installed (if not, you really should). First off, be sure the data files for it are up to date. Secondly, place a shortcut to your virus scanning program in your SendTo menu. This way, you can scan any given file on the fly (particularly if you don't want to have your virus scanner program always taking up memory). Click on the Start Button, select Run, type "SendTo" (without the quotes) and hit Enter. Then copy (or create) a new shortcut to your virus scanning program in that folder. What a resource saver!


24/12/1998

24.12.1998

Lockergnomie Eric Hop discovered a way to make Explorer work the way it should have in the first place: "Right-click on "My Computer" and select "Explore". In the menu, select View, Folder Options, then File Types. Scroll down to the "Folder" entry and click the 'Edit..." button. Select the action "Explore" and press the "Set Default" button. Now, double-clicking the "My computer" icon starts the Explorer window with the side folder pane." Coolies!


25/12/1998

25.12.1998

Lockergnomie "RCar123" brings to light a hidden tweak: "Have you ever seen the speaker positioning setup in Windows 98? If you right-click on the speaker icon in the taskbar, a small pop-up menu appears. Select "Adjust Audio Properties". Click on the "Advanced Properties" button under the Playback section. You should see a speaker positioning setup box. From that point, you can choose whichever setup is most like your own computer's!


28/12/1998

28.12.1998

The number one reason to upgrade to Windows 95 (or 98) from Windows 3.x is for more stability... well, nine times out of ten. But what happens when you've got an old 16-bit application that refuses to behave in Windows 9x? Click the Start button, select Run, type "MKCOMPAT" (without the quotes) and hit Enter. This should launch an applet that will enable you to "make" an older application more compatible with Windows 9x. NOTE: this should only be used with 16-bit programs, not newer 32-bit ones. If you're not sure of the difference between the two, don't use this applet.


30/12/1998

30.12.1998

Moving and copying files got a little easier when Windows came along. However, are you still not sure whether or not you're simply copying or really moving a file or set of files? Try this: next time you drag & drop a file, try doing it with the RIGHT mouse button instead of the left one. When you let go of the right mouse button (after dragging & dropping), you should see a small menu pop up. The options will usually contain "Move Here", "Copy Here", "Create Shortcut Here", and "Cancel". Select whichever action is most appropriate from there.


31/12/1998

31.12.1998

There are more "characters" available to you beyond what you see on a "normal" keyboard. After all, if we had a specific key for every character, our keyboards would take up enough space to park a car on. Sure, we don't use extended characters often, but when we do need them, there are a couple of ways to retrieve them. The easiest (and most obvious) way is to use the Character Map which should have been installed with Windows. Another (more direct) way is to use the number code for that particular character. You'll need to use the ALT key & your Number Pad: hold onto ALT and type "0162" (without the quotes) on your Number Pad... when you let go of the ALT key, a cent symbol should appear (¢). 0162 is the designated number for that particular character. To view a character's number, select one using the Character Map, then look in the lower right-hand corner of that window--it should give you the Keystroke combination. Remember, too, that characters could vary from font to font.


29/12/1998

29.12.1998

This trick is ONLY for power users: I attempted to install ACPI support in Windows 98 the other day... stupid move. I hosed my hardware configuration (which was easily restored by using the "Add New Hardware" applet in the Control Panel). ACPI handles Power Management better than APM (default). Unfortunately, Windows 98 doesn't detect whether your hardware is ACPI-compatible or not. So, next time you do a "flat" install of Windows 98, use the following switch: "/p J" (without the quotes). ACPI support will then be installed. I tried it the other day and it worked (almost) perfectly. I had problems with my Printer port, but that was solved by changing a setting in my BIOS.